------------------------------------------------------------------------
r14065 | vlefevre | 2020-07-10 11:52:33 +0000 (Fri, 10 Jul 2020) | 1 line
Changed paths:
   M /branches/4.1/VERSION
   M /branches/4.1/configure.ac
   M /branches/4.1/doc/mpfr.texi
   M /branches/4.1/src/mpfr.h
   M /branches/4.1/src/version.c

Updated version to 4.1.0.
------------------------------------------------------------------------
r14064 | vlefevre | 2020-07-10 11:50:59 +0000 (Fri, 10 Jul 2020) | 1 line
Changed paths:
   M /branches/4.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r14063 | vlefevre | 2020-07-10 10:33:32 +0000 (Fri, 10 Jul 2020) | 6 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/doc/README.dev
   M /branches/4.1/src/jyn_asympt.c
   M /branches/4.1/tests/tjn.c

[src/jyn_asympt.c] Partly solved the slowness of jn(733333,733333).
[tests/tjn.c] Added tests of jn(73333,73333) and jn(733333,733333),
  enabled only with MPFR_CHECK_EXPENSIVE.
[doc/README.dev] In the MPFR_CHECK_EXPENSIVE description, say that
  --enable-assert=full should not be used (too expensive, not needed).
(merged changesets r14053-14062 from the trunk)
------------------------------------------------------------------------
r14050 | vlefevre | 2020-07-01 21:39:57 +0000 (Wed, 01 Jul 2020) | 1 line
Changed paths:
   M /branches/4.1/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r14049 | vlefevre | 2020-07-01 21:37:36 +0000 (Wed, 01 Jul 2020) | 1 line
Changed paths:
   M /branches/4.1/VERSION
   M /branches/4.1/configure.ac
   M /branches/4.1/doc/mpfr.texi
   M /branches/4.1/src/mpfr.h
   M /branches/4.1/src/version.c

Updated version to 4.1.0-rc2.
------------------------------------------------------------------------
r14048 | vlefevre | 2020-07-01 13:59:32 +0000 (Wed, 01 Jul 2020) | 3 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/NEWS

[NEWS] Added an item saying that TLS can safely be (re-)enabled
on Sparc.
(merged changeset r14047 from the trunk)
------------------------------------------------------------------------
r14046 | vlefevre | 2020-06-29 13:57:32 +0000 (Mon, 29 Jun 2020) | 7 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/tests/mpfr-test.h

[tests/mpfr-test.h] Avoid a GCC bug on Sparc, at least when using TLS.
The MPFR library itself is not affected, only a particular test. Normal
code using the MPFR library should not be affected either, as the bug
occurs when accessing __gmpfr_flags directly (and the public mpfr.h
header file does not provide any macro that accesses an internal
variable directly). So a workaround for the tests is the best solution.
(merged changeset r14045 from the trunk)
------------------------------------------------------------------------
r14043 | vlefevre | 2020-06-18 17:37:41 +0000 (Thu, 18 Jun 2020) | 1 line
Changed paths:
   M /branches/4.1/VERSION
   M /branches/4.1/configure.ac
   M /branches/4.1/doc/mpfr.texi
   M /branches/4.1/src/mpfr.h
   M /branches/4.1/src/version.c

Updated version to 4.1.0-dev (due to changes since 4.1.0-rc1).
------------------------------------------------------------------------
r14042 | vlefevre | 2020-06-18 17:17:18 +0000 (Thu, 18 Jun 2020) | 54 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/doc/mpfr.texi
   M /branches/4.1/src/digamma.c
   M /branches/4.1/src/get_str.c
   M /branches/4.1/src/mpfr-longlong.h
   M /branches/4.1/tests/mpfr-test.h
   M /branches/4.1/tests/tabort_defalloc1.c
   M /branches/4.1/tests/tabort_defalloc2.c
   M /branches/4.1/tests/tcmp_ui.c
   M /branches/4.1/tests/tdigamma.c
   M /branches/4.1/tests/tests.c
   M /branches/4.1/tests/tset_ld.c

Merged r14021-14036 from the trunk:

r14021:
[tests] Skip tabort_defalloc1 and tabort_defalloc2 under Valgrind, as
Valgrind complains due to the large allocation size.
  * mpfr-test.h, tests.c: added tests_run_within_valgrind() function to
    guess whether the test runs within Valgrind.
  * tabort_defalloc1.c, tabort_defalloc2.c: skip the test (exit code 77)
    if this function returns true.

r14022-14023:
[tests/tset_ld.c] In bug_20160907 (tests on subnormals, specific to
x86 extended precision):
  * Replaced an assertion by a test with detailed output.
  * In case of incorrect result, detect whether Valgrind is used and
    one gets the result obtained with Valgrind due to
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=890215
      https://bugs.kde.org/show_bug.cgi?id=421262
    (long double behaves as double); in this case, output a message
    without an error since Valgrind is the only cause of the
    miscalculation.
  * Corrected a value in a test, which did not match the comment.

r14024-14027:
[src/digamma.c]
  * Replaced some MPFR_EXP / mpfr_get_exp by MPFR_GET_EXP to check that
    the MPFR number has an exponent (i.e. it is not a special value).
  * Added an integer overflow check on a precision.
  * Fixed a bug: an exponent was read while the value could be zero.

r14028:
[tests/tdigamma.c] Increase the number of tests.

r14029,14031:
[doc/mpfr.texi] Specify the range of b for mpfr_get_str_ndigits.

r14030:
[src/get_str.c] Since the mpfr_get_str_ndigits function is in the
public API, use MPFR_ASSERTN instead of MPFR_ASSERTD on the condition
on the argument b in order to get an assertion failure (by default)
if this condition is not satisfied.

r14032,14035-14036:
[src/mpfr-longlong.h] Applied patch on
  https://gmplib.org/list-archives/gmp-bugs/2020-June/004807.html
to fix add_ssaaaa and sub_ddmmss on arm / aarch64, in order to resolve
  https://sympa.inria.fr/sympa/arc/mpfr/2020-06/msg00017.html
  https://sympa.inria.fr/sympa/arc/mpfr/2020-06/msg00059.html

r14034:
[tests/tcmp_ui.c] Added a comment about a failing test with tcc if
one adds tcc support for macros using __builtin_constant_p in mpfr.h
by testing __TINYC__.
Bug report against tcc: https://savannah.nongnu.org/bugs/?58606
------------------------------------------------------------------------
r14019 | vlefevre | 2020-06-13 13:22:33 +0000 (Sat, 13 Jun 2020) | 5 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/configure.ac

[configure.ac] No longer add -Wc++-compat to CFLAGS when the compiler
is GCC not in C++ mode (reverting the change done in r13406) since this
option is not available before GCC 4.1:
  https://sympa.inria.fr/sympa/arc/mpfr/2020-06/msg00008.html
(merged changeset r14018 from the trunk)
------------------------------------------------------------------------
r14016 | vlefevre | 2020-06-13 09:32:51 +0000 (Sat, 13 Jun 2020) | 7 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/doc/mpfr.texi
   M /branches/4.1/tests/tfpif.c

Merged the latest changes from the trunk:

r14012:
[tests/tfpif.c] Updated comment about the bug detected on AIX.

r14015:
[doc/mpfr.texi] ACM TOMS article: use the preferred DOI URL.
------------------------------------------------------------------------
r14011 | vlefevre | 2020-06-13 01:05:59 +0000 (Sat, 13 Jun 2020) | 8 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/NEWS
   M /branches/4.1/tools/announce-text

Merged the latest changes from the trunk:

r14008,14010:
[tools/announce-text] For release candidates, automatically adapt the
flow of the text.

r14009:
[NEWS] Updated mpfr.org URLs (http → https).
------------------------------------------------------------------------
r14006 | vlefevre | 2020-06-12 17:55:05 +0000 (Fri, 12 Jun 2020) | 17 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/README
   M /branches/4.1/tests/tests.c
   M /branches/4.1/tests/tfpif.c

Merged the latest changes from the trunk:

r14003:
[tests/tfpif.c] Fixed a bug (in the test) detected on AIX[*], where
an fclose failed due to a previous read failure. At the same time,
check that a read failure no longer occurs. Note: the read failure
made mpfr_fpif_import fail, but this is a test where it is expected
to fail, i.e. we now check that it fails for a good reason.
[*] gcc119.fsffrance.org on the GCC Compile farm.

r14004:
[tests/tests.c] Removed a useless "#include <errno.h>" (added in r5252,
useless since r5253).

r14005:
[README] Added URL of the official GNU MPFR website and a note about the
future migration, since InriaForge will shut down in December 2020.
------------------------------------------------------------------------
r14002 | vlefevre | 2020-06-12 12:17:11 +0000 (Fri, 12 Jun 2020) | 1 line
Changed paths:
   M /branches/4.1/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r14001 | vlefevre | 2020-06-12 12:10:28 +0000 (Fri, 12 Jun 2020) | 1 line
Changed paths:
   M /branches/4.1/VERSION
   M /branches/4.1/configure.ac
   M /branches/4.1/doc/mpfr.texi
   M /branches/4.1/src/mpfr.h
   M /branches/4.1/src/version.c

Updated version to 4.1.0-rc1.
------------------------------------------------------------------------
r14000 | vlefevre | 2020-06-12 12:09:52 +0000 (Fri, 12 Jun 2020) | 2 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/tools/update-version

[tools/update-version] Improved a message.
(merged changeset r13999 from the trunk)
------------------------------------------------------------------------
r13998 | vlefevre | 2020-06-12 12:02:30 +0000 (Fri, 12 Jun 2020) | 3 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/src/mpfr-longlong.h

[src/mpfr-longlong.h] Corrected a comment from GMP's longlong.h, which
makes codespell complain in particular.
(merged changeset r13997 from the trunk)
------------------------------------------------------------------------
r13996 | vlefevre | 2020-06-12 11:56:18 +0000 (Fri, 12 Jun 2020) | 4 lines
Changed paths:
   M /branches/4.1
   M /branches/4.1/tools/mpfrlint

[tools/mpfrlint] Improved the __GMP_DECLSPEC test:
  * No longer exclude "src/mpfr.h".
  * Avoid false positives in "src/mpfr.h" and "src/mpfr-longlong.h".
(merged changeset r13995 from the trunk)
------------------------------------------------------------------------
r13994 | vlefevre | 2020-06-12 11:45:04 +0000 (Fri, 12 Jun 2020) | 1 line
Changed paths:
   M /branches/4.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13991 | vlefevre | 2020-06-12 11:40:23 +0000 (Fri, 12 Jun 2020) | 1 line
Changed paths:
   A /branches/4.1 (from /trunk:13990)

Created branch 4.1.
------------------------------------------------------------------------
r13990 | vlefevre | 2020-06-12 11:39:36 +0000 (Fri, 12 Jun 2020) | 1 line
Changed paths:
   M /trunk/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r13989 | vlefevre | 2020-06-11 21:22:20 +0000 (Thu, 11 Jun 2020) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/doc/mpfr.texi
   M /trunk/src/mpfr.h
   M /trunk/src/total_order.c
   M /trunk/tests/ttotal_order.c

Renamed mpfr_total_order to mpfr_total_order_p for consistency with the
other predicates (by convention, the function name should end with _p).
------------------------------------------------------------------------
r13987 | vlefevre | 2020-06-11 15:15:52 +0000 (Thu, 11 Jun 2020) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] New function mpfr_total_order. Detailed mpfr_get_str_ndigits.
------------------------------------------------------------------------
r13986 | vlefevre | 2020-06-11 15:07:52 +0000 (Thu, 11 Jun 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Updated "To make a release".
------------------------------------------------------------------------
r13980 | vlefevre | 2020-06-11 13:01:58 +0000 (Thu, 11 Jun 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Updated "To make a release".
------------------------------------------------------------------------
r13979 | vlefevre | 2020-06-11 12:44:42 +0000 (Thu, 11 Jun 2020) | 1 line
Changed paths:
   M /trunk/src/Makefile.am

[src/Makefile.am] Updated -version-info to 7:0:1 for MPFR 4.1.0.
------------------------------------------------------------------------
r13978 | vlefevre | 2020-06-11 12:41:25 +0000 (Thu, 11 Jun 2020) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Additional details, in particular binary compatibility.
------------------------------------------------------------------------
r13977 | vlefevre | 2020-06-11 12:05:29 +0000 (Thu, 11 Jun 2020) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Some improvements.
------------------------------------------------------------------------
r13976 | zimmerma | 2020-06-11 07:44:42 +0000 (Thu, 11 Jun 2020) | 2 lines
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] one more test is skipped now

------------------------------------------------------------------------
r13975 | zimmerma | 2020-06-11 07:44:00 +0000 (Thu, 11 Jun 2020) | 2 lines
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] add test results with reduced limb size (int)

------------------------------------------------------------------------
r13974 | vlefevre | 2020-06-11 00:00:45 +0000 (Thu, 11 Jun 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Updated "To make a release".
------------------------------------------------------------------------
r13973 | vlefevre | 2020-06-10 23:19:17 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Added release name for 4.1.0: "épinards à la crème".
------------------------------------------------------------------------
r13971 | vlefevre | 2020-06-10 21:53:27 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] English usage improvement.
------------------------------------------------------------------------
r13970 | vlefevre | 2020-06-10 21:50:12 +0000 (Wed, 10 Jun 2020) | 15 lines
Changed paths:
   M /trunk/src/mpfr-impl.h
   M /trunk/tests/tvalist.c

Fixed 2 issues with tests/tvalist.c:
  1. When building with mini-gmp (--with-mini-gmp=DIR) without
     optimizations (-O0), the build of tvalist was failing because
     the formatted output functions are not supported (this issue
     wasn't noticed with optimizations due to dead code elimination).
     Fix: this test is disabled with mini-gmp (not needed anyway).
  2. Dead code elimination with optimizations partly broke the goal
     of this test, i.e. checking that mpfr_vfprintf was available.
     This dead code was introduced in r7648 "Make sure that fct is
     used (avoid a warning)." (where fct = mpfr_vfprintf) but was
     actually not sufficient.
     Fix: call mpfr_vfprintf unconditionally, but on an empty string
     in order to avoid output to stdout.
In addition to these changes in tests/tvalist.c, src/mpfr-impl.h could
be simplified as a consequence.
------------------------------------------------------------------------
r13969 | vlefevre | 2020-06-10 21:26:07 +0000 (Wed, 10 Jun 2020) | 5 lines
Changed paths:
   M /trunk/src/clears.c
   M /trunk/src/inits.c
   M /trunk/src/inits2.c
   M /trunk/tests/tvalist.c

Removed '# undef HAVE_STDARG' before '# include "config.h"' when it
was used, as it was not always undefined (e.g. in tests/tsprintf.c)
and there are no reasons to undefine this macro specifically.
Note: this code was introduced in r2665 (2004-02-06), perhaps for
the MPFR build inside GMP, which has been dropped a long time ago.
------------------------------------------------------------------------
r13968 | vlefevre | 2020-06-10 21:07:30 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/tests/tvalist.c

[tests/tvalist.c] Updated a comment.
------------------------------------------------------------------------
r13967 | vlefevre | 2020-06-10 21:01:12 +0000 (Wed, 10 Jun 2020) | 2 lines
Changed paths:
   M /trunk/tests/tvalist.c

[tests/tvalist.c] Correction when config.h is used (code copied from
src/inits.c).
------------------------------------------------------------------------
r13966 | zimmerma | 2020-06-10 14:27:40 +0000 (Wed, 10 Jun 2020) | 2 lines
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] review

------------------------------------------------------------------------
r13964 | vlefevre | 2020-06-10 12:48:02 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Typo in option name.
------------------------------------------------------------------------
r13963 | vlefevre | 2020-06-10 10:58:36 +0000 (Wed, 10 Jun 2020) | 5 lines
Changed paths:
   M /trunk/src/mpfr-longlong.h

[src/mpfr-longlong.h]
  * Updated comment about this file and the changes against GMP 6.2.0.
  * Define __GMP_GNUC_PREREQ if it isn't defined (this is currently not
    needed since it is defined in gmp.h as used also there, but this is
    useful in case some future gmp.h version no longer defines it).
------------------------------------------------------------------------
r13962 | vlefevre | 2020-06-10 10:39:09 +0000 (Wed, 10 Jun 2020) | 3 lines
Changed paths:
   M /trunk/src/mpfr-longlong.h

[src/mpfr-longlong.h] Update: applied the diff of GMP's longlong.h
between GMP 6.1.0 and GMP 6.2.0, after reverting changesets 13251,
11042, 11025, and 10727, as these changes are present in the diff.
------------------------------------------------------------------------
r13961 | vlefevre | 2020-06-10 10:21:51 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] With mini-gmp, also check the availability of srand48.
------------------------------------------------------------------------
r13960 | vlefevre | 2020-06-10 10:15:52 +0000 (Wed, 10 Jun 2020) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] For gmp_randseed_ui, which uses srand48, use
a portable version of the conversion from unsigned long to long.
------------------------------------------------------------------------
r13959 | vlefevre | 2020-06-10 09:37:15 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] Note also that the random functions are not thread-safe.
------------------------------------------------------------------------
r13958 | vlefevre | 2020-06-10 09:21:46 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] Major update.
------------------------------------------------------------------------
r13957 | vlefevre | 2020-06-10 08:40:02 +0000 (Wed, 10 Jun 2020) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Removed a FIXME (no problems found).
------------------------------------------------------------------------
r13955 | vlefevre | 2020-06-09 15:53:51 +0000 (Tue, 09 Jun 2020) | 1 line
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] Code style: replaced (mp_limb_t) -1 by MPFR_LIMB_MAX.
------------------------------------------------------------------------
r13954 | vlefevre | 2020-06-09 15:46:19 +0000 (Tue, 09 Jun 2020) | 2 lines
Changed paths:
   M /trunk/src/mul_ui.c

[src/mul_ui.c] Bug fix: in the code where MPFR_LONG_WITHIN_LIMB is
not defined, update the flags (needed for the possible overflow).
------------------------------------------------------------------------
r13953 | vlefevre | 2020-06-09 15:37:58 +0000 (Tue, 09 Jun 2020) | 2 lines
Changed paths:
   M /trunk/tests/tmul_ui.c

[tests/tmul_ui.c] Added an overflow check that fails in MPFR_RNDZ with
mini-gmp and mp_limb_t < long (e.g. "-DMINI_GMP_LIMB_TYPE=short").
------------------------------------------------------------------------
r13952 | vlefevre | 2020-06-09 15:15:04 +0000 (Tue, 09 Jun 2020) | 1 line
Changed paths:
   M /trunk/tests/tgeneric.c

[tests/tgeneric.c] In the MPFR_SUSPICIOUS_OVERFLOW case, output yprec.
------------------------------------------------------------------------
r13951 | vlefevre | 2020-06-09 15:04:19 +0000 (Tue, 09 Jun 2020) | 2 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Changed the code that defines MPFR_LONG_WITHIN_LIMB
in order to support mini-gmp with -DMINI_GMP_LIMB_TYPE=...
------------------------------------------------------------------------
r13950 | vlefevre | 2020-06-09 13:39:35 +0000 (Tue, 09 Jun 2020) | 8 lines
Changed paths:
   M /trunk/src/get_ld.c

[src/get_ld.c] Fixed build failure with GMP_NUMB_BITS == 8 due to the
use of uint64_t in src/get_ld.c, while <stdint.h> was not included:
replaced it by "unsigned long long", which does not need a specific
header (an exact 64-bit type is not needed, we just need at least a
64-bit width, which unsigned long long is guaranteed to have).
Note: unsigned long long may not be available with a pre-C99 compiler,
but this is not worse than uint64_t. This limitation is currently OK
as GMP_NUMB_BITS == 8 support is just for testing.
------------------------------------------------------------------------
r13949 | vlefevre | 2020-06-09 10:53:21 +0000 (Tue, 09 Jun 2020) | 12 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Make MPFR_CHECK_MP_LIMB_T_VS_LONG and
MPFR_CHECK_MP_LIMB_T_VS_INTMAX similar:
  * Use AC_LINK_IFELSE in MPFR_CHECK_MP_LIMB_T_VS_LONG too: this
    is safer than AC_COMPILE_IFELSE, as it will detect undefined
    function-like macros.
  * Define MPFR_USE_STATIC_ASSERT in MPFR_CHECK_MP_LIMB_T_VS_INTMAX
    too in order to make sure that a static assertion is used (not
    the MPFR_ASSERTN fallback).
Note: These constitute redundant safeguards because if MPFR_ASSERTN
is used, it will be regarded as a function since the macro is not
defined in this context, and linking will fail as a consequence.
But this redundancy will protect more against MPFR code evolution.
------------------------------------------------------------------------
r13948 | vlefevre | 2020-06-09 09:41:51 +0000 (Tue, 09 Jun 2020) | 16 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Fixed MPFR_CHECK_MP_LIMB_T_VS_LONG macro by forcing
MPFR_USE_STATIC_ASSERT to 1 before including mpfr-sassert.h, i.e.
by requiring static assertions: because AC_COMPILE_IFELSE is used
(i.e. just compiling, no linking), the test could incorrectly succeed
when MPFR_USE_STATIC_ASSERT was not defined, i.e. whatever the value
of "(mp_limb_t) -1 >= (unsigned long) -1"; indeed, in this case,
MPFR_ASSERTN() was used instead of a static assertion, and since the
macro was not defined here, MPFR_ASSERTN was regarded as a function
(without a prototype), which was fine for compiling (except when the
compiler is configured to regard warnings such as missing prototype
as errors). In short, one could get "yes" while long was larger than
mp_limb_t.
Note: In uncommon cases (non-standard compiler...), one can still get
"no" while a long fits in mp_limb_t, but this isn't much an issue as
the MPFR code should work in such a case. Moreover, src/mpfr-impl.h
will also have the chance to set MPFR_LONG_WITHIN_LIMB in practice.
------------------------------------------------------------------------
r13947 | vlefevre | 2020-06-09 00:57:05 +0000 (Tue, 09 Jun 2020) | 28 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/src/mpfr-sassert.h
   M /trunk/tune/tuneup.c

Removed MPFR_DECL_STATIC_ASSERT macro as it was buggy, unused, rather
useless, and it had drawbacks. Details:
  * In src/mpfr-sassert.h, the default definition of this macro in the
    MPFR_USE_STATIC_ASSERT case ended with a spurious ";". Since this
    macro was unused, this wasn't noticeable... except in the configure
    test for static assertions, which failed in some cases (e.g. with
    CFLAGS="-std=c99 -pedantic-errors -Wno-error=overlength-strings")
    for this reason, which had the effect to let MPFR_USE_STATIC_ASSERT
    undefined, while static assertions were actually working.
  * Still in src/mpfr-sassert.h, but when MPFR_USE_STATIC_ASSERT is not
    defined, the MPFR_DECL_STATIC_ASSERT(c) expanded to nothing, which
    would yield invalid code as
      MPFR_DECL_STATIC_ASSERT(some_assertion);
    would yield an extra ";" (about the same issue as above). Given
    the fact that the portable MPFR_USE_STATIC_ASSERT code does not
    work with this compiler, it is not clear whether this is fixable
    in a completely reliable way.
  * MPFR_DECL_STATIC_ASSERT can be replaced by MPFR_STAT_STATIC_ASSERT
    after moving it to the statement section of a function, with almost
    no drawbacks (just a bit readability in some cases?).
  * When MPFR_USE_STATIC_ASSERT is not defined, MPFR_STAT_STATIC_ASSERT
    will check the assertion at run time (for free, since the result is
    known at compile time), while MPFR_DECL_STATIC_ASSERT would not be
    able to do anything useful.
Changes:
  * acinclude.m4: removed the test of MPFR_DECL_STATIC_ASSERT.
  * src/mpfr-sassert.h: removed MPFR_DECL_STATIC_ASSERT definitions.
  * tune/tuneup.c: removed MPFR_DECL_STATIC_ASSERT redefinition.
------------------------------------------------------------------------
r13946 | vlefevre | 2020-06-08 23:55:33 +0000 (Mon, 08 Jun 2020) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] MPFR_CHECK_MP_LIMB_T_VS_LONG: updated comment to say
that using MPFR_ASSERTN (as the code tries to do if static assertions
are not supported, but currently fails) would be incorrect.
------------------------------------------------------------------------
r13945 | vlefevre | 2020-06-08 13:45:33 +0000 (Mon, 08 Jun 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] In MPFR_CHECK_MP_LIMB_T_VS_INTMAX, do the test only if
intmax_t is defined (assuming that it is iff uintmax_t is defined).
------------------------------------------------------------------------
r13944 | vlefevre | 2020-06-08 13:39:32 +0000 (Mon, 08 Jun 2020) | 2 lines
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] Also output the results of the detection of
"long within limb" and "intmax_t within limb".
------------------------------------------------------------------------
r13942 | vlefevre | 2020-06-04 16:22:38 +0000 (Thu, 04 Jun 2020) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Removed an obsolete FIXME, which is probably wrong.
------------------------------------------------------------------------
r13941 | vlefevre | 2020-06-04 16:17:12 +0000 (Thu, 04 Jun 2020) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Updated a comment, replacing a resolved FIXME.
------------------------------------------------------------------------
r13940 | vlefevre | 2020-06-04 15:53:59 +0000 (Thu, 04 Jun 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] MPFR_CHECK_DBL2INT_BUG test: avoid potentially reserved
exit status.
------------------------------------------------------------------------
r13939 | vlefevre | 2020-06-04 14:29:17 +0000 (Thu, 04 Jun 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Fixed r13938: the new MPFR_C_REALFP_FORMAT macro also
needs to take the printf length modifier in argument.
------------------------------------------------------------------------
r13938 | vlefevre | 2020-06-04 13:51:32 +0000 (Thu, 04 Jun 2020) | 11 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Improved the code to determine the format of double,
resolving the FIXME. The issue was that it used an AC_RUN_IFELSE,
so that the format could not be determined when cross-compiling.
The code to determine the format of long double did not have such
an issue: the object file was analyzed by an awk script. Since a
long double can have the same format as a double, this code was
already able to recognize a double, in particular. So the change
consisted in slightly adapting this code to accept the tested type
as an argument ("double" or "long double", the mpfr_cv_… variable
name being obtained thanks to AS_VAR_PUSHDEF) and reusing it for
the detection of the format of double.
------------------------------------------------------------------------
r13937 | vlefevre | 2020-06-04 13:21:09 +0000 (Thu, 04 Jun 2020) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] MPFR_C_LONG_DOUBLE_FORMAT cleanup:
  * Removed an unused AH_VERBATIM.
  * Removed "not available" condition, no longer possible since r13936.
------------------------------------------------------------------------
r13936 | vlefevre | 2020-06-04 12:34:18 +0000 (Thu, 04 Jun 2020) | 6 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Fix concerning r13935: also removed code that tested
the availability of long double. This code was useless since it was
just outputting "not available" if long double was missing, and one
would get an error later since MPFR requires long double. But since
long double is in ISO C89, it is useless to add a test just to return
an error for pre-C89 compilers.
------------------------------------------------------------------------
r13935 | vlefevre | 2020-06-04 12:17:15 +0000 (Thu, 04 Jun 2020) | 4 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

[acinclude.m4] Removed "AC_CHECK_TYPES([long double])", whose only
  purpose is to define a HAVE_LONG_DOUBLE macro.
[configure.ac] Removed HAVE_LONG_DOUBLE from the cleanup: no longer
  needed with the change in acinclude.m4.
------------------------------------------------------------------------
r13934 | vlefevre | 2020-06-03 13:44:24 +0000 (Wed, 03 Jun 2020) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Minor change in a comment.
------------------------------------------------------------------------
r13933 | vlefevre | 2020-06-03 13:38:17 +0000 (Wed, 03 Jun 2020) | 10 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

Cleanup about the function detection by autoconf.
  * acinclude.m4: removed the detection of memmove, memset and strtol,
    which was not used (a macro "HAVE_..." was defined... to be removed
    in configure.ac!); for AC_CHECK_FUNCS, remove options starting with
    "-Werror" as they can yield a spurious failure due to the way this
    test is done (this occurred on memmove and memset with GCC due to
    builtins, and similar issues could still occur in practice with the
    remaining functions in the AC_CHECK_FUNCS list).
  * configure.ac: removed HAVE_STRTOL from the macro cleanup: no longer
    needed since strtol has been removed from the AC_CHECK_FUNCS list.
------------------------------------------------------------------------
r13932 | vlefevre | 2020-06-03 12:11:13 +0000 (Wed, 03 Jun 2020) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Minor improvement: in the MPFR_CHECK_GMP test, changed
the exit status values 1..3 to 81..83 in order to avoid confusion, as
low values can typically be returned in case of compile or link error.
------------------------------------------------------------------------
r13931 | vlefevre | 2020-06-02 22:43:08 +0000 (Tue, 02 Jun 2020) | 1 line
Changed paths:
   M /trunk/tests/memory.c

[tests/memory.c] Updated a comment.
------------------------------------------------------------------------
r13930 | vlefevre | 2020-06-02 21:35:11 +0000 (Tue, 02 Jun 2020) | 2 lines
Changed paths:
   M /trunk/src/mpfr-longlong.h

[src/mpfr-longlong.h] Added code to check that mpfr-longlong.h is not
included directly; MPFR_NEED_LONGLONG_H must be defined instead.
------------------------------------------------------------------------
r13929 | vlefevre | 2020-06-02 21:26:51 +0000 (Tue, 02 Jun 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] To complete r13928, one also needs to define
MPFR_NEED_INTMAX_H here when mpfr-intmax.h is used.
------------------------------------------------------------------------
r13928 | vlefevre | 2020-06-02 21:21:45 +0000 (Tue, 02 Jun 2020) | 2 lines
Changed paths:
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr-intmax.h

[src/{mpfr-impl.h,mpfr-intmax.h}] Added code to check that mpfr-intmax.h
is not included directly; MPFR_NEED_INTMAX_H must be defined instead.
------------------------------------------------------------------------
r13923 | vlefevre | 2020-06-01 10:39:52 +0000 (Mon, 01 Jun 2020) | 12 lines
Changed paths:
   M /trunk/src/fits_intmax.c
   M /trunk/src/fits_uintmax.c
   M /trunk/src/get_sj.c
   M /trunk/src/get_str.c
   M /trunk/src/get_uj.c
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr-intmax.h
   M /trunk/src/set_sj.c
   M /trunk/src/set_uj.c
   M /trunk/src/vasprintf.c
   M /trunk/tests/memory.c
   M /trunk/tests/tfits.c
   M /trunk/tests/tfprintf.c
   M /trunk/tests/tget_sj.c
   M /trunk/tests/tprintf.c
   M /trunk/tests/tset_sj.c
   M /trunk/tests/tversion.c

Bug fixes and cleanup related to "src/mpfr-intmax.h" by introducing
a new macro MPFR_NEED_INTMAX_H, which should be defined instead of
using: #include "mpfr-intmax.h"

Details on the bugs fixed:
  * The code added in r13916 forgot a #include <limits.h> since this
    code does a test on ULLONG_MAX. With the cleanup, <limits.h> is
    already always included by mpfr-impl.h (early enough).
  * In src/get_str.c and tests/memory.c, a #include "config.h" was
    missing before #include "mpfr-intmax.h"; this issue would affect
    platforms where "config.h" is needed and where <inttypes.h> or
    <stdint.h> does not exist or does not work.
------------------------------------------------------------------------
r13922 | vlefevre | 2020-06-01 00:15:37 +0000 (Mon, 01 Jun 2020) | 3 lines
Changed paths:
   M /trunk/tests/tgamma.c

[tests/tgamma.c] For the non-regression test added in r13907, one
also needs to temporarily increase the memory limit, thus require
MPFR_CHECK_LARGEMEM too.
------------------------------------------------------------------------
r13920 | vlefevre | 2020-05-26 11:24:25 +0000 (Tue, 26 May 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] If decimal floats are explicitly disabled, do not do
the check of the bit-field ordering for _Decimal128.
------------------------------------------------------------------------
r13919 | vlefevre | 2020-05-26 11:12:21 +0000 (Tue, 26 May 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Fixed detection of bit-field ordering for _Decimal128:
a compiler error with exit status 1 was mixed up with little endian.
------------------------------------------------------------------------
r13916 | vlefevre | 2020-05-24 17:53:31 +0000 (Sun, 24 May 2020) | 3 lines
Changed paths:
   M /trunk/src/mpfr-intmax.h

[src/mpfr-intmax.h] Added support for Silicon Graphics IRIX 6.5 (1998)
with native /usr/bin/cc, which knows the long long type but defines
ULONGLONG_MAX, etc. instead of ULLONG_MAX, etc.
------------------------------------------------------------------------
r13915 | vlefevre | 2020-05-24 01:35:17 +0000 (Sun, 24 May 2020) | 4 lines
Changed paths:
   M /trunk/tests/tget_ld_2exp.c

[tests/tget_ld_2exp.c] Reverted r13914 as we still need to support
pre-C99 compilers (and this change was useless).
If C99 syntax is needed, there should be a configure test, and the
code should be conditional.
------------------------------------------------------------------------
r13914 | zimmerma | 2020-05-23 19:53:25 +0000 (Sat, 23 May 2020) | 2 lines
Changed paths:
   M /trunk/tests/tget_ld_2exp.c

[tests/tget_ld_2exp.c] put expected value in hex in bug20180904()

------------------------------------------------------------------------
r13913 | vlefevre | 2020-05-20 01:13:35 +0000 (Wed, 20 May 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] "To make a release": mention MPFR_CHECK_EXPENSIVE.
------------------------------------------------------------------------
r13912 | zimmerma | 2020-05-19 21:19:06 +0000 (Tue, 19 May 2020) | 2 lines
Changed paths:
   M /trunk/tests/tgamma.c

[tests/tgamma.c] added comment about bug fix

------------------------------------------------------------------------
r13911 | zimmerma | 2020-05-19 21:13:36 +0000 (Tue, 19 May 2020) | 3 lines
Changed paths:
   M /trunk/src/bernoulli.c

[src/bernoulli.c] improve initial precision in mpfr_bernoulli_internal()
		  (avoid failures for n <= 10000)

------------------------------------------------------------------------
r13910 | zimmerma | 2020-05-19 20:01:02 +0000 (Tue, 19 May 2020) | 2 lines
Changed paths:
   M /trunk/src/bernoulli.c

[src/bernoulli.c] fix bug with non-regression test added in r13907

------------------------------------------------------------------------
r13909 | zimmerma | 2020-05-19 17:59:41 +0000 (Tue, 19 May 2020) | 3 lines
Changed paths:
   M /trunk/src/bernoulli.c

[src/bernoulli.c] temporary fix for the bug in mpfr_gamma, something must be
                  wrong in the error analysis of mpfr_bernoulli_internal()

------------------------------------------------------------------------
r13908 | zimmerma | 2020-05-19 16:13:09 +0000 (Tue, 19 May 2020) | 3 lines
Changed paths:
   M /trunk/doc/README.dev
   M /trunk/tests/tgamma.c

[doc/README.dev] added MPFR_CHECK_EXPENSIVE
[tests/tgamma.c] use MPFR_CHECK_EXPENSIVE

------------------------------------------------------------------------
r13907 | zimmerma | 2020-05-19 15:06:58 +0000 (Tue, 19 May 2020) | 2 lines
Changed paths:
   M /trunk/tests/tgamma.c

added non-regression test for bug reported by Frithjof Blomquist

------------------------------------------------------------------------
r13906 | vlefevre | 2020-05-04 15:25:13 +0000 (Mon, 04 May 2020) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Use of codespell: better workaround to python ugliness.
------------------------------------------------------------------------
r13898 | vlefevre | 2020-04-27 20:12:09 +0000 (Mon, 27 Apr 2020) | 3 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Section "Rounding" / even-rounding rule: the odd
radices β are actually not concerned since in such radices, β^k
is always odd, so that the exponent does not matter.
------------------------------------------------------------------------
r13897 | vlefevre | 2020-04-27 19:59:50 +0000 (Mon, 27 Apr 2020) | 7 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] In Section "Rounding", for MPFR_RNDN, added a note
about the even-rounding rule in particular cases: 1-digit precision
and odd radices.
Note: A short explanation was already in the mpfr_get_str description,
which is where the issue could occur at the time the minimum precision
of MPFR numbers was 2. Now that the minimum precision is 1, this rule
in such special cases is more general.
------------------------------------------------------------------------
r13896 | vlefevre | 2020-04-27 19:27:57 +0000 (Mon, 27 Apr 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] + "than": also in a comment.
------------------------------------------------------------------------
r13895 | vlefevre | 2020-04-27 19:19:53 +0000 (Mon, 27 Apr 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Corrected a typo. Changed "{less,greater} or equal to"
to the more common "{less,greater} than or equal to".
------------------------------------------------------------------------
r13893 | vlefevre | 2020-04-26 16:07:20 +0000 (Sun, 26 Apr 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] In the paragraph on mpfr_rnd_t, give a reference
to Section "Rounding".
------------------------------------------------------------------------
r13892 | vlefevre | 2020-04-26 15:58:59 +0000 (Sun, 26 Apr 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] s/can not/cannot/
------------------------------------------------------------------------
r13891 | vlefevre | 2020-04-26 15:57:16 +0000 (Sun, 26 Apr 2020) | 4 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Improved Section "Rounding" even more:
  * Added a note about the sign of the result (important for 0).
  * Described the directed rounding modes (BTW, this notion of
    "directed rounding modes" was used but never defined).
------------------------------------------------------------------------
r13890 | vlefevre | 2020-04-26 15:13:10 +0000 (Sun, 26 Apr 2020) | 5 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Improved the description of the rounding modes:
  * Be more clear that MPFR_RNDN uses the even rounding rule.
  * In "two representable numbers", add "consecutive".
  * Be more general than radix 2 (due to conversions to a string).
  * Consistent typography.
------------------------------------------------------------------------
r13889 | vlefevre | 2020-04-25 15:08:40 +0000 (Sat, 25 Apr 2020) | 5 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi]
  * mpfr_init2: mention mpfr_prec_round; added a note about
    memory allocation.
  * mpfr_prec_round: clarification ("new allocation" could be
    surprising since one needs less memory).
------------------------------------------------------------------------
r13888 | zimmerma | 2020-04-25 14:42:58 +0000 (Sat, 25 Apr 2020) | 3 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] document that mpfr_prec_round does no new allocation
		in case the allocated memory is enough

------------------------------------------------------------------------
r13886 | vlefevre | 2020-04-22 15:27:07 +0000 (Wed, 22 Apr 2020) | 5 lines
Changed paths:
   M /trunk/src/atan.c

[src/atan.c] Removing the FIXME: I can't see anything wrong in the
MPFR code. This could be a bug in GCC's analyzer (which is currently
experimental). And GCC bug 94713 in the analyzer prevents debugging
as it makes impossible to track uninitialized values: warnings do not
occur the first time an uninitialized value occurs.
------------------------------------------------------------------------
r13885 | vlefevre | 2020-04-22 15:10:28 +0000 (Wed, 22 Apr 2020) | 1 line
Changed paths:
   M /trunk/src/atan.c

[src/atan.c] Added an assertion.
------------------------------------------------------------------------
r13884 | vlefevre | 2020-04-22 15:02:31 +0000 (Wed, 22 Apr 2020) | 1 line
Changed paths:
   M /trunk/src/atan.c

[src/atan.c] Reduce the number of mpz_get_ui calls with assertions.
------------------------------------------------------------------------
r13883 | vlefevre | 2020-04-22 12:23:39 +0000 (Wed, 22 Apr 2020) | 1 line
Changed paths:
   M /trunk/src/atan.c

[src/atan.c] Added a FIXME.
------------------------------------------------------------------------
r13881 | vlefevre | 2020-04-14 11:12:16 +0000 (Tue, 14 Apr 2020) | 5 lines
Changed paths:
   M /trunk/doc/texinfo.tex

[doc/texinfo.tex] Update to 2020-02-11.09 with "autoreconf -i -f"
under Debian/unstable.
Note: The generated mpfr.html and mpfr.info files remain the same.
In mpfr.pdf, there are minor changes concerning horizontal spacing
in paragraphs with a URL.
------------------------------------------------------------------------
r13879 | vlefevre | 2020-04-11 01:53:36 +0000 (Sat, 11 Apr 2020) | 4 lines
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] Fixed missing "#if _MPFR_IEEE_FLOATS" that
became visible with r13878 now that the encoding of decimal floats
can be detected at compile time. But by fixing the defined macros
manually, this issue could be visible before r13878.
------------------------------------------------------------------------
r13878 | vlefevre | 2020-04-10 11:19:19 +0000 (Fri, 10 Apr 2020) | 11 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/acinclude.m4
   M /trunk/configure.ac
   M /trunk/doc/README.dev
   M /trunk/src/get_d64.c
   M /trunk/src/mpfr-impl.h
   M /trunk/src/set_d128.c
   M /trunk/src/set_d64.c
   M /trunk/tests/tget_set_d128.c
   M /trunk/tests/tget_set_d64.c
   M /trunk/tests/tversion.c

Reworked decimal support and detection, resolving FIXMEs.
  * INSTALL, acinclude.m4, configure.ac: --enable-decimal-float can
    take new values. Change of macro DPD_FORMAT (DPD was assumed in
    case of cross-compilation, which could be wrong) to 3 new macros:
    DECIMAL_DPD_FORMAT, DECIMAL_BID_FORMAT, DECIMAL_GENERIC_CODE.
  * doc/README.dev: documented these 3 new macros.
  * src/mpfr-impl.h: the detection of the BID encoding can now be
    done at compile time when GCC defines __DECIMAL_BID_FORMAT__
    (as on x86); support of the 3 new macros.
  * src/{get_d64.c,set_d64.c,set_d128.c}: update.
  * tests/{tget_set_d64.c,tget_set_d128.c,tversion.c}: update.
------------------------------------------------------------------------
r13877 | vlefevre | 2020-04-08 22:39:35 +0000 (Wed, 08 Apr 2020) | 1 line
Changed paths:
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/src/get_d128.c
   M /trunk/src/get_d64.c
   M /trunk/src/mpfr-sassert.h
   M /trunk/src/set_d128.c
   M /trunk/src/set_d64.c
   M /trunk/tests/tests.c
   M /trunk/tests/tset_ld.c
   M /trunk/tests/tsprintf.c

Updated URLs of the GCC mailing-list archives.
------------------------------------------------------------------------
r13876 | vlefevre | 2020-04-06 21:06:10 +0000 (Mon, 06 Apr 2020) | 3 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] Updated FIXME about AC_FUNC_ALLOCA (in 2019-01, I
already noticed a probable bug in the AC_FUNC_ALLOCA description,
but forgot about it).
------------------------------------------------------------------------
r13875 | vlefevre | 2020-04-06 14:03:01 +0000 (Mon, 06 Apr 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13874 | vlefevre | 2020-04-06 14:02:01 +0000 (Mon, 06 Apr 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Formatted output functions: added a comment with the URL
of the bug report.
------------------------------------------------------------------------
r13873 | vlefevre | 2020-04-06 13:59:38 +0000 (Mon, 06 Apr 2020) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/doc/mpfr.texi

[NEWS,doc/mpfr.texi] Documented the improvement in the formatted output
functions (mpfr_printf, etc.) with an empty precision field, about
trailing zeros.
------------------------------------------------------------------------
r13868 | vlefevre | 2020-04-03 10:56:49 +0000 (Fri, 03 Apr 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Corrected MPFR_ASSERTD to MPFR_ASSERTN.
------------------------------------------------------------------------
r13867 | vlefevre | 2020-04-03 10:54:16 +0000 (Fri, 03 Apr 2020) | 9 lines
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Reverted r13862 and fixed the test_ubf test: A random
precision was too small, so that an input for the test was not computed
exactly (I had modified the values of the inputs for better tests, but
forgot to change the minimum precision). Also check that the inputs are
computed exactly (which is what I often do, but here, I had forgotten),
in order to make errors like the above one easier to understand in case
the test will have to be modified later.
Note: With the incorrect input, the mpfr_sub1 result and flags were
actually correct, so that this was only a bug in the test.
------------------------------------------------------------------------
r13866 | zimmerma | 2020-04-03 06:32:52 +0000 (Fri, 03 Apr 2020) | 2 lines
Changed paths:
   M /trunk/INSTALL

[INSTALL] update CompCert instructions

------------------------------------------------------------------------
r13865 | zimmerma | 2020-04-02 20:35:33 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/INSTALL

[INSTALL] fixed CompCert instructions

------------------------------------------------------------------------
r13864 | vlefevre | 2020-04-02 15:55:35 +0000 (Thu, 02 Apr 2020) | 6 lines
Changed paths:
   M /trunk/tests/tset_ld.c

[tests/tset_ld.c] Reverted r13858: the check_overflow test was already
in MPFR 4.0.1 and was succeeding on armv5tejl-unknown-linux-gnueabi,
which had mpfr_cv_c_long_double_format='IEEE double, little endian'.
The issue should be investigated.
Note: MPFR_LDBL_MANT_DIG may be larger than the actual number of bits,
but this should not cause a failure in the tests.
------------------------------------------------------------------------
r13863 | vlefevre | 2020-04-02 15:43:04 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/tests/tget_ld_2exp.c

[tests/tget_ld_2exp.c] Proper fix: the bug20180904 test was designed
for the x87 extended precision, so enable it only in this case.
------------------------------------------------------------------------
r13862 | zimmerma | 2020-04-02 14:06:30 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] modify test_ubf() to always hit a current failing test

------------------------------------------------------------------------
r13861 | vlefevre | 2020-04-02 13:49:16 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Fixed the change done in r13853 (about removed macros),
making the code simpler and more maintainable at the same time.
------------------------------------------------------------------------
r13860 | zimmerma | 2020-04-02 11:48:28 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/INSTALL

[INSTALL] added configuration for CompCert test

------------------------------------------------------------------------
r13859 | vlefevre | 2020-04-02 11:31:51 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/src/set_ld.c

[src/set_ld.c] Removed obsolete workaround due to LDBL_MAX being buggy
on old i386 systems (the tests were not using this workaround).
------------------------------------------------------------------------
r13858 | zimmerma | 2020-04-02 11:12:28 +0000 (Thu, 02 Apr 2020) | 3 lines
Changed paths:
   M /trunk/tests/tget_ld_2exp.c
   M /trunk/tests/tset_ld.c

[tests/tget_ld_2exp.c] fixed for case where long double = double
[tests/tset_ld.c]      likewise

------------------------------------------------------------------------
r13857 | vlefevre | 2020-04-02 10:58:19 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Moved MPFR_CONFIGS invocation: MPFR_CONFIGS uses LDFLAGS,
thus must be invoked after LDFLAGS has been determined completely.
------------------------------------------------------------------------
r13856 | zimmerma | 2020-04-02 10:32:50 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/INSTALL

[INSTALL] now all tests pass with compcert

------------------------------------------------------------------------
r13855 | zimmerma | 2020-04-02 10:19:13 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] added missing LDFLAGS for long double test

------------------------------------------------------------------------
r13854 | vlefevre | 2020-04-02 09:56:46 +0000 (Thu, 02 Apr 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Added HAVE_ALLOCA description.
------------------------------------------------------------------------
r13853 | vlefevre | 2020-04-02 09:53:55 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Do not remove the HAVE_ALLOCA macro, which is now used
by MPFR to determine the default MPFR_ALLOCA_MAX value.
------------------------------------------------------------------------
r13852 | zimmerma | 2020-04-02 09:51:09 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/INSTALL

[INSTALL] update CompCert instructions

------------------------------------------------------------------------
r13851 | vlefevre | 2020-04-02 09:45:31 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] Output whether MPFR is built with the GMP build,
and the MPFR_ALLOCA_MAX value if not.
------------------------------------------------------------------------
r13850 | vlefevre | 2020-04-02 09:24:44 +0000 (Thu, 02 Apr 2020) | 3 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] If HAVE_ALLOCA is not defined, i.e. if alloca() is
not available (as detected by the configure script), then set the
default MPFR_ALLOCA_MAX value to 0 so that alloca() is not used.
------------------------------------------------------------------------
r13849 | zimmerma | 2020-04-02 06:57:07 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/INSTALL

[INSTALL] added instructions for CompCert

------------------------------------------------------------------------
r13848 | vlefevre | 2020-04-02 01:26:46 +0000 (Thu, 02 Apr 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Updated MPFR_ALLOCA_MAX description.
------------------------------------------------------------------------
r13847 | vlefevre | 2020-04-02 01:04:08 +0000 (Thu, 02 Apr 2020) | 2 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] When MPFR_ALLOCA_MAX = 0 (set at configure time),
do not reference alloca() since we don't need it.
------------------------------------------------------------------------
r13844 | vlefevre | 2020-03-31 13:11:09 +0000 (Tue, 31 Mar 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] About mpfr_printf with %Re and empty precision field,
added a comment with URLs of the discussion and the bug report.
------------------------------------------------------------------------
r13840 | vlefevre | 2020-03-30 19:07:12 +0000 (Mon, 30 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] Typo in a comment.
------------------------------------------------------------------------
r13839 | vlefevre | 2020-03-30 14:52:53 +0000 (Mon, 30 Mar 2020) | 3 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Updated message output when the gmp.h vs libgmp test
fails: another cause may be that LD_RUN_PATH is not honored (problem
seen under OpenBSD 6.6 / gcc302.fsffrance.org).
------------------------------------------------------------------------
r13835 | vlefevre | 2020-03-27 17:36:26 +0000 (Fri, 27 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tset_sj.c

[tests/tset_sj.c] Forgot a "#ifndef NPRINTF_J" for printf("%jd",...).
------------------------------------------------------------------------
r13834 | vlefevre | 2020-03-27 15:45:17 +0000 (Fri, 27 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/set_uj.c

[src/set_uj.c] Fixed underflow detection.
------------------------------------------------------------------------
r13833 | vlefevre | 2020-03-27 15:12:51 +0000 (Fri, 27 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/set_uj.c

[src/set_uj.c] Added early overflow detection to avoid a possible
integer overflow. Added a FIXME (incorrect underflow detection).
------------------------------------------------------------------------
r13832 | vlefevre | 2020-03-27 15:05:03 +0000 (Fri, 27 Mar 2020) | 6 lines
Changed paths:
   M /trunk/tests/tset_sj.c

[tests/tset_sj.c] Added tests of mpfr_set_sj_2exp and mpfr_set_uj_2exp
in precision 3 with integers from -31 to 31 and exponents MPFR_EXP_MIN,
MPFR_EMIN_MIN-7 to MPFR_EMIN_MIN, MPFR_EMAX_MAX-7 to MPFR_EMAX_MAX,
MPFR_EXP_MAX-7 to MPFR_EXP_MAX (like in tset_si.c, see r13808), but
also exponents INTMAX_MIN and INTMAX_MAX. This shows bugs in set_uj.c,
to be fixed...
------------------------------------------------------------------------
r13831 | vlefevre | 2020-03-27 14:17:10 +0000 (Fri, 27 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/set_sj.c

[src/set_sj.c] Coding style.
------------------------------------------------------------------------
r13830 | vlefevre | 2020-03-27 13:59:05 +0000 (Fri, 27 Mar 2020) | 4 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h
   M /trunk/src/mpfr-impl.h

[src] Moved the definition of the numberof() macro from mpfr-gmp.h to
mpfr-impl.h in order to always use our own. Also make sure that the
type is signed, so that the value can be used in arbitrary expressions
without the risk of silently switching to unsigned arithmetic.
------------------------------------------------------------------------
r13827 | vlefevre | 2020-03-26 12:58:24 +0000 (Thu, 26 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/texpm1.c

[tests/texpm1.c] Updated the bad_cases() parameters to increase the
proportion of generated bad cases.
------------------------------------------------------------------------
r13826 | vlefevre | 2020-03-26 11:51:33 +0000 (Thu, 26 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tset_si.c

[tests/tset_si.c] Forgot a cast for MPFR_EXP_FSPEC argument.
------------------------------------------------------------------------
r13825 | vlefevre | 2020-03-26 10:07:00 +0000 (Thu, 26 Mar 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13824 | vlefevre | 2020-03-26 10:00:46 +0000 (Thu, 26 Mar 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi
   M /trunk/src/dump.c
   M /trunk/src/mpfr-impl.h

Consistency: "a UBF" → "an UBF" since UBF stands for "unbounded float".
------------------------------------------------------------------------
r13823 | vlefevre | 2020-03-26 09:56:45 +0000 (Thu, 26 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Updated UBF comment about aliasing rules.
------------------------------------------------------------------------
r13822 | vlefevre | 2020-03-26 09:53:55 +0000 (Thu, 26 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Updated UBF comment about aliasing rules.
------------------------------------------------------------------------
r13821 | vlefevre | 2020-03-26 09:35:25 +0000 (Thu, 26 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Bug fix (MPFR_ZEXP(x) as used for an assignment
could yield undefined behavior on platforms where mpfr_exp_t has
trap representations); this is also a general improvement.
------------------------------------------------------------------------
r13818 | vlefevre | 2020-03-26 02:45:48 +0000 (Thu, 26 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Avoid the build failure with -Werror=strict-aliasing by
replacing x[…] by p[…] (but this doesn't eliminate the problem itself).
------------------------------------------------------------------------
r13816 | vlefevre | 2020-03-26 00:17:17 +0000 (Thu, 26 Mar 2020) | 5 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] UBF: updated comment: this breaks aliasing rules, but
there isn't any other acceptable solution.
Note: when trying to build MPFR without --enable-assert, with GCC and
CFLAGS="-O2 -Werror=strict-aliasing", the compilation of tests/tsub.c
currently fails because of that.
------------------------------------------------------------------------
r13815 | vlefevre | 2020-03-25 20:24:23 +0000 (Wed, 25 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Fixed tests on UBF.
------------------------------------------------------------------------
r13814 | vlefevre | 2020-03-25 20:04:16 +0000 (Wed, 25 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] Fixed underflow handling in case c small (can occur only
with UBF).
------------------------------------------------------------------------
r13813 | vlefevre | 2020-03-25 19:40:39 +0000 (Wed, 25 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tfma.c

[tests/tfma.c] Minor correction.
------------------------------------------------------------------------
r13812 | vlefevre | 2020-03-25 19:39:40 +0000 (Wed, 25 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/tfma.c

[tests/tfma.c] Changed a RND_LOOP to RND_LOOP_NO_RNDF as the behavior
with RNDF changed after a bug fix.
------------------------------------------------------------------------
r13811 | vlefevre | 2020-03-25 17:52:01 +0000 (Wed, 25 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Completed tests for UBF (currently fail).
------------------------------------------------------------------------
r13810 | vlefevre | 2020-03-25 17:28:45 +0000 (Wed, 25 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] Bug fix for UBF and MPFR_RNDF.
------------------------------------------------------------------------
r13809 | vlefevre | 2020-03-25 17:07:02 +0000 (Wed, 25 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/set_si_2exp.c
   M /trunk/src/set_ui_2exp.c

[src/set_{si,ui}_2exp.c] Bug fix in MPFR_LONG_WITHIN_LIMB defined case:
added early underflow/overflow checking to avoid integer overflow or
errors due to special exponent values.
------------------------------------------------------------------------
r13808 | vlefevre | 2020-03-25 16:55:37 +0000 (Wed, 25 Mar 2020) | 5 lines
Changed paths:
   M /trunk/tests/tset_si.c

[tests/tset_si.c] Added tests of mpfr_set_si_2exp and mpfr_set_ui_2exp
in precision 3 with integers from -31 to 31 and exponents MPFR_EXP_MIN,
MPFR_EMIN_MIN-7 to MPFR_EMIN_MIN, MPFR_EMAX_MAX-7 to MPFR_EMAX_MAX,
MPFR_EXP_MAX-7 to MPFR_EXP_MAX, showing bugs in these functions when
MPFR_LONG_WITHIN_LIMB is defined.
------------------------------------------------------------------------
r13807 | vlefevre | 2020-03-24 15:41:55 +0000 (Tue, 24 Mar 2020) | 3 lines
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] More tests on UBF. The results are not checked yet,
but running the tests with UBsan could allow one to trigger bugs
(such as the one fixed in r13806).
------------------------------------------------------------------------
r13806 | vlefevre | 2020-03-24 15:32:22 +0000 (Tue, 24 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] If exp_b = MPFR_EXP_MIN, an integer overflow may occur in
the "MAX (aq, bq) + 2 <= diff_exp" branch. This is possible only with
UBF. Fixed this bug with an early underflow detection in the UBF case.
------------------------------------------------------------------------
r13805 | vlefevre | 2020-03-24 13:47:38 +0000 (Tue, 24 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/tfmma.c

[tests/tfmma.c] Added extreme_underflow test: before the r13798 bug fix,
this was triggering an integer overflow.
------------------------------------------------------------------------
r13804 | vlefevre | 2020-03-24 12:41:29 +0000 (Tue, 24 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Corrected a function name.
------------------------------------------------------------------------
r13803 | vlefevre | 2020-03-24 11:27:52 +0000 (Tue, 24 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] More tests on UBF, in particular with an exponent change
(including subnormal → normal and normal → overflow due to that).
------------------------------------------------------------------------
r13802 | vlefevre | 2020-03-24 01:31:09 +0000 (Tue, 24 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Tests on UBF: underflow/overflow cases done.
------------------------------------------------------------------------
r13801 | vlefevre | 2020-03-23 16:05:46 +0000 (Mon, 23 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] More tests on UBF.
------------------------------------------------------------------------
r13800 | vlefevre | 2020-03-23 15:40:48 +0000 (Mon, 23 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] UBF: reordered macro definitions.
------------------------------------------------------------------------
r13799 | vlefevre | 2020-03-23 15:38:06 +0000 (Mon, 23 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/add1.c
   M /trunk/src/mpfr-impl.h
   M /trunk/src/sub1.c

[src]
  * mpfr-impl.h: define MPFR_UBF_GET_EXP macro.
  * add1.c, sub1.c: use this macro.
------------------------------------------------------------------------
r13798 | vlefevre | 2020-03-23 15:13:34 +0000 (Mon, 23 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] Detect an underflow case (before the main detection) to
avoid a possible integer overflow with UBF.
------------------------------------------------------------------------
r13797 | vlefevre | 2020-03-23 13:19:56 +0000 (Mon, 23 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] Added comments.
------------------------------------------------------------------------
r13796 | vlefevre | 2020-03-23 13:13:10 +0000 (Mon, 23 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsub.c

[tests/tsub.c] First tests on UBF.
------------------------------------------------------------------------
r13795 | vlefevre | 2020-03-23 11:09:53 +0000 (Mon, 23 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/agm.c

[src/agm.c] Avoid a potential integer overflow with huge precisions.
------------------------------------------------------------------------
r13794 | vlefevre | 2020-03-16 10:57:40 +0000 (Mon, 16 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/root.c

[src/root.c] Removed useless cast in a comparison, as both operands are
non-negative.
------------------------------------------------------------------------
r13793 | vlefevre | 2020-03-16 10:53:56 +0000 (Mon, 16 Mar 2020) | 8 lines
Changed paths:
   M /trunk/src/rem1.c

[src/rem1.c]
  * Portability fix: when mpfr_exp_t <= long (which is the default),
    an addition was done in unsigned integer arithmetic instead of
    signed integer arithmetic, with a conversion back to a signed
    type, i.e. with potentially implementation-defined behavior.
    There could also be an integer overflow on huge-precision values
    if mp_bitcnt_t > unsigned long.
  * Updated a comment.
------------------------------------------------------------------------
r13792 | vlefevre | 2020-03-16 10:44:24 +0000 (Mon, 16 Mar 2020) | 8 lines
Changed paths:
   M /trunk/src/pow.c

[src/pow.c]
  * Portability fix: when mpfr_exp_t <= long (which is the default),
    an addition with a negative result was done in unsigned integer
    arithmetic instead of signed integer arithmetic, with a conversion
    back to a signed type, i.e. with implementation-defined behavior.
    There could also be an integer overflow on huge-precision values
    if mp_bitcnt_t > unsigned long.
  * Updated comments.
------------------------------------------------------------------------
r13791 | vlefevre | 2020-03-16 10:34:26 +0000 (Mon, 16 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cos.c

[src/cos.c] Updated a comment.
------------------------------------------------------------------------
r13790 | vlefevre | 2020-03-16 10:22:20 +0000 (Mon, 16 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cos.c

[src/cos.c] Updated a comment.
------------------------------------------------------------------------
r13789 | vlefevre | 2020-03-16 10:07:34 +0000 (Mon, 16 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/const_log2.c

[src/const_log2.c] Corrected type for the return value of mpz_scan1.
------------------------------------------------------------------------
r13788 | vlefevre | 2020-03-13 17:48:24 +0000 (Fri, 13 Mar 2020) | 5 lines
Changed paths:
   M /trunk/doc/README.dev
   M /trunk/tests/tests.c

[tests/tests.c] Revert a change done in r13783 for function bad_cases():
  no longer fail if a generated value does not correspond to a bad case.
  But fail if the MPFR_CHECK_BADCASES environment variable is defined
  and too few bad cases are generated (less than 90%).
[doc/README.dev] Document MPFR_CHECK_BADCASES.
------------------------------------------------------------------------
r13787 | vlefevre | 2020-03-13 16:40:17 +0000 (Fri, 13 Mar 2020) | 25 lines
Changed paths:
   M /trunk/tests/tatanh.c
   M /trunk/tests/tests.c
   M /trunk/tests/tlog1p.c
   M /trunk/tests/trec_sqrt.c

[tests] Update to test the ternary value in test5rm() when possible,
and support the exact cases.
  * tests.c:
      - test5rm(): modified the prototype again and the behavior.
        Now, either only one test is done and the ternary value is
        not checked, or the test is done in the 5 rounding modes and
        the ternary value is checked.
      - data_check(): corresponding update; updated description.
      - bad_cases(): test the exact cases too.
  * tatanh.c: for the bad_cases() call, reduce emax to avoid errors in
    the generation of bad cases due to the rounding of tanh(y) to 1,
    which does not correspond to a bad case for atanh, but to an exact
    case.
  * tlog1p.c: for the bad_cases() call, reduce emax to avoid errors in
    the generation of bad cases due to the rounding of expm1(y) to -1,
    which does not correspond to a bad case for log1p, but to an exact
    case.
  * trec_sqrt.c: corrected the bad_cases() call to avoid negative
    numbers.
Note: the following tests
  GMP_CHECK_RANDOMIZE=5 ./tacos
  GMP_CHECK_RANDOMIZE=6 ./tatan
  GMP_CHECK_RANDOMIZE=4 ./tcos
currently fail, but because of a change in r13783 (see associated log
for the reason). To be fixed later.
------------------------------------------------------------------------
r13786 | vlefevre | 2020-03-13 10:29:46 +0000 (Fri, 13 Mar 2020) | 5 lines
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c] Modified the prototype of test5rm() to support a
parameter "exact". Therefore the parameter "test_one" is now a boolean
(the value 2 is no longer supported, as redundant with "exact"), and
about data_check() with rnd = '*', the loop is now done in test5rm(),
i.e. test5rm() is called with test_one being false.
------------------------------------------------------------------------
r13785 | vlefevre | 2020-03-12 17:33:07 +0000 (Thu, 12 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsqrt.c

[tests/tsqrt.c] For bad_cases(), use the same pos and psup parameters
as in troot.c for "rootn[2]", allowing inexact cases.
------------------------------------------------------------------------
r13784 | vlefevre | 2020-03-12 17:21:40 +0000 (Thu, 12 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/tcbrt.c

[tests/tcbrt.c] For bad_cases(), use the same pos and psup parameters
as in troot.c for "rootn[3]", allowing inexact cases.
------------------------------------------------------------------------
r13783 | vlefevre | 2020-03-12 17:17:56 +0000 (Thu, 12 Mar 2020) | 19 lines
Changed paths:
   M /trunk/tests/tests.c
   M /trunk/tests/troot.c

[tests]
  * tests.c, function bad_cases(): updated/added debug messages;
    assume that the parameters are chosen in such a way that this
    test always generates hard-to-round cases (including exact cases),
    i.e. exit with an error if one does not get a bad case, otherwise
    this can leave unexpected failures unnoticed (either due to a bug
    in the MPFR library or due to poorly chosen parameters such as in
    troot.c until now).
    Note: ideally, this would require a proof, but it is better to get
    (unlikely) spurious failures with a non-default GMP_CHECK_RANDOMIZE
    value than missing important tests.
  * troot.c, bad_cases() invocation:
      - corrected the pos parameter: when n is even, it is useless to
        generate a negative number as the function is not defined (the
        inverse function generates a positive number, and the mismatch
        now yields a failure due to the change in bad_cases); when n is
        odd, generate as many negative numbers as positive ones.
      - for n ≤ 5, reduce the psup parameter in order to also generate
        inexact cases, instead of always exact cases.
------------------------------------------------------------------------
r13782 | vlefevre | 2020-03-12 16:17:38 +0000 (Thu, 12 Mar 2020) | 3 lines
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c] Added a TODO for bad_cases, as the exact cases are not
tested yet. As a consequence, the bad_cases test added in tcbrt.c r13776
is not really useful yet, as the cbrt bad cases are only exact cases.
------------------------------------------------------------------------
r13781 | vlefevre | 2020-03-12 15:48:34 +0000 (Thu, 12 Mar 2020) | 9 lines
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c]
  * test5rm: removed additional useless tests added in r6037 in the
    case test_one true and rnd = MPFR_RNDZ or MPFR_RNDA, since the
    description was a bit incorrect and this was used only by
      - data/digamma, where this yielded only duplicate tests (mode *);
      - data/li2, where mode z is used on a few tests and could be
        replaced by mode Z (i.e. test_one false) if need be;
    updated description and added details.
  * data_check: corrected/updated description.
------------------------------------------------------------------------
r13780 | vlefevre | 2020-03-12 13:05:16 +0000 (Thu, 12 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c] Minor change in an initialization.
------------------------------------------------------------------------
r13779 | vlefevre | 2020-03-12 00:57:34 +0000 (Thu, 12 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tget_set_d128.c
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_{d64,d128}.c] Added a FIXME and improved a message.
------------------------------------------------------------------------
r13778 | vlefevre | 2020-03-12 00:44:26 +0000 (Thu, 12 Mar 2020) | 4 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Added a FIXME: in case of cross-compiling, the guess
"DPD" can be wrong, e.g. for the build with MinGW under Linux. One
does not get a failure just because of other issues in the code,
forcing the portable implementation of the decimal functions.
------------------------------------------------------------------------
r13776 | vlefevre | 2020-03-11 15:22:13 +0000 (Wed, 11 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tcbrt.c

Added bad_cases tests for mpfr_cbrt.
------------------------------------------------------------------------
r13775 | vlefevre | 2020-03-11 15:12:09 +0000 (Wed, 11 Mar 2020) | 4 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Improved the algorithm in the case the precision of the
input is larger than 3n, where n is the precision of the output, + 1
if the rounding mode is MPFR_RNDN: instead of truncating the output,
call mpz_root on the truncated input.
------------------------------------------------------------------------
r13774 | vlefevre | 2020-03-11 13:29:03 +0000 (Wed, 11 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tcbrt.c

[tests/tcbrt.c] Test the ternary value on other exact cases.
------------------------------------------------------------------------
r13773 | vlefevre | 2020-03-11 13:23:28 +0000 (Wed, 11 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tcbrt.c

[tests/tcbrt.c] Test the ternary value on special cases.
------------------------------------------------------------------------
r13772 | vlefevre | 2020-03-11 10:36:43 +0000 (Wed, 11 Mar 2020) | 5 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Description of the algorithm: improvement; corrected the
end, which was incorrect and did not match the code (the comment was
introduced in r2057 and was already incorrect in the round-down case;
then the round-to-nearest case was improved in r2070, but the comment
was not updated).
------------------------------------------------------------------------
r13771 | vlefevre | 2020-03-11 10:18:02 +0000 (Wed, 11 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Description of the algorithm: correction; added a TODO.
------------------------------------------------------------------------
r13769 | vlefevre | 2020-03-10 16:43:17 +0000 (Tue, 10 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Description of the algorithm: corrected indentation;
renamed variable r to t in order to avoid confusion with the code
(where r has a different meaning).
------------------------------------------------------------------------
r13768 | vlefevre | 2020-03-10 16:35:08 +0000 (Tue, 10 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Clarified a comment.
------------------------------------------------------------------------
r13767 | vlefevre | 2020-03-10 16:12:46 +0000 (Tue, 10 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Resolved the second FIXME and simplified the code
(basically by removing duplicate code).
------------------------------------------------------------------------
r13766 | vlefevre | 2020-03-10 15:38:20 +0000 (Tue, 10 Mar 2020) | 4 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Description of the algorithm:
  * Since there was no upper bound on s, let's remove the upper bound
    on m (this now matches the code).
  * Replaced the FIXME by one due to the lack of upper bound on s.
------------------------------------------------------------------------
r13765 | vlefevre | 2020-03-10 15:20:11 +0000 (Tue, 10 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Added another FIXME as the code does not match the
algorithm described in a comment.
------------------------------------------------------------------------
r13764 | vlefevre | 2020-03-10 15:07:10 +0000 (Tue, 10 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Improved a condition to avoid operations that correspond
to a no-op.
------------------------------------------------------------------------
r13763 | vlefevre | 2020-03-10 14:24:45 +0000 (Tue, 10 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Added an assertion.
------------------------------------------------------------------------
r13762 | vlefevre | 2020-03-10 14:15:11 +0000 (Tue, 10 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Code cleanup and simplification. Added logging messages and
a FIXME about a comment (coming from r2057 with its associated code).
------------------------------------------------------------------------
r13761 | vlefevre | 2020-03-10 13:43:04 +0000 (Tue, 10 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/cbrt.c

[src/cbrt.c] Removed a useless cast on a comparison operand, since
both operands are non-negative.
------------------------------------------------------------------------
r13760 | vlefevre | 2020-03-10 13:38:06 +0000 (Tue, 10 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/atan.c

[src/atan.c] Added assertions.
------------------------------------------------------------------------
r13759 | vlefevre | 2020-03-10 13:12:09 +0000 (Tue, 10 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Workaround to Debian bug 953369 in libpython3.8-minimal
for the codespell invocation.
------------------------------------------------------------------------
r13758 | vlefevre | 2020-03-09 15:31:45 +0000 (Mon, 09 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/eint.c

[src/eint.c] Bug fix: possible integer overflow with some
C implementations (or some _MPFR_PREC_FORMAT / _MPFR_EXP_FORMAT values)
due to the use of incorrect integer types.
------------------------------------------------------------------------
r13757 | vlefevre | 2020-03-09 14:41:06 +0000 (Mon, 09 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/eint.c

[src/eint.c] Added other logging messages.
------------------------------------------------------------------------
r13756 | vlefevre | 2020-03-09 14:36:19 +0000 (Mon, 09 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/eint.c

[src/eint.c] Added some logging messages.
------------------------------------------------------------------------
r13755 | zimmerma | 2020-03-09 09:54:57 +0000 (Mon, 09 Mar 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsin.c

[tests/tsin.c] added one test

------------------------------------------------------------------------
r13753 | vlefevre | 2020-03-04 15:14:31 +0000 (Wed, 04 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] cancel: also log its value; range checking/tracking.
------------------------------------------------------------------------
r13752 | vlefevre | 2020-03-04 14:38:54 +0000 (Wed, 04 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Added a comment giving the range of the value returned
in "cancel" and explaining why there is no integer overflow in the
computation of this value.
------------------------------------------------------------------------
r13751 | vlefevre | 2020-03-04 14:28:29 +0000 (Wed, 04 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Comment: some absolute values are not needed (again).
------------------------------------------------------------------------
r13750 | vlefevre | 2020-03-04 14:26:40 +0000 (Wed, 04 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Minor correction for |EXP(b) - EXP(c)| >= MPFR_EXP_MAX.
------------------------------------------------------------------------
r13749 | vlefevre | 2020-03-04 14:24:49 +0000 (Wed, 04 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Better explanation when |EXP(b) - EXP(c)| >= MPFR_EXP_MAX.
------------------------------------------------------------------------
r13748 | vlefevre | 2020-03-03 15:09:21 +0000 (Tue, 03 Mar 2020) | 4 lines
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Finished the review of mpfr_cmp2: simplified the code even
more; corrected/updated comments (in the case high_dif = 0, one can have
dif = 1 if c has entirely been taken into account, so that the comment
"dif > 1 here" was incorrect; only dif >= 1 is needed anyway).
------------------------------------------------------------------------
r13747 | vlefevre | 2020-03-03 14:17:32 +0000 (Tue, 03 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Changed high_dif to type int since it is manipulated like
a boolean. Updated comments.
------------------------------------------------------------------------
r13746 | vlefevre | 2020-03-02 17:02:51 +0000 (Mon, 02 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Simplified the mpfr_cmp2 code and updated comments.
------------------------------------------------------------------------
r13745 | vlefevre | 2020-03-02 15:55:03 +0000 (Mon, 02 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Updated comments.
------------------------------------------------------------------------
r13744 | zimmerma | 2020-03-02 10:46:10 +0000 (Mon, 02 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/mpfr.h

[src/mpfr.h] added comment

------------------------------------------------------------------------
r13743 | vlefevre | 2020-03-02 10:05:18 +0000 (Mon, 02 Mar 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr.h

[src/mpfr.h] _MPFR_PREC_FORMAT and _MPFR_EXP_FORMAT: improved comment.
------------------------------------------------------------------------
r13742 | vlefevre | 2020-03-02 09:59:04 +0000 (Mon, 02 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/mpfr.h

[src/mpfr.h] _MPFR_PREC_FORMAT and _MPFR_EXP_FORMAT: added a detailed
comment (the previous comment was not obsolete, but misleading).
------------------------------------------------------------------------
r13741 | zimmerma | 2020-03-02 09:19:31 +0000 (Mon, 02 Mar 2020) | 3 lines
Changed paths:
   M /trunk/src/mpfr.h

[src/mpfr.h] removed obsolete comment (_MPFR_PREC_FORMAT=3 is the default
	     under Linux x86_64)

------------------------------------------------------------------------
r13740 | zimmerma | 2020-03-01 18:07:02 +0000 (Sun, 01 Mar 2020) | 2 lines
Changed paths:
   M /trunk/src/rem1.c
   M /trunk/src/sin.c

[src/sin.c] increase initial precision even more

------------------------------------------------------------------------
r13739 | vlefevre | 2020-03-01 00:22:52 +0000 (Sun, 01 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tpow.c

[tests/tpow.c] Replaced mpfr_cmp by !mpfr_equal_p for NaN detection.
------------------------------------------------------------------------
r13738 | vlefevre | 2020-03-01 00:19:05 +0000 (Sun, 01 Mar 2020) | 1 line
Changed paths:
   M /trunk/tests/tsin.c

[tests/tsin.c] Replaced obsolete function mpfr_mul_2exp by mpfr_mul_2ui.
------------------------------------------------------------------------
r13737 | zimmerma | 2020-02-29 13:07:12 +0000 (Sat, 29 Feb 2020) | 2 lines
Changed paths:
   M /trunk/src/sin.c

[src/sin.c] increase initial precision when x is large

------------------------------------------------------------------------
r13736 | zimmerma | 2020-02-29 11:04:14 +0000 (Sat, 29 Feb 2020) | 10 lines
Changed paths:
   M /trunk/src/rem1.c

[src/rem1.c] workaround for efficiency bug in mpz_powm_ui, which was making
argument reduction in mpfr_sin for huge x very slow.

Before:
$ ./mfv5 -p113 -e16384 -d-2 mpfr_sin
 mpfr_sin:	 3289620 / 3576511.59 / 6841956

After this commit:
 mpfr_sin:	 166868 / 182661.01 / 343224

------------------------------------------------------------------------
r13735 | zimmerma | 2020-02-29 10:55:26 +0000 (Sat, 29 Feb 2020) | 2 lines
Changed paths:
   M /trunk/tests/tpow.c

[tests/tpow.c] added one test

------------------------------------------------------------------------
r13734 | zimmerma | 2020-02-29 09:25:06 +0000 (Sat, 29 Feb 2020) | 4 lines
Changed paths:
   M /trunk/tools/mbench/mfv5.cc

added value -2 for option -d to generate random number with exponent
exactly e. Example:
$ mfv5 -p113 -e16384 -d-2 -v mpfr_sin

------------------------------------------------------------------------
r13733 | zimmerma | 2020-02-28 15:29:10 +0000 (Fri, 28 Feb 2020) | 2 lines
Changed paths:
   M /trunk/tests/tpow.c

[tests/tpow.c] added a test

------------------------------------------------------------------------
r13732 | zimmerma | 2020-02-28 15:20:42 +0000 (Fri, 28 Feb 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsin.c

[tests/tsin.c] fixed and completed check_binary128()

------------------------------------------------------------------------
r13731 | vlefevre | 2020-02-28 15:07:26 +0000 (Fri, 28 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Started to review mpfr_cmp2. Minor changes.
------------------------------------------------------------------------
r13730 | vlefevre | 2020-02-28 13:19:58 +0000 (Fri, 28 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/cmp2.c

[src/cmp2.c] Detailed a comment concerning UBF.
------------------------------------------------------------------------
r13727 | vlefevre | 2020-02-27 13:35:30 +0000 (Thu, 27 Feb 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsin.c

[tests/tsin.c] Cleanup of the latest test (note: mpfr_equal_p is better
than mpfr_cmp as it makes the test fail on a NaN result).
------------------------------------------------------------------------
r13726 | zimmerma | 2020-02-27 13:24:12 +0000 (Thu, 27 Feb 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsin.c

[tests/tsin.c] added one test with precision 128

------------------------------------------------------------------------
r13725 | vlefevre | 2020-02-27 10:53:50 +0000 (Thu, 27 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr.h

[src/mpfr.h] Updated a comment (underscore version of attribute name).
------------------------------------------------------------------------
r13724 | vlefevre | 2020-02-27 10:45:30 +0000 (Thu, 27 Feb 2020) | 2 lines
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Detect the use of the non-underscore version of the
attribute names in mpfr.h (see README.dev).
------------------------------------------------------------------------
r13723 | vlefevre | 2020-02-25 17:26:07 +0000 (Tue, 25 Feb 2020) | 2 lines
Changed paths:
   M /trunk/doc/README.dev
   M /trunk/src/mpfr.h

[src/mpfr.h] Use the underscore version of the attribute names.
[doc/README.dev] Added information on this subject.
------------------------------------------------------------------------
r13722 | vlefevre | 2020-02-25 16:17:57 +0000 (Tue, 25 Feb 2020) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Added item on GNU Automake and -I options.
------------------------------------------------------------------------
r13721 | vlefevre | 2020-02-14 09:29:07 +0000 (Fri, 14 Feb 2020) | 3 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Removed an incorrect comment before MPFR_TMP_INIT1
(this macro does not allocate anything, and MPFR_TMP_INIT just after
can allocate more than 1 limb).
------------------------------------------------------------------------
r13720 | vlefevre | 2020-02-14 09:23:00 +0000 (Fri, 14 Feb 2020) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] About the use of MPFR_MANT(x).
------------------------------------------------------------------------
r13719 | vlefevre | 2020-02-13 11:49:50 +0000 (Thu, 13 Feb 2020) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Typo.
------------------------------------------------------------------------
r13718 | vlefevre | 2020-02-12 15:15:56 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/tests/tcmpabs.c

[tests/tcmpabs.c] Added missing tests of mpfr_cmpabs with NaN.
------------------------------------------------------------------------
r13717 | vlefevre | 2020-02-12 15:12:10 +0000 (Wed, 12 Feb 2020) | 5 lines
Changed paths:
   M /trunk/tests/tcmpabs.c

[tests/tcmpabs.c] For mpfr_cmpabs: like mpfr_cmpabs_ui, do each test
in 4 different contexts, combinations of:
  * flags all unset or flags all set;
  * usual exponent range or reduced exponent range.
Minor corrections in the old tests.
------------------------------------------------------------------------
r13716 | vlefevre | 2020-02-12 14:59:24 +0000 (Wed, 12 Feb 2020) | 4 lines
Changed paths:
   M /trunk/tests/tcmpabs.c

[tests/tcmpabs.c] For mpfr_cmpabs_ui: do each test in 4 different
contexts, combinations of:
  * flags all unset or flags all set;
  * usual exponent range or reduced exponent range.
------------------------------------------------------------------------
r13715 | zimmerma | 2020-02-12 13:49:46 +0000 (Wed, 12 Feb 2020) | 2 lines
Changed paths:
   M /trunk/tests/tcmpabs.c

[tests/tcmpabs.c] added tests for mpfr_cmpabs_ui

------------------------------------------------------------------------
r13714 | vlefevre | 2020-02-12 13:38:47 +0000 (Wed, 12 Feb 2020) | 4 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h]
  * MPFR_ALIAS: use the comma operator instead of "do ... while (0)"
    so that this macro can be used in an expression context.
  * MPFR_TMP_INIT_ABS, MPFR_TMP_INIT_NEG: use MPFR_ALIAS.
------------------------------------------------------------------------
r13713 | vlefevre | 2020-02-12 13:25:50 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr.h

[src/mpfr.h] Added prototype for mpfr_cmpabs_ui.
------------------------------------------------------------------------
r13712 | vlefevre | 2020-02-12 13:10:07 +0000 (Wed, 12 Feb 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added mpfr_cmpabs_ui to Section "Added Functions"
(API Compatibility).
------------------------------------------------------------------------
r13711 | vlefevre | 2020-02-12 13:04:50 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/tests/trint.c

[tests/trint.c] Replaced obsolete mpfr_cmp_abs by mpfr_cmpabs.
------------------------------------------------------------------------
r13710 | vlefevre | 2020-02-12 12:57:37 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Typo from r13708.
------------------------------------------------------------------------
r13709 | zimmerma | 2020-02-12 12:52:50 +0000 (Wed, 12 Feb 2020) | 2 lines
Changed paths:
   M /trunk/NEWS

[NEWS] mention new mpfr_cmpabs_ui

------------------------------------------------------------------------
r13708 | zimmerma | 2020-02-12 12:51:55 +0000 (Wed, 12 Feb 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi
   M /trunk/src/Makefile.am
   M /trunk/src/cmpabs.c
   A /trunk/src/cmpabs_ui.c

added new function mpfr_cmpabs_ui

------------------------------------------------------------------------
r13707 | zimmerma | 2020-02-12 12:25:47 +0000 (Wed, 12 Feb 2020) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   D /trunk/src/cmp_abs.c
   A /trunk/src/cmpabs.c (from /trunk/src/cmp_abs.c:13706)

renamed cmp_abs.c to cmpabs.c

------------------------------------------------------------------------
r13706 | vlefevre | 2020-02-12 11:25:53 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Typo.
------------------------------------------------------------------------
r13705 | vlefevre | 2020-02-12 11:23:59 +0000 (Wed, 12 Feb 2020) | 3 lines
Changed paths:
   M /trunk/TODO

[TODO] + Serialization / Deserialization (suggested by Frédéric Pétrot).
I've also added an idea of implementation to reuse most of the code and
change very little.
------------------------------------------------------------------------
r13704 | vlefevre | 2020-02-12 01:38:57 +0000 (Wed, 12 Feb 2020) | 4 lines
Changed paths:
   M /trunk/src/ubf.c

[src/ubf.c]
  * Optimized mpfr_init_get_zexp() for _MPFR_EXP_FORMAT <= 3
    (as in the default configuration).
  * Updated comments.
------------------------------------------------------------------------
r13703 | vlefevre | 2020-02-12 01:15:34 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Added UBF-related comments.
------------------------------------------------------------------------
r13702 | vlefevre | 2020-02-12 00:37:04 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Added UBF-related comments.
------------------------------------------------------------------------
r13701 | vlefevre | 2020-02-12 00:04:34 +0000 (Wed, 12 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Added a comment for UBF and types.
------------------------------------------------------------------------
r13700 | vlefevre | 2020-02-11 14:38:49 +0000 (Tue, 11 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Added a comment for INEXPOS.
------------------------------------------------------------------------
r13699 | vlefevre | 2020-02-11 14:36:00 +0000 (Tue, 11 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] INEXPOS and VSIGN code improvement.
------------------------------------------------------------------------
r13698 | vlefevre | 2020-02-11 14:33:58 +0000 (Tue, 11 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/modf.c
   M /trunk/src/sinh_cosh.c

Removed duplicate macro definitions.
------------------------------------------------------------------------
r13696 | vlefevre | 2020-02-11 11:44:01 +0000 (Tue, 11 Feb 2020) | 1 line
Changed paths:
   M /trunk/tests/tfmma.c

[tests/tfmma.c] Use mpfr_set_str instead of mpfr_set_d.
------------------------------------------------------------------------
r13695 | vlefevre | 2020-02-11 10:06:46 +0000 (Tue, 11 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] Got rid of some goto's. Added log messages.
------------------------------------------------------------------------
r13694 | vlefevre | 2020-02-10 15:17:34 +0000 (Mon, 10 Feb 2020) | 3 lines
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] Bug fix: the underflow case (possible with UBF, e.g. via
mpfr_fmma or mpfr_fmms) was not tested in the case c small.
Note: this completes r11418 and r12752 for underflow detection.
------------------------------------------------------------------------
r13693 | vlefevre | 2020-02-10 15:05:19 +0000 (Mon, 10 Feb 2020) | 2 lines
Changed paths:
   M /trunk/src/sub1.c

[src/sub1.c] Added log messages and checked the UBF cases yielding
exp_b == MPFR_EXP_MAX and/or diff_exp == MPFR_EXP_MAX.
------------------------------------------------------------------------
r13692 | vlefevre | 2020-02-08 10:59:39 +0000 (Sat, 08 Feb 2020) | 1 line
Changed paths:
   M /trunk/src/vasprintf.c

[src/vasprintf.c] Added log messages for MPFR_PREC_ARG ('P' specifier).
------------------------------------------------------------------------
r13690 | vlefevre | 2020-02-08 02:21:15 +0000 (Sat, 08 Feb 2020) | 1 line
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Fixed some tests: the 'P' specifier was missing.
------------------------------------------------------------------------
r13689 | vlefevre | 2020-02-06 10:23:15 +0000 (Thu, 06 Feb 2020) | 6 lines
Changed paths:
   M /trunk/src/fmma.c

[src/fmma.c] Reverted the mpfr_check_range from r13688.
The exponent range has not been extended by mpfr_fmma_aux, and the
result comes from mpfr_add, mpfr_sub, or mpfr_set_1_2, which return
results in the current range. If the result of mpfr_fmma_aux is not
in the current range, this is due to a bug in one of these functions.
Note: mpfr_add and mpfr_sub accept UBF inputs.
------------------------------------------------------------------------
r13688 | zimmerma | 2020-02-06 08:45:25 +0000 (Thu, 06 Feb 2020) | 3 lines
Changed paths:
   M /trunk/src/fmma.c
   M /trunk/tests/tfmma.c

[src/fmma.c] fixed bug (result might be out of exponent range)
[tests/tfmma.c] added non-regression test

------------------------------------------------------------------------
r13685 | vlefevre | 2020-02-03 23:37:28 +0000 (Mon, 03 Feb 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13684 | vlefevre | 2020-02-03 23:36:35 +0000 (Mon, 03 Feb 2020) | 4 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] In the paragraph "MPFR internal data such as flags",
no longer mention caches as caches may now also be global when MPFR
has been compiled as thread safe (locking is used). Caches have been
discussed earlier in the section anyway.
------------------------------------------------------------------------
r13683 | vlefevre | 2020-01-23 10:05:59 +0000 (Thu, 23 Jan 2020) | 1 line
Changed paths:
   M /trunk/INSTALL

[INSTALL] URL update.
------------------------------------------------------------------------
r13681 | vlefevre | 2020-01-20 16:02:54 +0000 (Mon, 20 Jan 2020) | 1 line
Changed paths:
   M /trunk/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r13678 | vlefevre | 2020-01-20 15:36:00 +0000 (Mon, 20 Jan 2020) | 2 lines
Changed paths:
   M /trunk/tests/Makefile.am

[tests/Makefile.am] Updated a comment; in particular, replaced the two
obsolete gmane.org URLs by lists.gnu.org/archive/html/bug-gnulib ones.
------------------------------------------------------------------------
r13677 | vlefevre | 2020-01-20 15:25:19 +0000 (Mon, 20 Jan 2020) | 1 line
Changed paths:
   M /trunk/INSTALL

[INSTALL] Removed reference to a gmane.org URL, which no longer exists.
------------------------------------------------------------------------
r13674 | vlefevre | 2020-01-16 13:21:16 +0000 (Thu, 16 Jan 2020) | 1 line
Changed paths:
   M /trunk/src/beta.c
   M /trunk/tests/ttanh.c

[src/beta.c,tests/ttanh.c] towards → toward (for consistency).
------------------------------------------------------------------------
r13671 | vlefevre | 2020-01-10 16:24:30 +0000 (Fri, 10 Jan 2020) | 2 lines
Changed paths:
   M /trunk/tests/tfprintf.c
   M /trunk/tests/tprintf.c

[tests/{tfprintf.c,tprintf.c}] Updated an error message about MinGW,
now output only if MinGW is used.
------------------------------------------------------------------------
r13670 | vlefevre | 2020-01-10 16:17:16 +0000 (Fri, 10 Jan 2020) | 2 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Concerning MinGW, added a sentence about the use of
the __USE_MINGW_ANSI_STDIO macro, confirming the existing note.
------------------------------------------------------------------------
r13669 | vlefevre | 2020-01-10 16:12:53 +0000 (Fri, 10 Jan 2020) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Removed obsolete item on MinGW and -D__USE_MINGW_ANSI_STDIO.
------------------------------------------------------------------------
r13668 | vlefevre | 2020-01-10 16:11:46 +0000 (Fri, 10 Jan 2020) | 1 line
Changed paths:
   M /trunk/INSTALL

[INSTALL] Update concerning MinGW and the __USE_MINGW_ANSI_STDIO macro.
------------------------------------------------------------------------
r13667 | vlefevre | 2020-01-10 10:30:58 +0000 (Fri, 10 Jan 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated mpfr_get_str documentation, correcting r13666
(we still need the extra two bytes and to take -@Inf@ into account).
------------------------------------------------------------------------
r13666 | zimmerma | 2020-01-10 09:21:11 +0000 (Fri, 10 Jan 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[mpfr.texi] fixed out-dated documentation for mpfr_get_str

------------------------------------------------------------------------
r13665 | vlefevre | 2020-01-09 18:01:59 +0000 (Thu, 09 Jan 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] In the latest update, forgot to remove the CC=...
------------------------------------------------------------------------
r13664 | vlefevre | 2020-01-09 17:57:53 +0000 (Thu, 09 Jan 2020) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Update about the test under Wine.
------------------------------------------------------------------------
r13663 | vlefevre | 2020-01-09 14:37:48 +0000 (Thu, 09 Jan 2020) | 7 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

[acinclude.m4,configure.ac]
  * Moved the code that tries to determine the format of double from
    configure.ac to acinclude.m4 in MPFR_CONFIGS (as required), just
    before the one for long double.
  * Added a FIXME comment: This code uses AC_RUN_IFELSE, which cannot
    run the test when cross-compiling; use a test like for long double
    instead.
------------------------------------------------------------------------
r13662 | vlefevre | 2020-01-09 14:27:27 +0000 (Thu, 09 Jan 2020) | 1 line
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] English usage.
------------------------------------------------------------------------
r13661 | vlefevre | 2020-01-09 14:25:30 +0000 (Thu, 09 Jan 2020) | 2 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

[acinclude.m4] Updated messages about the format of "long double".
[configure.ac] Ditto for "double". Added missing AC_MSG_RESULT.
------------------------------------------------------------------------
r13658 | vlefevre | 2020-01-09 11:37:25 +0000 (Thu, 09 Jan 2020) | 1 line
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] Updated/fixed an output line to match the other ones.
------------------------------------------------------------------------
r13657 | vlefevre | 2020-01-09 10:23:44 +0000 (Thu, 09 Jan 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Added tests for %Ra and %Rb on the value 0 with an
empty precision field.
------------------------------------------------------------------------
r13656 | vlefevre | 2020-01-09 10:17:04 +0000 (Thu, 09 Jan 2020) | 3 lines
Changed paths:
   M /trunk/src/vasprintf.c

[src/vasprintf.c] Fixed output precision bug with decimal output
(i.e. e, f and g conversion specifiers) and an empty precision field
on the value 0.
------------------------------------------------------------------------
r13655 | vlefevre | 2020-01-09 09:44:00 +0000 (Thu, 09 Jan 2020) | 1 line
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Also added tests with %Rf, %Rg and %#Rg on 0.
------------------------------------------------------------------------
r13654 | vlefevre | 2020-01-09 09:39:45 +0000 (Thu, 09 Jan 2020) | 2 lines
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Added a test with %Re and an empty precision field
on the value 0; it currently fails.
------------------------------------------------------------------------
r13653 | vlefevre | 2020-01-08 18:28:42 +0000 (Wed, 08 Jan 2020) | 1 line
Changed paths:
   M /trunk/tools/ck-copyright-notice

[tools/ck-copyright-notice] Added a note about the mpfr.pc.in file.
------------------------------------------------------------------------
r13652 | vlefevre | 2020-01-08 18:11:13 +0000 (Wed, 08 Jan 2020) | 4 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/INSTALL
   M /trunk/Makefile.am
   M /trunk/NEWS
   M /trunk/README
   M /trunk/TODO
   M /trunk/acinclude.m4
   M /trunk/configure.ac
   M /trunk/doc/FAQ.html
   M /trunk/doc/Makefile.am
   M /trunk/doc/README.dev
   M /trunk/doc/check-typography
   M /trunk/doc/faq.xsl
   M /trunk/doc/mpfr.texi
   M /trunk/examples/can_round.c
   M /trunk/examples/divworst.c
   M /trunk/examples/rndo-add.c
   M /trunk/examples/sample.c
   M /trunk/examples/threads.c
   M /trunk/examples/version.c
   M /trunk/src/Makefile.am
   M /trunk/src/abort_prec_max.c
   M /trunk/src/acos.c
   M /trunk/src/acosh.c
   M /trunk/src/add.c
   M /trunk/src/add1.c
   M /trunk/src/add1sp.c
   M /trunk/src/add1sp1_extracted.c
   M /trunk/src/add_d.c
   M /trunk/src/add_ui.c
   M /trunk/src/agm.c
   M /trunk/src/ai.c
   M /trunk/src/amd/mparam.h
   M /trunk/src/arm/mparam.h
   M /trunk/src/asin.c
   M /trunk/src/asinh.c
   M /trunk/src/atan.c
   M /trunk/src/atan2.c
   M /trunk/src/atanh.c
   M /trunk/src/bernoulli.c
   M /trunk/src/beta.c
   M /trunk/src/buildopt.c
   M /trunk/src/cache.c
   M /trunk/src/cbrt.c
   M /trunk/src/check.c
   M /trunk/src/clear.c
   M /trunk/src/clears.c
   M /trunk/src/cmp.c
   M /trunk/src/cmp2.c
   M /trunk/src/cmp_abs.c
   M /trunk/src/cmp_d.c
   M /trunk/src/cmp_ld.c
   M /trunk/src/cmp_si.c
   M /trunk/src/cmp_ui.c
   M /trunk/src/comparisons.c
   M /trunk/src/const_catalan.c
   M /trunk/src/const_euler.c
   M /trunk/src/const_log2.c
   M /trunk/src/const_pi.c
   M /trunk/src/constant.c
   M /trunk/src/copysign.c
   M /trunk/src/cos.c
   M /trunk/src/cosh.c
   M /trunk/src/cot.c
   M /trunk/src/coth.c
   M /trunk/src/csc.c
   M /trunk/src/csch.c
   M /trunk/src/d_div.c
   M /trunk/src/d_sub.c
   M /trunk/src/digamma.c
   M /trunk/src/dim.c
   M /trunk/src/div.c
   M /trunk/src/div_2exp.c
   M /trunk/src/div_2si.c
   M /trunk/src/div_2ui.c
   M /trunk/src/div_d.c
   M /trunk/src/div_ui.c
   M /trunk/src/dot.c
   M /trunk/src/dump.c
   M /trunk/src/eint.c
   M /trunk/src/eq.c
   M /trunk/src/erandom.c
   M /trunk/src/erf.c
   M /trunk/src/erfc.c
   M /trunk/src/exceptions.c
   M /trunk/src/exp.c
   M /trunk/src/exp10.c
   M /trunk/src/exp2.c
   M /trunk/src/exp3.c
   M /trunk/src/exp_2.c
   M /trunk/src/expm1.c
   M /trunk/src/extract.c
   M /trunk/src/factorial.c
   M /trunk/src/fits_intmax.c
   M /trunk/src/fits_s.h
   M /trunk/src/fits_sint.c
   M /trunk/src/fits_slong.c
   M /trunk/src/fits_sshort.c
   M /trunk/src/fits_u.h
   M /trunk/src/fits_uint.c
   M /trunk/src/fits_uintmax.c
   M /trunk/src/fits_ulong.c
   M /trunk/src/fits_ushort.c
   M /trunk/src/fma.c
   M /trunk/src/fmma.c
   M /trunk/src/fms.c
   M /trunk/src/fpif.c
   M /trunk/src/frac.c
   M /trunk/src/free_cache.c
   M /trunk/src/frexp.c
   M /trunk/src/gamma.c
   M /trunk/src/gamma_inc.c
   M /trunk/src/gammaonethird.c
   M /trunk/src/gen_inverse.h
   M /trunk/src/generic/coverage/mparam.h
   M /trunk/src/generic/mparam.h
   M /trunk/src/get_d.c
   M /trunk/src/get_d128.c
   M /trunk/src/get_d64.c
   M /trunk/src/get_exp.c
   M /trunk/src/get_f.c
   M /trunk/src/get_float128.c
   M /trunk/src/get_flt.c
   M /trunk/src/get_ld.c
   M /trunk/src/get_q.c
   M /trunk/src/get_si.c
   M /trunk/src/get_sj.c
   M /trunk/src/get_str.c
   M /trunk/src/get_ui.c
   M /trunk/src/get_uj.c
   M /trunk/src/get_z.c
   M /trunk/src/get_z_exp.c
   M /trunk/src/gmp_op.c
   M /trunk/src/grandom.c
   M /trunk/src/hypot.c
   M /trunk/src/ieee_floats.h
   M /trunk/src/init.c
   M /trunk/src/init2.c
   M /trunk/src/inits.c
   M /trunk/src/inits2.c
   M /trunk/src/inp_str.c
   M /trunk/src/int_ceil_log2.c
   M /trunk/src/invert_limb.h
   M /trunk/src/invsqrt_limb.h
   M /trunk/src/isinf.c
   M /trunk/src/isinteger.c
   M /trunk/src/isnan.c
   M /trunk/src/isnum.c
   M /trunk/src/isqrt.c
   M /trunk/src/isregular.c
   M /trunk/src/iszero.c
   M /trunk/src/jn.c
   M /trunk/src/jyn_asympt.c
   M /trunk/src/li2.c
   M /trunk/src/lngamma.c
   M /trunk/src/log.c
   M /trunk/src/log10.c
   M /trunk/src/log1p.c
   M /trunk/src/log2.c
   M /trunk/src/log_ui.c
   M /trunk/src/logging.c
   M /trunk/src/min_prec.c
   M /trunk/src/minmax.c
   M /trunk/src/mips/mparam.h
   M /trunk/src/modf.c
   M /trunk/src/mp_clz_tab.c
   M /trunk/src/mparam_h.in
   M /trunk/src/mpf2mpfr.h
   M /trunk/src/mpfr-cvers.h
   M /trunk/src/mpfr-gmp.c
   M /trunk/src/mpfr-gmp.h
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr-intmax.h
   M /trunk/src/mpfr-longlong.h
   M /trunk/src/mpfr-mini-gmp.c
   M /trunk/src/mpfr-mini-gmp.h
   M /trunk/src/mpfr-sassert.h
   M /trunk/src/mpfr-thread.h
   M /trunk/src/mpfr.h
   M /trunk/src/mpn_exp.c
   M /trunk/src/mul.c
   M /trunk/src/mul_1_extracted.c
   M /trunk/src/mul_2exp.c
   M /trunk/src/mul_2si.c
   M /trunk/src/mul_2ui.c
   M /trunk/src/mul_d.c
   M /trunk/src/mul_ui.c
   M /trunk/src/mulders.c
   M /trunk/src/nbits_ulong.c
   M /trunk/src/neg.c
   M /trunk/src/next.c
   M /trunk/src/nrandom.c
   M /trunk/src/odd_p.c
   M /trunk/src/out_str.c
   M /trunk/src/pool.c
   M /trunk/src/pow.c
   M /trunk/src/pow_si.c
   M /trunk/src/pow_ui.c
   M /trunk/src/pow_z.c
   M /trunk/src/powerof2.c
   M /trunk/src/powerpc64/mparam.h
   M /trunk/src/print_raw.c
   M /trunk/src/print_rnd_mode.c
   M /trunk/src/printf.c
   M /trunk/src/random_deviate.c
   M /trunk/src/random_deviate.h
   M /trunk/src/rec_sqrt.c
   M /trunk/src/reldiff.c
   M /trunk/src/rem1.c
   M /trunk/src/rint.c
   M /trunk/src/rndna.c
   M /trunk/src/root.c
   M /trunk/src/round_near_x.c
   M /trunk/src/round_p.c
   M /trunk/src/round_prec.c
   M /trunk/src/round_raw_generic.c
   M /trunk/src/scale2.c
   M /trunk/src/sec.c
   M /trunk/src/sech.c
   M /trunk/src/set.c
   M /trunk/src/set_d.c
   M /trunk/src/set_d128.c
   M /trunk/src/set_d64.c
   M /trunk/src/set_dfl_prec.c
   M /trunk/src/set_exp.c
   M /trunk/src/set_f.c
   M /trunk/src/set_float128.c
   M /trunk/src/set_flt.c
   M /trunk/src/set_inf.c
   M /trunk/src/set_ld.c
   M /trunk/src/set_nan.c
   M /trunk/src/set_prc_raw.c
   M /trunk/src/set_prec.c
   M /trunk/src/set_q.c
   M /trunk/src/set_rnd.c
   M /trunk/src/set_si.c
   M /trunk/src/set_si_2exp.c
   M /trunk/src/set_sj.c
   M /trunk/src/set_str.c
   M /trunk/src/set_str_raw.c
   M /trunk/src/set_ui.c
   M /trunk/src/set_ui_2exp.c
   M /trunk/src/set_uj.c
   M /trunk/src/set_z.c
   M /trunk/src/set_z_exp.c
   M /trunk/src/set_zero.c
   M /trunk/src/setmax.c
   M /trunk/src/setmin.c
   M /trunk/src/setsign.c
   M /trunk/src/sgn.c
   M /trunk/src/si_op.c
   M /trunk/src/signbit.c
   M /trunk/src/sin.c
   M /trunk/src/sin_cos.c
   M /trunk/src/sinh.c
   M /trunk/src/sinh_cosh.c
   M /trunk/src/sparc64/mparam.h
   M /trunk/src/sqr.c
   M /trunk/src/sqrt.c
   M /trunk/src/sqrt_ui.c
   M /trunk/src/stack_interface.c
   M /trunk/src/strtofr.c
   M /trunk/src/sub.c
   M /trunk/src/sub1.c
   M /trunk/src/sub1sp.c
   M /trunk/src/sub1sp1_extracted.c
   M /trunk/src/sub_d.c
   M /trunk/src/sub_ui.c
   M /trunk/src/subnormal.c
   M /trunk/src/sum.c
   M /trunk/src/swap.c
   M /trunk/src/tan.c
   M /trunk/src/tanh.c
   M /trunk/src/total_order.c
   M /trunk/src/ubf.c
   M /trunk/src/uceil_exp2.c
   M /trunk/src/uceil_log2.c
   M /trunk/src/ufloor_log2.c
   M /trunk/src/ui_div.c
   M /trunk/src/ui_pow.c
   M /trunk/src/ui_pow_ui.c
   M /trunk/src/ui_sub.c
   M /trunk/src/urandom.c
   M /trunk/src/urandomb.c
   M /trunk/src/vasprintf.c
   M /trunk/src/version.c
   M /trunk/src/volatile.c
   M /trunk/src/x86/mparam.h
   M /trunk/src/x86_64/core2/mparam.h
   M /trunk/src/x86_64/mparam.h
   M /trunk/src/yn.c
   M /trunk/src/zeta.c
   M /trunk/src/zeta_ui.c
   M /trunk/tests/Makefile.am
   M /trunk/tests/cmp_str.c
   M /trunk/tests/data/digamma
   M /trunk/tests/data/li2
   M /trunk/tests/memory.c
   M /trunk/tests/mpf_compat.c
   M /trunk/tests/mpf_compat.h
   M /trunk/tests/mpfr-test.h
   M /trunk/tests/mpfr_compat.c
   M /trunk/tests/random2.c
   M /trunk/tests/reuse.c
   M /trunk/tests/rnd_mode.c
   M /trunk/tests/tabort_defalloc1.c
   M /trunk/tests/tabort_defalloc2.c
   M /trunk/tests/tabort_prec_max.c
   M /trunk/tests/tabs.c
   M /trunk/tests/tacos.c
   M /trunk/tests/tacosh.c
   M /trunk/tests/tadd.c
   M /trunk/tests/tadd1sp.c
   M /trunk/tests/tadd_d.c
   M /trunk/tests/tadd_ui.c
   M /trunk/tests/tagm.c
   M /trunk/tests/tai.c
   M /trunk/tests/talloc-cache.c
   M /trunk/tests/talloc.c
   M /trunk/tests/tasin.c
   M /trunk/tests/tasinh.c
   M /trunk/tests/tassert.c
   M /trunk/tests/tatan.c
   M /trunk/tests/tatanh.c
   M /trunk/tests/taway.c
   M /trunk/tests/tbeta.c
   M /trunk/tests/tbuildopt.c
   M /trunk/tests/tcan_round.c
   M /trunk/tests/tcbrt.c
   M /trunk/tests/tcheck.c
   M /trunk/tests/tcmp.c
   M /trunk/tests/tcmp2.c
   M /trunk/tests/tcmp_d.c
   M /trunk/tests/tcmp_ld.c
   M /trunk/tests/tcmp_ui.c
   M /trunk/tests/tcmpabs.c
   M /trunk/tests/tcomparisons.c
   M /trunk/tests/tconst_catalan.c
   M /trunk/tests/tconst_euler.c
   M /trunk/tests/tconst_log2.c
   M /trunk/tests/tconst_pi.c
   M /trunk/tests/tcopysign.c
   M /trunk/tests/tcos.c
   M /trunk/tests/tcosh.c
   M /trunk/tests/tcot.c
   M /trunk/tests/tcoth.c
   M /trunk/tests/tcsc.c
   M /trunk/tests/tcsch.c
   M /trunk/tests/td_div.c
   M /trunk/tests/td_sub.c
   M /trunk/tests/tdigamma.c
   M /trunk/tests/tdim.c
   M /trunk/tests/tdiv.c
   M /trunk/tests/tdiv_d.c
   M /trunk/tests/tdiv_ui.c
   M /trunk/tests/tdot.c
   M /trunk/tests/teint.c
   M /trunk/tests/teq.c
   M /trunk/tests/terandom.c
   M /trunk/tests/terandom_chisq.c
   M /trunk/tests/terf.c
   M /trunk/tests/tests.c
   M /trunk/tests/texceptions.c
   M /trunk/tests/texp.c
   M /trunk/tests/texp10.c
   M /trunk/tests/texp2.c
   M /trunk/tests/texpm1.c
   M /trunk/tests/tfactorial.c
   M /trunk/tests/tfits.c
   M /trunk/tests/tfma.c
   M /trunk/tests/tfmma.c
   M /trunk/tests/tfmod.c
   M /trunk/tests/tfms.c
   M /trunk/tests/tfpif.c
   M /trunk/tests/tfprintf.c
   M /trunk/tests/tfrac.c
   M /trunk/tests/tfrexp.c
   M /trunk/tests/tgamma.c
   M /trunk/tests/tgamma_inc.c
   M /trunk/tests/tgeneric.c
   M /trunk/tests/tgeneric_ui.c
   M /trunk/tests/tget_d.c
   M /trunk/tests/tget_d_2exp.c
   M /trunk/tests/tget_f.c
   M /trunk/tests/tget_flt.c
   M /trunk/tests/tget_ld_2exp.c
   M /trunk/tests/tget_q.c
   M /trunk/tests/tget_set_d128.c
   M /trunk/tests/tget_set_d64.c
   M /trunk/tests/tget_sj.c
   M /trunk/tests/tget_str.c
   M /trunk/tests/tget_z.c
   M /trunk/tests/tgmpop.c
   M /trunk/tests/tgrandom.c
   M /trunk/tests/thyperbolic.c
   M /trunk/tests/thypot.c
   M /trunk/tests/tinits.c
   M /trunk/tests/tinp_str.c
   M /trunk/tests/tinternals.c
   M /trunk/tests/tisnan.c
   M /trunk/tests/tisqrt.c
   M /trunk/tests/tj0.c
   M /trunk/tests/tj1.c
   M /trunk/tests/tjn.c
   M /trunk/tests/tl2b.c
   M /trunk/tests/tlgamma.c
   M /trunk/tests/tli2.c
   M /trunk/tests/tlngamma.c
   M /trunk/tests/tlog.c
   M /trunk/tests/tlog10.c
   M /trunk/tests/tlog1p.c
   M /trunk/tests/tlog2.c
   M /trunk/tests/tlog_ui.c
   M /trunk/tests/tmin_prec.c
   M /trunk/tests/tminmax.c
   M /trunk/tests/tmodf.c
   M /trunk/tests/tmul.c
   M /trunk/tests/tmul_2exp.c
   M /trunk/tests/tmul_d.c
   M /trunk/tests/tmul_ui.c
   M /trunk/tests/tnext.c
   M /trunk/tests/tnrandom.c
   M /trunk/tests/tnrandom_chisq.c
   M /trunk/tests/tout_str.c
   M /trunk/tests/toutimpl.c
   M /trunk/tests/tpow.c
   M /trunk/tests/tpow3.c
   M /trunk/tests/tpow_all.c
   M /trunk/tests/tpow_z.c
   M /trunk/tests/tprec_round.c
   M /trunk/tests/tprintf.c
   M /trunk/tests/trandom.c
   M /trunk/tests/trandom_deviate.c
   M /trunk/tests/trec_sqrt.c
   M /trunk/tests/tremquo.c
   M /trunk/tests/trint.c
   M /trunk/tests/trndna.c
   M /trunk/tests/troot.c
   M /trunk/tests/trootn_ui.c
   M /trunk/tests/tsec.c
   M /trunk/tests/tsech.c
   M /trunk/tests/tset.c
   M /trunk/tests/tset_d.c
   M /trunk/tests/tset_exp.c
   M /trunk/tests/tset_f.c
   M /trunk/tests/tset_float128.c
   M /trunk/tests/tset_ld.c
   M /trunk/tests/tset_q.c
   M /trunk/tests/tset_si.c
   M /trunk/tests/tset_sj.c
   M /trunk/tests/tset_str.c
   M /trunk/tests/tset_z.c
   M /trunk/tests/tset_z_exp.c
   M /trunk/tests/tsgn.c
   M /trunk/tests/tsi_op.c
   M /trunk/tests/tsin.c
   M /trunk/tests/tsin_cos.c
   M /trunk/tests/tsinh.c
   M /trunk/tests/tsinh_cosh.c
   M /trunk/tests/tsprintf.c
   M /trunk/tests/tsqr.c
   M /trunk/tests/tsqrt.c
   M /trunk/tests/tsqrt_ui.c
   M /trunk/tests/tstckintc.c
   M /trunk/tests/tstdint.c
   M /trunk/tests/tstrtofr.c
   M /trunk/tests/tsub.c
   M /trunk/tests/tsub1sp.c
   M /trunk/tests/tsub_d.c
   M /trunk/tests/tsub_ui.c
   M /trunk/tests/tsubnormal.c
   M /trunk/tests/tsum.c
   M /trunk/tests/tswap.c
   M /trunk/tests/ttan.c
   M /trunk/tests/ttanh.c
   M /trunk/tests/ttotal_order.c
   M /trunk/tests/ttrunc.c
   M /trunk/tests/tui_div.c
   M /trunk/tests/tui_pow.c
   M /trunk/tests/tui_sub.c
   M /trunk/tests/turandom.c
   M /trunk/tests/tvalist.c
   M /trunk/tests/tversion.c
   M /trunk/tests/ty0.c
   M /trunk/tests/ty1.c
   M /trunk/tests/tyn.c
   M /trunk/tests/tzeta.c
   M /trunk/tests/tzeta_ui.c
   M /trunk/tools/bench/Makefile.am
   M /trunk/tools/bench/benchtime.h
   M /trunk/tools/bench/mpfrbench.c
   M /trunk/tools/check_mparam.c
   M /trunk/tools/ck-clz_tab
   M /trunk/tools/ck-copyright-notice
   M /trunk/tools/ck-mparam
   M /trunk/tools/ck-news
   M /trunk/tools/ck-version-info
   M /trunk/tools/get_patches.sh
   M /trunk/tune/Makefile.am
   M /trunk/tune/bidimensional_sample.c
   M /trunk/tune/speed.c
   M /trunk/tune/tuneup.c

Copyright notice update: added 2020 with
  perl -pi -e 's/ (\d{4}-)?(2019)(?= Free Software)/
               " ".($1||"$2-").($2+1)/e' **/*(^/)
under zsh. Removed 2019 from the example in the doc/README.dev file.
------------------------------------------------------------------------
r13651 | vlefevre | 2020-01-08 17:52:26 +0000 (Wed, 08 Jan 2020) | 2 lines
Changed paths:
   M /trunk/TODO

[TODO] + base conversion with the round-trip property using a minimal
precision, such as the to_chars functions from the C++ standard.
------------------------------------------------------------------------
r13650 | vlefevre | 2020-01-08 17:33:44 +0000 (Wed, 08 Jan 2020) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13649 | vlefevre | 2020-01-08 17:21:57 +0000 (Wed, 08 Jan 2020) | 4 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Formatted output: improved the text concerning the
empty precision field, i.e. focus on the chosen precision rather
than the round-trip property (as the rounding mode is not necessarily
to nearest).
------------------------------------------------------------------------
r13648 | vlefevre | 2020-01-08 16:34:16 +0000 (Wed, 08 Jan 2020) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Formatted output with %Re (empty precision field):
added a reference to mpfr_get_str_ndigits.
------------------------------------------------------------------------
r13647 | vlefevre | 2020-01-08 16:20:57 +0000 (Wed, 08 Jan 2020) | 2 lines
Changed paths:
   M /trunk/src/vasprintf.c

[src/vasprintf.c] Simplified the conditions under which trailing zeros
are kept (the spec_g variable is no longer needed as a consequence).
------------------------------------------------------------------------
r13646 | vlefevre | 2020-01-08 15:30:46 +0000 (Wed, 08 Jan 2020) | 3 lines
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Re-added tests changed by r13644 and r13645, but
with a variable of smaller precision in order to get the same output
as before.
------------------------------------------------------------------------
r13645 | vlefevre | 2020-01-08 14:56:56 +0000 (Wed, 08 Jan 2020) | 1 line
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Updated other two tests (in da_DK locale).
------------------------------------------------------------------------
r13644 | zimmerma | 2020-01-08 12:15:52 +0000 (Wed, 08 Jan 2020) | 3 lines
Changed paths:
   M /trunk/doc/mpfr.texi
   M /trunk/src/vasprintf.c
   M /trunk/tests/tfprintf.c
   M /trunk/tests/tprintf.c
   M /trunk/tests/tsprintf.c

fixed tests for new more precise semantics for mpfr_printf ("%Re", x),
and documented it

------------------------------------------------------------------------
r13643 | zimmerma | 2020-01-08 10:43:06 +0000 (Wed, 08 Jan 2020) | 3 lines
Changed paths:
   M /trunk/src/vasprintf.c

[src/vasprintf.c] tentative fix so that mpfr_printf ("%.Re", x) prints a number
		  of decimal digits independent from x

------------------------------------------------------------------------
r13642 | vlefevre | 2019-12-24 03:10:33 +0000 (Tue, 24 Dec 2019) | 1 line
Changed paths:
   M /trunk/INSTALL
   M /trunk/doc/mpfr.texi

[INSTALL,doc/mpfr.texi] Typography.
------------------------------------------------------------------------
r13635 | vlefevre | 2019-10-10 13:56:19 +0000 (Thu, 10 Oct 2019) | 2 lines
Changed paths:
   M /trunk/doc/algorithms.tex

[doc/algorithms.tex] Ulp calculus: put the old Rule 8 just after Rule 2,
as the old Rule 3 (now Rule 4) uses it directly (proof updated).
------------------------------------------------------------------------
r13634 | vlefevre | 2019-10-10 13:32:57 +0000 (Thu, 10 Oct 2019) | 1 line
Changed paths:
   M /trunk/doc/algorithms.tex

[doc/algorithms.tex] Ulp calculus: simplified the proof of Rule 8.
------------------------------------------------------------------------
r13633 | vlefevre | 2019-10-10 13:18:34 +0000 (Thu, 10 Oct 2019) | 2 lines
Changed paths:
   M /trunk/doc/algorithms.tex

[doc/algorithms.tex] Ulp calculus Rule 3: missing absolute values in
the proof.
------------------------------------------------------------------------
r13632 | vlefevre | 2019-10-10 13:08:28 +0000 (Thu, 10 Oct 2019) | 2 lines
Changed paths:
   M /trunk/doc/algorithms.tex

[doc/algorithms.tex] Actually assume that no underflows nor overflows
occur for the whole section "Error calculus".
------------------------------------------------------------------------
r13631 | vlefevre | 2019-10-10 12:59:33 +0000 (Thu, 10 Oct 2019) | 3 lines
Changed paths:
   M /trunk/doc/algorithms.tex

[doc/algorithms.tex] Ulp calculus Rule 6: corrected it (we need to
assume no underflows nor overflows) and its proof, and generalized
it with absolute values (like in the previous rules).
------------------------------------------------------------------------
r13630 | vlefevre | 2019-10-07 09:17:23 +0000 (Mon, 07 Oct 2019) | 2 lines
Changed paths:
   M /trunk/doc/algorithms.tex

[doc/algorithms.tex] Ulp calculus Rule 3: more powerful result and
much simpler proof.
------------------------------------------------------------------------
r13629 | vlefevre | 2019-10-07 08:50:52 +0000 (Mon, 07 Oct 2019) | 3 lines
Changed paths:
   M /trunk/doc/algorithms.tex

[doc/algorithms.tex] Section 2 (Error calculus): When n was a precision,
replaced it by p as this is the usual notation (see Section 1) and n
sometimes had a double meaning.
------------------------------------------------------------------------
r13628 | vlefevre | 2019-10-04 08:52:53 +0000 (Fri, 04 Oct 2019) | 1 line
Changed paths:
   M /trunk/tests/tcmp_ui.c

[tests/tcmp_ui.c] Updated comment: this is a bug in Clang 9.
------------------------------------------------------------------------
r13627 | vlefevre | 2019-10-04 08:28:16 +0000 (Fri, 04 Oct 2019) | 2 lines
Changed paths:
   M /trunk/tests/tcmp_ui.c

[tests/tcmp_ui.c] Added a comment: failure of a test with the
clang-9 1:9-1 Debian package.
------------------------------------------------------------------------
r13626 | vlefevre | 2019-10-01 13:55:09 +0000 (Tue, 01 Oct 2019) | 11 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/doc/README.dev
   M /trunk/tests/tests.c
   M /trunk/tests/tget_d.c
   M /trunk/tests/tget_flt.c
   M /trunk/tests/tset_d.c
   M /trunk/tests/tsprintf.c

Clean-up concerning the tests of subnormals for double and float.
  * acinclude.m4: renamed variables
      mpfr_cv_have_denorms_flt to mpfr_cv_have_subnorm_flt
      mpfr_cv_have_denorms     to mpfr_cv_have_subnorm_dbl
    and improved messages.
  * acinclude.m4, tests/tget_flt.c: renamed macro
      HAVE_DENORMS_FLT to HAVE_SUBNORM_FLT
  * acinclude.m4, tests/{tests.c,tset_d.c,tsprintf.c}: renamed macro
      HAVE_DENORMS     to HAVE_SUBNORM_DBL
  * doc/README.dev: updated / completed the corresponding documentation.
  * tests/tget_d.c: renamed function check_denorms to check_subnorm.
------------------------------------------------------------------------
r13625 | vlefevre | 2019-10-01 13:28:37 +0000 (Tue, 01 Oct 2019) | 1 line
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Updated comment about the tests for subnormal numbers.
------------------------------------------------------------------------
r13624 | vlefevre | 2019-10-01 13:23:51 +0000 (Tue, 01 Oct 2019) | 1 line
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Added a comment about the tests for subnormal numbers.
------------------------------------------------------------------------
r13623 | vlefevre | 2019-09-24 11:08:04 +0000 (Tue, 24 Sep 2019) | 1 line
Changed paths:
   M /trunk/doc/Makefile.am

[doc/Makefile.am] Added missing texinfo.tex prerequisite.
------------------------------------------------------------------------
r13622 | vlefevre | 2019-09-16 08:33:16 +0000 (Mon, 16 Sep 2019) | 2 lines
Changed paths:
   M /trunk/tests/tfprintf.c
   M /trunk/tests/tout_str.c
   M /trunk/tests/tprintf.c

[tests] Added FIXME comment in tfprintf.c, tout_str.c and tprintf.c:
The output is not tested (thus coverage data are meaningless).
------------------------------------------------------------------------
r13621 | vlefevre | 2019-09-10 12:40:39 +0000 (Tue, 10 Sep 2019) | 1 line
Changed paths:
   M /trunk/src/add1sp.c
   M /trunk/src/sub1sp.c

[src/{add1sp.c,sub1sp.c}] Get rid of useless goto's.
------------------------------------------------------------------------
r13619 | vlefevre | 2019-09-06 15:17:14 +0000 (Fri, 06 Sep 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13618 | vlefevre | 2019-09-06 12:35:10 +0000 (Fri, 06 Sep 2019) | 1 line
Changed paths:
   M /trunk/src/hypot.c

[src/hypot.c] Replaced a TODO by a FIXME.
------------------------------------------------------------------------
r13617 | vlefevre | 2019-09-06 11:17:11 +0000 (Fri, 06 Sep 2019) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/doc/mpfr.texi
   M /trunk/src/out_str.c
   M /trunk/tests/tout_str.c

The mpfr_out_str function now accepts bases from -2 to -36, in order to
follow mpfr_get_str and GMP's mpf_out_str functions.
------------------------------------------------------------------------
r13614 | vlefevre | 2019-09-06 01:00:27 +0000 (Fri, 06 Sep 2019) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Changed an incorrect use of @xref, which must always
occur at the beginning of a sentence (use "see @ref{...}" instead).
------------------------------------------------------------------------
r13613 | vlefevre | 2019-09-06 00:56:34 +0000 (Fri, 06 Sep 2019) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] At the end of "Arithmetic Functions", added a sentence
referencing the power functions (since x^n is an arithmetic function).
------------------------------------------------------------------------
r13612 | vlefevre | 2019-09-05 16:17:35 +0000 (Thu, 05 Sep 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Removed the useless "Float ..." index entries.
------------------------------------------------------------------------
r13611 | vlefevre | 2019-09-05 16:10:49 +0000 (Thu, 05 Sep 2019) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Moved the mpfr_pow class of functions from
"Arithmetic Functions" to "Transcendental Functions".
------------------------------------------------------------------------
r13610 | vlefevre | 2019-09-05 15:40:37 +0000 (Thu, 05 Sep 2019) | 4 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added "Float transcendental functions" to the index
for consistency ("transcendental functions" implies floating point,
but the user should expect to find it with the other index terms
starting with "Float").
------------------------------------------------------------------------
r13609 | vlefevre | 2019-09-05 15:36:08 +0000 (Thu, 05 Sep 2019) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Renamed "Basic Arithmetic Functions" to just
"Arithmetic Functions".
------------------------------------------------------------------------
r13608 | vlefevre | 2019-09-05 14:15:10 +0000 (Thu, 05 Sep 2019) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Transcendental functions: added a sentence to the
important note (about cases theoretically very hard to round).
------------------------------------------------------------------------
r13607 | vlefevre | 2019-09-05 13:57:21 +0000 (Thu, 05 Sep 2019) | 4 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Renamed Section "Special Functions" to
"Transcendental Functions" (as after changes in r13605 and r13606,
it now contains only the transcendental functions), and slightly
rewrote its important note.
------------------------------------------------------------------------
r13606 | vlefevre | 2019-09-05 13:44:16 +0000 (Thu, 05 Sep 2019) | 3 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Moved mpfr_free_cache, mpfr_free_cache2, mpfr_free_pool
and mpfr_mp_memory_cleanup from "Special Functions" to a new section
"Memory Handling Functions".
------------------------------------------------------------------------
r13605 | vlefevre | 2019-09-05 13:23:26 +0000 (Thu, 05 Sep 2019) | 7 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi]
  * Moved mpfr_fac_ui, mpfr_fma, mpfr_fms, mpfr_fmma, mpfr_fmms,
    mpfr_hypot, mpfr_sum and mpfr_dot from "Special Functions" to
    "Basic Arithmetic Functions" (as these are functions based on
    +, -, *, / and roots).
  * Added a FIXME for mpfr_pow: does this function really belong
    to "Basic Arithmetic Functions"?
------------------------------------------------------------------------
r13604 | vlefevre | 2019-09-05 12:56:52 +0000 (Thu, 05 Sep 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Improved warning about huge precisions.
------------------------------------------------------------------------
r13603 | vlefevre | 2019-09-05 10:21:34 +0000 (Thu, 05 Sep 2019) | 2 lines
Changed paths:
   M /trunk/src/mul.c

[src/mul.c] For the --enable-assert=full test, also test the flags
(like what has been done for mpfr_add1sp and mpfr_sub1sp).
------------------------------------------------------------------------
r13602 | vlefevre | 2019-09-05 10:02:14 +0000 (Thu, 05 Sep 2019) | 2 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] For the --enable-assert=full test, improved output of
ternary value and flags, like in r13582 for mpfr_add1sp.
------------------------------------------------------------------------
r13601 | vlefevre | 2019-09-05 09:58:32 +0000 (Thu, 05 Sep 2019) | 1 line
Changed paths:
   M /trunk/src/add1sp.c

[src/add1sp.c] Cosmetic change (consistent ordering).
------------------------------------------------------------------------
r13600 | zimmerma | 2019-09-04 15:29:19 +0000 (Wed, 04 Sep 2019) | 3 lines
Changed paths:
   M /trunk/src/sub1sp.c
   M /trunk/tests/tsub1sp.c

[tests/tsub1sp.c] added non-regression test for bug in mpfr_sub1sp2n
[src/sub1sp.c] fixed that bug

------------------------------------------------------------------------
r13599 | vlefevre | 2019-09-04 12:38:10 +0000 (Wed, 04 Sep 2019) | 1 line
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Fixed MPFR_C_LONG_DOUBLE_FORMAT macro for MS-Windows.
------------------------------------------------------------------------
r13598 | vlefevre | 2019-09-04 12:23:27 +0000 (Wed, 04 Sep 2019) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] More details about mpfr_add and mpfr_sub.
------------------------------------------------------------------------
r13597 | zimmerma | 2019-09-04 12:07:07 +0000 (Wed, 04 Sep 2019) | 2 lines
Changed paths:
   M /trunk/NEWS

[NEWS] mention that mpfr_sub was also improved for 128 bits

------------------------------------------------------------------------
r13596 | zimmerma | 2019-09-04 11:52:11 +0000 (Wed, 04 Sep 2019) | 2 lines
Changed paths:
   M /trunk/NEWS

[NEWS] coverage improved to 98.6% on x86_64

------------------------------------------------------------------------
r13595 | zimmerma | 2019-09-04 11:35:35 +0000 (Wed, 04 Sep 2019) | 2 lines
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] improve coverage

------------------------------------------------------------------------
r13594 | vlefevre | 2019-09-04 11:33:24 +0000 (Wed, 04 Sep 2019) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Fixed MPFR_C_LONG_DOUBLE_FORMAT macro: the patch had
a spurious ";" at the end of conftest.c, which made its compilation
fail with -pedantic -Werror (using gcc or clang).
------------------------------------------------------------------------
r13593 | zimmerma | 2019-09-04 11:22:26 +0000 (Wed, 04 Sep 2019) | 2 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] rewrote mpfr_sub1sp2n (inspired from mpfr_sub1sp1n)

------------------------------------------------------------------------
r13592 | vlefevre | 2019-09-04 10:59:18 +0000 (Wed, 04 Sep 2019) | 4 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Updated MPFR_C_LONG_DOUBLE_FORMAT to support compilation
with GCC's and clang's LTO (-flto). This new test is inspired by the one
used by GMP for the double type.
Thanks to Paul Mulders for a preliminary version of the patch for MPFR.
------------------------------------------------------------------------
r13590 | zimmerma | 2019-09-03 16:16:53 +0000 (Tue, 03 Sep 2019) | 3 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] added new function mpfr_sub1sp2n for p = 2*GMP_NUMB_BITS
	       (still to be tested)

------------------------------------------------------------------------
r13589 | vlefevre | 2019-09-03 14:39:35 +0000 (Tue, 03 Sep 2019) | 3 lines
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] bug20190903:
  * Fixed the second test for GMP_NUMB_BITS != 64.
  * Updated comments.
------------------------------------------------------------------------
r13588 | zimmerma | 2019-09-03 14:02:27 +0000 (Tue, 03 Sep 2019) | 2 lines
Changed paths:
   M /trunk/src/add1sp.c

[src/add1sp.c] improved comment

------------------------------------------------------------------------
r13587 | vlefevre | 2019-09-03 14:00:33 +0000 (Tue, 03 Sep 2019) | 1 line
Changed paths:
   M /trunk/src/add1sp.c

[src/add1sp.c] mpfr_add1sp2n: improved a comment.
------------------------------------------------------------------------
r13586 | vlefevre | 2019-09-03 13:52:48 +0000 (Tue, 03 Sep 2019) | 1 line
Changed paths:
   M /trunk/src/add1sp.c

[src/add1sp.c] Fixed the bug.
------------------------------------------------------------------------
r13585 | vlefevre | 2019-09-03 13:35:47 +0000 (Tue, 03 Sep 2019) | 1 line
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] bug20190903: do the second test in MPFR_RNDU too.
------------------------------------------------------------------------
r13584 | vlefevre | 2019-09-03 13:31:08 +0000 (Tue, 03 Sep 2019) | 3 lines
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] bug20190903: in the second test, check the mpfr_t
value, the ternary value and the flags, in order to get a failure
even without "--enable-assert=full".
------------------------------------------------------------------------
r13583 | vlefevre | 2019-09-03 13:11:52 +0000 (Tue, 03 Sep 2019) | 6 lines
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] When testing mpfr_add, use a wrapper mpfr_add_cf
that calls mpfr_clear_flags first, so that if --enable-assert=full
is used, the flags can be better checked too (and automatically).
Now tadd1sp outputs with --enable-assert=full, as wanted:
  add1  : ternary = -1, flags = inexact (8)
  add1sp: ternary =  0, flags = none (0)
------------------------------------------------------------------------
r13582 | vlefevre | 2019-09-03 13:02:07 +0000 (Tue, 03 Sep 2019) | 5 lines
Changed paths:
   M /trunk/src/add1sp.c
   M /trunk/src/exceptions.c
   M /trunk/src/mpfr-impl.h

[src]
  * exceptions.c: define flags_fout if MPFR_WANT_ASSERT >= 2, i.e. with
    --enable-assert=full (for better flags output in add1sp.c, etc.).
  * mpfr-impl.h: declare flags_fout if MPFR_WANT_ASSERT >= 2.
  * add1sp.c: improve output of ternary value and flags.
------------------------------------------------------------------------
r13581 | vlefevre | 2019-09-03 12:40:56 +0000 (Tue, 03 Sep 2019) | 1 line
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] Updated comments of bug20190903.
------------------------------------------------------------------------
r13580 | vlefevre | 2019-09-03 12:37:47 +0000 (Tue, 03 Sep 2019) | 8 lines
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] Added a test that triggers a bug in mpfr_add1sp2n
(corresponding to the FIXME), yielding a failure with
"--enable-assert=full".
Note 1: The computed values are equal (with MPFR_RNDN), but one gets
  Inexact sp = 0 | Inexact = -1
  Flags sp = 10 | Flags = 10
Note 2: The fact that the flags do not match the ternary value in the
error message is due to a missing mpfr_clear_flags in the test.
------------------------------------------------------------------------
r13579 | vlefevre | 2019-09-03 12:23:35 +0000 (Tue, 03 Sep 2019) | 6 lines
Changed paths:
   M /trunk/src/add1sp.c

[src/add1sp.c] mpfr_add1sp2n:
  * Code refactoring, eliminating the unnecessary goto's.
  * In the d >= 2 * GMP_NUMB_BITS case, use a single test for rb and sb.
  * Improved code consistency.
  * Added a FIXME about suspicious code. → Find a failing test and fix
    the code, or explain the code if it is correct.
------------------------------------------------------------------------
r13578 | zimmerma | 2019-09-03 11:51:41 +0000 (Tue, 03 Sep 2019) | 2 lines
Changed paths:
   M /trunk/src/add1sp.c

[src/add1sp.c] fix for bug20190903

------------------------------------------------------------------------
r13577 | vlefevre | 2019-09-03 11:28:22 +0000 (Tue, 03 Sep 2019) | 1 line
Changed paths:
   M /trunk/src/add1sp.c

[src/add1sp.c] Corrected a comment.
------------------------------------------------------------------------
r13576 | vlefevre | 2019-09-03 10:30:10 +0000 (Tue, 03 Sep 2019) | 3 lines
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] More random tests in the special precisions
GMP_NUMB_BITS and 2 * GMP_NUMB_BITS (but they don't trigger
the bug due to r13574).
------------------------------------------------------------------------
r13575 | vlefevre | 2019-09-03 10:25:41 +0000 (Tue, 03 Sep 2019) | 2 lines
Changed paths:
   M /trunk/tests/tadd1sp.c

[tests/tadd1sp.c] Added testcase for bug due to r13574 (found with
the other test programs, using --enable-assert=full).
------------------------------------------------------------------------
r13574 | zimmerma | 2019-09-03 09:20:19 +0000 (Tue, 03 Sep 2019) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/src/add1sp.c

[src/add1sp.c] added mpfr_add1sp2n for 128-bit precision (with 64-bit limb)

------------------------------------------------------------------------
r13573 | zimmerma | 2019-09-02 15:48:13 +0000 (Mon, 02 Sep 2019) | 2 lines
Changed paths:
   M /trunk/src/sub1sp1_extracted.c

[src/sub1sp1_extracted.c] replace hard-coded bounds by emin/emax

------------------------------------------------------------------------
r13572 | zimmerma | 2019-09-02 15:10:45 +0000 (Mon, 02 Sep 2019) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   M /trunk/src/sub1sp.c
   A /trunk/src/sub1sp1_extracted.c

added sub1sp1_extracted.c (not ready yet)

------------------------------------------------------------------------
r13571 | zimmerma | 2019-08-30 13:26:54 +0000 (Fri, 30 Aug 2019) | 2 lines
Changed paths:
   M /trunk/src/add1sp1_extracted.c
   M /trunk/src/mul_1_extracted.c

added github source for Jianyang Pan formal proof

------------------------------------------------------------------------
r13570 | vlefevre | 2019-08-21 10:22:25 +0000 (Wed, 21 Aug 2019) | 7 lines
Changed paths:
   M /trunk/tests/mpfr-test.h

[tests/mpfr-test.h] At the end, with GCC, undef volatile if defined.
Explanations:
  With GCC, a macro "volatile" can be defined to test some special code
  in mpfr-impl.h (code for compilers that define such a macro), but the
  volatile keyword is necessary in some tests to avoid some GCC bugs.
  Thus we need to undef this macro (if defined). We do that at the end,
  so that mpfr-impl.h (included earlier) is not affected by this undef.
------------------------------------------------------------------------
r13569 | vlefevre | 2019-08-21 08:57:50 +0000 (Wed, 21 Aug 2019) | 5 lines
Changed paths:
   M /trunk/tests/tget_set_d128.c

[tests/tget_set_d128.c] Updated a test with a non-canonical encoding:
  * More meaningful name ("noncanonical" instead of "coverage").
  * Output details in case of failure.
  * Avoid GCC bug 91226: wrong propagation of non-canonical _Decimal64
    and _Decimal128 constant (BID only).
------------------------------------------------------------------------
r13568 | vlefevre | 2019-08-20 13:58:15 +0000 (Tue, 20 Aug 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Update concerning the "decimal-point character".
------------------------------------------------------------------------
r13567 | vlefevre | 2019-08-20 13:44:16 +0000 (Tue, 20 Aug 2019) | 5 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Changed "decimal point" to "decimal-point character",
which is the term used in the ISO C standard. This is better as this
character is also used with non-decimal bases: "decimal-point" is
just the name of this character (as initially defined for base 10)
and does not imply a number written in decimal.
------------------------------------------------------------------------
r13566 | vlefevre | 2019-08-20 13:02:52 +0000 (Tue, 20 Aug 2019) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Compatibility With MPF: added an item on the difference
of the output format between mpf_out_str and mpfr_out_str.
------------------------------------------------------------------------
r13565 | vlefevre | 2019-08-20 11:06:03 +0000 (Tue, 20 Aug 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Rewrote and completed the mpfr_out_str description.
------------------------------------------------------------------------
r13564 | vlefevre | 2019-08-20 09:39:53 +0000 (Tue, 20 Aug 2019) | 13 lines
Changed paths:
   M /trunk/src/out_str.c

[src/out_str.c] Fixed bug in mpfr_out_str: When the exponent of the
converted value is 0, it was not output, contrary to what is described
in the MPFR manual. Note that this does not change the value of the
printed string, so that this has no effect on applications that just
re-read the value (with MPFR or another code).
This was regarded as a bug rather than an error in the documentation,
thus the output now looks more similar to what printf with %e yields;
the GMP function mpf_out_str also outputs the exponent 0.
Short discussion:
  https://sympa.inria.fr/sympa/arc/mpfr/2019-08/msg00012.html

Note: The tests still pass, as this function is currently not really
tested.
------------------------------------------------------------------------
r13563 | vlefevre | 2019-08-14 17:01:18 +0000 (Wed, 14 Aug 2019) | 1 line
Changed paths:
   M /trunk/INSTALL

[INSTALL] Update/corrections about MinGW and __USE_MINGW_ANSI_STDIO.
------------------------------------------------------------------------
r13562 | vlefevre | 2019-08-14 15:43:30 +0000 (Wed, 14 Aug 2019) | 2 lines
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] When building with MinGW, output a line about it:
MinGW32 / MinGW64, and the __USE_MINGW_ANSI_STDIO definition.
------------------------------------------------------------------------
r13561 | vlefevre | 2019-08-14 15:37:46 +0000 (Wed, 14 Aug 2019) | 1 line
Changed paths:
   M /trunk/src/set_d128.c

[src/set_d128.c] Moved a definition under the #if where it is used.
------------------------------------------------------------------------
r13560 | zimmerma | 2019-08-14 07:38:12 +0000 (Wed, 14 Aug 2019) | 2 lines
Changed paths:
   M /trunk/INSTALL

improve INSTALL (feedback from sisyphus <sisyphus359@gmail.com>)

------------------------------------------------------------------------
r13559 | vlefevre | 2019-08-12 13:39:50 +0000 (Mon, 12 Aug 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added a FIXME for mpfr_out_str about the exponent 0.
------------------------------------------------------------------------
r13558 | vlefevre | 2019-08-12 13:32:58 +0000 (Mon, 12 Aug 2019) | 10 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] About mpfr_get_str / mpfr_out_str:
  * In the mpfr_get_str description, changed argument "b" to "base" for
    consistency with similar functions (now, only mpfr_get_str_ndigits
    has b as this looks better in the formula). Also added a link to
    mpfr_get_str_ndigits.
  * In the mpfr_out_str description, replaced the ambiguous and even
    incorrect sentence "enough digits so that op can be read back
    exactly" (issues with trailing zeros and with the directed rounding
    modes) by text similar to the one in the mpfr_get_str description
    (keeping the reference to mpfr_get_str).
------------------------------------------------------------------------
r13557 | vlefevre | 2019-08-12 12:40:32 +0000 (Mon, 12 Aug 2019) | 1 line
Changed paths:
   M /trunk/src/out_str.c

[src/out_str.c] Coding style (e is not a boolean).
------------------------------------------------------------------------
r13556 | vlefevre | 2019-08-09 13:52:29 +0000 (Fri, 09 Aug 2019) | 1 line
Changed paths:
   M /trunk/tests/tout_str.c

[tests/tout_str.c] Use mpfr_print_rnd_mode in a message.
------------------------------------------------------------------------
r13555 | vlefevre | 2019-08-09 13:49:28 +0000 (Fri, 09 Aug 2019) | 3 lines
Changed paths:
   M /trunk/tests/tout_str.c

[tests/tout_str.c] Code simplification: a test from r1888 on a
random value was unnecessary (the log message of r1888 did not
even correspond to the change).
------------------------------------------------------------------------
r13554 | vlefevre | 2019-08-09 13:37:48 +0000 (Fri, 09 Aug 2019) | 1 line
Changed paths:
   M /trunk/tests/tout_str.c

[tests/tout_str.c] GNU coding style.
------------------------------------------------------------------------
r13553 | vlefevre | 2019-08-09 13:34:16 +0000 (Fri, 09 Aug 2019) | 2 lines
Changed paths:
   M /trunk/tests/tout_str.c

[tests/tout_str.c] Added missing newline characters in the output
after calls to mpfr_out_str.
------------------------------------------------------------------------
r13552 | vlefevre | 2019-08-09 13:29:36 +0000 (Fri, 09 Aug 2019) | 5 lines
Changed paths:
   M /trunk/tests/tout_str.c

[tests/tout_str.c] By default, output the results to a file instead of
/dev/null (this was already done only if opening /dev/null failed), so
that they can be checked later. Fixed 2 issues at the same time:
  * Do not close stdout (when an argument was provided).
  * Remove the file at the end.
------------------------------------------------------------------------
r13551 | vlefevre | 2019-08-09 13:11:38 +0000 (Fri, 09 Aug 2019) | 1 line
Changed paths:
   M /trunk/tests/tfpif.c

[tests/tfpif.c] GNU coding style.
------------------------------------------------------------------------
r13550 | vlefevre | 2019-08-09 13:09:57 +0000 (Fri, 09 Aug 2019) | 1 line
Changed paths:
   M /trunk/tests/tfpif.c

[tests/tfpif.c] Added a comment about the use of perror.
------------------------------------------------------------------------
r13549 | vlefevre | 2019-08-09 13:06:47 +0000 (Fri, 09 Aug 2019) | 4 lines
Changed paths:
   M /trunk/tests/tfpif.c

[tests/tfpif.c] Also check fclose failure when the file has been opened
for writing (typically an error in case the buffer cannot be written to
the file). Call perror after all fopen/src_fopen/fclose failures to get
the reason of the failure.
------------------------------------------------------------------------
r13548 | vlefevre | 2019-08-09 12:45:21 +0000 (Fri, 09 Aug 2019) | 4 lines
Changed paths:
   M /trunk/tests/tfpif.c

[tests/tfpif.c] In case of failure of fopen or src_fopen, write the
error message on stderr (as one should do for errors not directly
related to the tests, such as memory allocation and I/O errors).
Also improved the error messages and made them consistent.
------------------------------------------------------------------------
r13547 | vlefevre | 2019-08-06 12:47:52 +0000 (Tue, 06 Aug 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13546 | vlefevre | 2019-08-05 13:50:20 +0000 (Mon, 05 Aug 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Improved consistency with @item.
------------------------------------------------------------------------
r13545 | vlefevre | 2019-08-02 13:17:10 +0000 (Fri, 02 Aug 2019) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/doc/Makefile.am
   M /trunk/src/Makefile.am
   M /trunk/tests/Makefile.am
   M /trunk/tools/bench/Makefile.am
   M /trunk/tune/Makefile.am

For Makefile.am and each one in SUBDIRS, added the .POSIX target to
select the POSIX behavior (since we do not require GNU "make").
See: https://sympa.inria.fr/sympa/arc/mpfr/2019-08/msg00005.html
------------------------------------------------------------------------
r13544 | vlefevre | 2019-08-02 08:22:52 +0000 (Fri, 02 Aug 2019) | 2 lines
Changed paths:
   M /trunk/tools/get_patches.sh

[tools/get_patches.sh] Fixed change in r13543 (the contents of PATCHES
should still be written as a list of words separated by a space).
------------------------------------------------------------------------
r13543 | vlefevre | 2019-08-02 08:15:24 +0000 (Fri, 02 Aug 2019) | 9 lines
Changed paths:
   M /trunk/src/Makefile.am
   M /trunk/tools/get_patches.sh

Fixed src/get_patches.c generation that was changed in r13542.
  * src/Makefile.am, tools/get_patches.sh: since get_patches.sh is
    no longer run from $(top_srcdir), the PATCHES absolute pathname
    now needs to be passed in argument.
  * src/Makefile.am: fixed the get_patches.c rule (the automatic
    variable $< was used with the meaning "first prerequisite" of
    GNU Make; an "exit 1" was missing, so that a failure did not
    abort "make" immediately).
  * tools/get_patches.sh: detect errors with "set -e".
------------------------------------------------------------------------
r13542 | vlefevre | 2019-07-31 15:55:00 +0000 (Wed, 31 Jul 2019) | 7 lines
Changed paths:
   M /trunk/src/Makefile.am

[src/Makefile.am] Define get_patches.c as a built source to avoid a
non-portable make rule ("/" character in target), causing an error
in FreeBSD with its "make" command. This change should be OK as the
get_patches.sh script that generates get_patches.c is very simple
and portable. As a consequence, put get_patches.c in CLEANFILES.
See:
  https://sympa.inria.fr/sympa/arc/mpfr/2019-07/msg00003.html
------------------------------------------------------------------------
r13541 | vlefevre | 2019-07-31 15:28:01 +0000 (Wed, 31 Jul 2019) | 4 lines
Changed paths:
   M /trunk/Makefile.am

[Makefile.am] Fixed dist-hook for ck-mparam, which was run from a
read-only directory with "make distcheck" while a temporary file
is created in the current directory, yielding a failure (ck-mparam
has been run in dist-hook since r12533 on 2018-04-03).
------------------------------------------------------------------------
r13540 | vlefevre | 2019-07-31 15:23:57 +0000 (Wed, 31 Jul 2019) | 4 lines
Changed paths:
   M /trunk/tools/ck-mparam

[tools/ck-mparam] Updated comment to warn that the source tree that is
checked is the one that contains this script, not the one corresponding
to the current working directory (the rule for the other scripts in the
tools directory is currently different).
------------------------------------------------------------------------
r13539 | vlefevre | 2019-07-31 15:06:10 +0000 (Wed, 31 Jul 2019) | 5 lines
Changed paths:
   M /trunk/tools/ck-mparam

[tools/ck-mparam] This script can now be run from any directory (which
must still be writable). This change has been done to be able to run
it from the build directory, as if it is run via "make distcheck" and
a dist-hook rule, then neither the top-level directory nor the tools
directory is writable.
------------------------------------------------------------------------
r13537 | vlefevre | 2019-07-23 10:55:43 +0000 (Tue, 23 Jul 2019) | 2 lines
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] Updated comment (only the x86 and x86_64 targets
are affected).
------------------------------------------------------------------------
r13536 | vlefevre | 2019-07-23 06:55:53 +0000 (Tue, 23 Jul 2019) | 1 line
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] Improved a comment.
------------------------------------------------------------------------
r13535 | vlefevre | 2019-07-22 14:08:50 +0000 (Mon, 22 Jul 2019) | 2 lines
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] Avoid GCC bug 91226: wrong propagation of
non-canonical _Decimal64 constant.
------------------------------------------------------------------------
r13534 | vlefevre | 2019-07-22 12:57:55 +0000 (Mon, 22 Jul 2019) | 2 lines
Changed paths:
   M /trunk/src/set_d64.c

[src/set_d64.c] In decimal64_to_string, log the memory representation
of the _Decimal64 argument.
------------------------------------------------------------------------
r13533 | vlefevre | 2019-07-22 12:47:56 +0000 (Mon, 22 Jul 2019) | 3 lines
Changed paths:
   M /trunk/src/set_d64.c

[src/set_d64.c] In decimal64_to_string, log the various fields of the
_Decimal64 argument whose memory data is regarded as a double (as this
is the current implementation of this function).
------------------------------------------------------------------------
r13532 | vlefevre | 2019-07-22 10:36:28 +0000 (Mon, 22 Jul 2019) | 1 line
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] More output details in the noncanonical test.
------------------------------------------------------------------------
r13531 | vlefevre | 2019-07-22 10:29:09 +0000 (Mon, 22 Jul 2019) | 2 lines
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] Improved the noncanonical test, but this does not
solve the failure with gcc-snapshot.
------------------------------------------------------------------------
r13530 | vlefevre | 2019-07-22 10:16:00 +0000 (Mon, 22 Jul 2019) | 3 lines
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] More meaningful name of a test with a
non-canonical encoding and more details (fails with Debian's
gcc-snapshot 10.0.0 20190718, trunk revision 273586).
------------------------------------------------------------------------
r13528 | vlefevre | 2019-07-12 15:58:07 +0000 (Fri, 12 Jul 2019) | 2 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] "To make a release": mention -Wsuggest-attribute=...
options (but mpfr.h first needs some macros like __MPFR_SENTINEL_ATTR).
------------------------------------------------------------------------
r13527 | vlefevre | 2019-07-12 13:31:46 +0000 (Fri, 12 Jul 2019) | 2 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

Renamed MPFR_CONST_ATTR macro to MPFR_CONST_FUNCTION_ATTR in order to be
similar to the MPFR_{PURE,HOT,COLD}_FUNCTION_ATTR macro names.
------------------------------------------------------------------------
r13526 | vlefevre | 2019-07-10 09:15:09 +0000 (Wed, 10 Jul 2019) | 5 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Update concerning the MPFR manual:
  * Updated information about the papersize issues (should be fixed,
    but manual checking is recommended).
  * Detailed English typography.
  * Removed mention of the old texinfo bug 33329 (Debian bug 583558).
------------------------------------------------------------------------
r13524 | vlefevre | 2019-07-08 11:08:18 +0000 (Mon, 08 Jul 2019) | 1 line
Changed paths:
   M /trunk/codespell.exclude
   M /trunk/codespell.ignore

[codespell.*] Update for codespell 1.15.0.
------------------------------------------------------------------------
r13522 | vlefevre | 2019-07-08 11:03:43 +0000 (Mon, 08 Jul 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev
   M /trunk/src/free_cache.c
   M /trunk/src/mpfr-gmp.c
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr.h

Fixed spelling mistakes found by codespell 1.15.0.
------------------------------------------------------------------------
r13519 | vlefevre | 2019-07-06 19:55:37 +0000 (Sat, 06 Jul 2019) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Added missing "const" qualifier to "char *" in a test;
needed with GCC's "-Wwrite-strings -Werror".
------------------------------------------------------------------------
r13517 | vlefevre | 2019-07-02 12:13:56 +0000 (Tue, 02 Jul 2019) | 4 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] MPFR_GROUP_* macros / mpfr_group_t structure: when
MPFR_GROUP_STATIC_SIZE is 0 (for testing), use a flexible array member
(ISO C99) instead of a zero-length array (GNU extension, forbidden in
ISO C).
------------------------------------------------------------------------
r13515 | vlefevre | 2019-07-02 11:06:33 +0000 (Tue, 02 Jul 2019) | 3 lines
Changed paths:
   M /trunk/tests/tdiv.c
   M /trunk/tests/tfpif.c
   M /trunk/tests/tmul_2exp.c
   M /trunk/tests/trandom.c
   M /trunk/tests/trint.c
   M /trunk/tests/tsprintf.c
   M /trunk/tests/tsum.c
   M /trunk/tests/turandom.c

[tests/*.c] Added missing "const" qualifier to "char *" when this
involves string literals (detected by using GCC's -Wwrite-strings
option, via the default -Wdiscarded-qualifiers warning).
------------------------------------------------------------------------
r13514 | vlefevre | 2019-07-01 15:40:11 +0000 (Mon, 01 Jul 2019) | 4 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

[acinclude.m4,configure.ac] MPFR_C_LONG_DOUBLE_FORMAT: also detect
clang's LTO.
Note: no longer use $FGREP (see r13513) as its status is unclear on
non-POSIX systems (though very probably available when $EGREP is).
------------------------------------------------------------------------
r13513 | vlefevre | 2019-07-01 14:12:10 +0000 (Mon, 01 Jul 2019) | 5 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

[acinclude.m4,configure.ac] For MPFR_C_LONG_DOUBLE_FORMAT, when the
format is unknown and it is detected that LTO has been used, output
"recognition prevented by LTO".
Note: at the same time, since AC_PROG_FGREP was needed, replaced
$EGREP by $FGREP when applicable.
------------------------------------------------------------------------
r13512 | vlefevre | 2019-07-01 13:44:51 +0000 (Mon, 01 Jul 2019) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] MPFR_C_LONG_DOUBLE_FORMAT: improved comment and added a
warning saying that this does not work with GCC's LTO (gcc -flto ...).
------------------------------------------------------------------------
r13511 | zimmerma | 2019-06-07 12:42:41 +0000 (Fri, 07 Jun 2019) | 2 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] simplified code of sub1sp1 for bx = cx

------------------------------------------------------------------------
r13510 | vlefevre | 2019-06-06 12:43:33 +0000 (Thu, 06 Jun 2019) | 3 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] About r13506-13509 and optimization: added a comment
about Clang after some tests (without giving details, as in practice,
this is more complex... but this is the general idea).
------------------------------------------------------------------------
r13509 | zimmerma | 2019-06-06 12:23:42 +0000 (Thu, 06 Jun 2019) | 2 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] fixed typo

------------------------------------------------------------------------
r13508 | vlefevre | 2019-06-06 12:12:11 +0000 (Thu, 06 Jun 2019) | 2 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] Added reference to GCC PR30315 about a misoptimization
on x86/x86_64 (see r13506 and r13507).
------------------------------------------------------------------------
r13507 | vlefevre | 2019-06-06 10:51:57 +0000 (Thu, 06 Jun 2019) | 3 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] Completed r13506: added MPFR_ASSERTD to justify the
new code and give more information to the compiler; added comments
about this optimization issue.
------------------------------------------------------------------------
r13506 | zimmerma | 2019-06-06 10:14:04 +0000 (Thu, 06 Jun 2019) | 2 lines
Changed paths:
   M /trunk/src/sub1sp.c

[src/sub1sp.c] small speedup (following discussion with Félix Breton)

------------------------------------------------------------------------
r13498 | vlefevre | 2019-06-01 14:22:53 +0000 (Sat, 01 Jun 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Added a note about MPFR_DISABLE_IEEE_FLOATS.
------------------------------------------------------------------------
r13497 | vlefevre | 2019-06-01 13:57:48 +0000 (Sat, 01 Jun 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Updated MPFR_DISABLE_IEEE_FLOATS description.
------------------------------------------------------------------------
r13496 | vlefevre | 2019-06-01 13:54:08 +0000 (Sat, 01 Jun 2019) | 3 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Undefine HAVE_LDOUBLE_IS_DOUBLE & HAVE_LDOUBLE_IEEE_*
macros if MPFR_DISABLE_IEEE_FLOATS is defined, as the goal is to test
code not relying on IEEE floats.
------------------------------------------------------------------------
r13495 | vlefevre | 2019-05-24 13:17:50 +0000 (Fri, 24 May 2019) | 3 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Code simplification with the generic
LONGDOUBLE_NAN_ACTION macro (the WANT_LONGDOUBLE_VOLATILE macro is not
needed as used only once, thus removed). Improved the related comment.
------------------------------------------------------------------------
r13494 | vlefevre | 2019-05-24 08:33:50 +0000 (Fri, 24 May 2019) | 4 lines
Changed paths:
   M /trunk/src/mpfr-impl.h
   M /trunk/src/volatile.c

[src] Instead of including <float.h> in volatile.c (r13493), do that
unconditionally in mpfr-impl.h to make sure that macro definitions
in this header file are always correct: some definitions depend on
various macros from <float.h>, such as FLT_RADIX and DBL_MANT_DIG.
------------------------------------------------------------------------
r13493 | zimmerma | 2019-05-24 07:35:03 +0000 (Fri, 24 May 2019) | 3 lines
Changed paths:
   M /trunk/src/volatile.c

applied patch from #21762
(https://gforge.inria.fr/tracker/?func=detail&atid=619&aid=21762&group_id=136)

------------------------------------------------------------------------
r13492 | vlefevre | 2019-05-15 13:53:23 +0000 (Wed, 15 May 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Added another URL on undefined behavior.
------------------------------------------------------------------------
r13488 | vlefevre | 2019-04-30 17:06:09 +0000 (Tue, 30 Apr 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Note that -static-libasan does not work with MPFR.
------------------------------------------------------------------------
r13486 | vlefevre | 2019-04-30 15:13:32 +0000 (Tue, 30 Apr 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Update about the use of GCC's "-fsanitize=address".
------------------------------------------------------------------------
r13485 | zimmerma | 2019-04-30 13:49:59 +0000 (Tue, 30 Apr 2019) | 3 lines
Changed paths:
   M /trunk/src/zeta.c

[src/zeta.c] fixed out-of-bound read reported by Thomas Bailleux

Note: This bug was introduced in r12066.
------------------------------------------------------------------------
r13484 | vlefevre | 2019-04-29 13:29:12 +0000 (Mon, 29 Apr 2019) | 1 line
Changed paths:
   M /trunk/tools/ck-version-info

[tools/ck-version-info] Minor corrections in a comment.
------------------------------------------------------------------------
r13483 | vlefevre | 2019-04-29 13:26:29 +0000 (Mon, 29 Apr 2019) | 3 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Update about the VERSION file:
  * Added a paragraph on the meaning of the "-dev" suffix.
  * Removed a confusing and useless "-dev" in an example.
------------------------------------------------------------------------
r13482 | vlefevre | 2019-04-29 13:17:34 +0000 (Mon, 29 Apr 2019) | 4 lines
Changed paths:
   M /trunk/tools/ck-news

[tools/ck-news] Changed the condition of the test for FIXME or TODO:
Previously it was disabled only for -dev versions. Now it is enabled
only for releases and release candidates. This will allow snapshots,
for which the NEWS file may still contain a FIXME or TODO.
------------------------------------------------------------------------
r13481 | vlefevre | 2019-04-29 13:11:11 +0000 (Mon, 29 Apr 2019) | 1 line
Changed paths:
   M /trunk/tools/ck-version-info

[tools/ck-version-info] Corrected check. Added explanations in comments.
------------------------------------------------------------------------
r13480 | vlefevre | 2019-04-29 12:44:01 +0000 (Mon, 29 Apr 2019) | 1 line
Changed paths:
   M /trunk/tools/ck-version-info

[tools/ck-version-info] Better error message if $vinfo is not defined.
------------------------------------------------------------------------
r13479 | vlefevre | 2019-04-29 12:38:40 +0000 (Mon, 29 Apr 2019) | 1 line
Changed paths:
   M /trunk/src/Makefile.am

[src/Makefile.am] Added a comment.
------------------------------------------------------------------------
r13477 | vlefevre | 2019-04-25 12:26:27 +0000 (Thu, 25 Apr 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13475 | vlefevre | 2019-04-25 10:55:11 +0000 (Thu, 25 Apr 2019) | 3 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the list of rounding modes in the description
of the mpfr_print_rnd_mode function. Choose the same order as in the
"Rounding Modes" section in "MPFR Basics".
------------------------------------------------------------------------
r13474 | vlefevre | 2019-04-25 10:53:38 +0000 (Thu, 25 Apr 2019) | 2 lines
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Lists of rounding modes: also check with the
"Rounding Modes" section in "MPFR Basics".
------------------------------------------------------------------------
r13473 | vlefevre | 2019-04-25 10:35:45 +0000 (Thu, 25 Apr 2019) | 1 line
Changed paths:
   M /trunk/src/print_rnd_mode.c

[src/print_rnd_mode.c] Added a comment to remember to update the manual.
------------------------------------------------------------------------
r13472 | vlefevre | 2019-04-25 10:34:31 +0000 (Thu, 25 Apr 2019) | 2 lines
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Check that the lists of rounding modes in
src/print_rnd_mode.c and doc/mpfr.texi are identical.
------------------------------------------------------------------------
r13471 | vlefevre | 2019-04-25 10:05:47 +0000 (Thu, 25 Apr 2019) | 1 line
Changed paths:
   M /trunk/src/mpfr.h

[src/mpfr.h] Added a blank line (grouping of function declarations).
------------------------------------------------------------------------
r13470 | vlefevre | 2019-04-25 10:04:25 +0000 (Thu, 25 Apr 2019) | 1 line
Changed paths:
   M /trunk/TODO
   M /trunk/src/mpfr.h
   M /trunk/src/vasprintf.c

Added support for GCC's returns_nonnull attribute (with GCC 4.9+).
------------------------------------------------------------------------
r13469 | vlefevre | 2019-04-25 09:31:55 +0000 (Thu, 25 Apr 2019) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Update about GCC's nonnull and returns_nonnull attributes.
------------------------------------------------------------------------
r13467 | vlefevre | 2019-04-16 08:11:02 +0000 (Tue, 16 Apr 2019) | 5 lines
Changed paths:
   M /trunk/src/mpfr-impl.h
   M /trunk/src/vasprintf.c

New macro MPFR_FALLTHROUGH to avoid -Wimplicit-fallthrough warnings
with GCC 7+. This macro also makes the code more readable by bringing
the attention on an unusual fallthrough in a switch case.
  * src/mpfr-impl.h: define this macro.
  * src/vasprintf.c: use this macro in a case of fallthrough.
------------------------------------------------------------------------
r13466 | vlefevre | 2019-04-15 12:27:49 +0000 (Mon, 15 Apr 2019) | 8 lines
Changed paths:
   M /trunk/src/vasprintf.c
   M /trunk/tests/tsprintf.c

[src/vasprintf.c] Minor bug fix: when an integer is to be read for
  the field width or precision, regard strings like "17*" as invalid
  instead of regarding it as "*" (ignoring the integer that precedes,
  except in case of overflow). In C's printf, such an invalid string
  yields undefined behavior, but in MPFR, we normally print the
  invalid format specifier as a literal string in such a case.
  Bug detected with -Wimplicit-fallthrough from GCC 7+.
[tests/tsprintf.c] Added non-regression test.
------------------------------------------------------------------------
r13464 | vlefevre | 2019-04-02 09:36:47 +0000 (Tue, 02 Apr 2019) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Updated --enable-logging description.
------------------------------------------------------------------------
r13463 | vlefevre | 2019-04-02 09:33:07 +0000 (Tue, 02 Apr 2019) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] When logging support is requested, run a test to check
that code with nested functions and the 'cleanup' attribute can be
compiled, as these features are needed.
------------------------------------------------------------------------
r13462 | vlefevre | 2019-04-02 09:07:39 +0000 (Tue, 02 Apr 2019) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] AC_ARG_ENABLE(float128,...): updated comment and
description.
------------------------------------------------------------------------
r13461 | vlefevre | 2019-04-02 08:56:21 +0000 (Tue, 02 Apr 2019) | 5 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Updated comment for AC_ARG_ENABLE(decimal-float,...).
  * Removed information about very old GCC versions.
  * _Decimal128 is considered too, in addition to _Decimal64.
  * No longer just a GCC extension, but part of ISO/IEC TS 18661.
  * Added a FIXME for new options about _Decimal64 and _Decimal128.
------------------------------------------------------------------------
r13460 | vlefevre | 2019-04-02 08:43:30 +0000 (Tue, 02 Apr 2019) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Cleanup: moved some AC_ARG_ENABLE's where they should be.
------------------------------------------------------------------------
r13459 | vlefevre | 2019-03-29 16:27:57 +0000 (Fri, 29 Mar 2019) | 8 lines
Changed paths:
   M /trunk/src/vasprintf.c

[src/vasprintf.c]
  * Corrected FIXME by modifying the assertion. The failure could occur
    only when mpfr_intmax_t has the same size as int (which is the case
    when long = int and either intmax_t and long long are not available
    or intmax_t = long = int), and only when INT_MIN is provided as a
    field width argument.
  * Related to that, updated a test to improve optimization.
  * Added comments.
------------------------------------------------------------------------
r13458 | vlefevre | 2019-03-29 15:20:48 +0000 (Fri, 29 Mar 2019) | 2 lines
Changed paths:
   M /trunk/src/vasprintf.c

[src/vasprintf.c] Added a FIXME: tsprintf yields an assertion failure
with sizeof(mpfr_intmax_t) = 4 (which was not tested until now).
------------------------------------------------------------------------
r13457 | vlefevre | 2019-03-29 14:39:22 +0000 (Fri, 29 Mar 2019) | 32 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/doc/README.dev
   M /trunk/src/fits_intmax.c
   M /trunk/src/fits_uintmax.c
   M /trunk/src/get_sj.c
   M /trunk/src/get_uj.c
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr-intmax.h
   M /trunk/tests/tfits.c
   M /trunk/tests/tget_sj.c
   M /trunk/tests/tset_sj.c
   M /trunk/tests/tstdint.c
   M /trunk/tests/tversion.c

Cleanup / fixes related to intmax_t, mpfr_intmax_t, etc.

The issues were:
  * The build of the tests (make check) could fail with CFLAGS implying
    "-std=c90 -Werror=format", i.e. if intmax_t was available but the
    use of the "j" printf length modifier made the compilation fail
    (its unconditional use was incorrect anyway).
  * MPFR_INTMAX_MAX had definitions in both mpfr-impl.h & mpfr-intmax.h,
    with inconsistent usage.

Detailed changes:
  * acinclude.m4: removed the definition of MPFR_PRINTF_MAXLM, which
    could be incorrect (large numbers were not tested to select its
    value); in the MPFR_FUNC_GMP_PRINTF_SPEC macro, check sprintf()
    in addition to gmp_sprintf() as it is now also used in the tests;
    updated some comments and messages.
  * src/mpfr-impl.h: removed the MPFR_*INTMAX* definitions; they had
    been added due to
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=582698
    with -ansi -pedantic-errors, but this issue was fixed in GCC 4.8
    (released 6 years ago), so that they are no longer needed.
  * src/mpfr-intmax.h: completed the definitions; mpfr_intmax_t is now
    the largest integer type available and fully working (in particular
    with printf), thus it may be smaller than intmax_t.
  * doc/README.dev: updated the description of mpfr_intmax_t, etc.
  * tests/tversion.c: output sizeof(mpfr_intmax_t) too.
  * Various .c files in src and tests related to (u)intmax_t: use
    INTMAX_MAX instead of MPFR_INTMAX_MAX, etc. as Debian bug 582698
    (mentioned above) no longer occurs and mpfr_intmax_t may be smaller
    than intmax_t; use the "j" printf length modifier instead of
    MPFR_PRINTF_MAXLM, and protect it with "#ifndef NPRINTF_J"
    (only the tests are concerned, so that this is not an issue).
------------------------------------------------------------------------
r13456 | vlefevre | 2019-03-28 17:19:00 +0000 (Thu, 28 Mar 2019) | 2 lines
Changed paths:
   M /trunk/src/urandomb.c

[src/urandomb.c] Removed the FIXME: this is a bug in GMP or in Clang's
memory sanitizer.
------------------------------------------------------------------------
r13455 | vlefevre | 2019-03-28 16:56:46 +0000 (Thu, 28 Mar 2019) | 2 lines
Changed paths:
   M /trunk/src/urandomb.c

[src/urandomb.c] Added a FIXME (use-of-uninitialized-value with
Clang's memory sanitizer).
------------------------------------------------------------------------
r13452 | vlefevre | 2019-03-13 12:51:51 +0000 (Wed, 13 Mar 2019) | 1 line
Changed paths:
   M /trunk/src/printf.c

[src/printf.c] Removed unused definitions.
------------------------------------------------------------------------
r13451 | vlefevre | 2019-03-01 13:12:20 +0000 (Fri, 01 Mar 2019) | 6 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Update about coverage:
  * Mention not to enable optimizations.
  * Replaced "-fprofile-arcs -ftest-coverage" by "--coverage", as
    this is what is used by the tools/coverage script (note: this
    is a synonym when compiling, but also allows the right options
    to be used when linking, thus might be better in doubt).
------------------------------------------------------------------------
r13446 | vlefevre | 2019-02-04 14:17:56 +0000 (Mon, 04 Feb 2019) | 1 line
Changed paths:
   M /trunk/tests/tcmp_d.c
   M /trunk/tests/tcmp_ld.c
   M /trunk/tests/td_div.c
   M /trunk/tests/tget_flt.c
   M /trunk/tests/tset_float128.c

[tests] Use MPFR_DBL_* macros when necessary.
------------------------------------------------------------------------
r13445 | vlefevre | 2019-02-04 13:57:49 +0000 (Mon, 04 Feb 2019) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] For consistency, use "[ch]" instead of "{c,h}".
------------------------------------------------------------------------
r13444 | vlefevre | 2019-02-04 13:55:47 +0000 (Mon, 04 Feb 2019) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Detect use of DBL_* macros instead of MPFR_DBL_* ones.
------------------------------------------------------------------------
r13443 | vlefevre | 2019-02-04 13:47:14 +0000 (Mon, 04 Feb 2019) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Improved message about division by zero.
------------------------------------------------------------------------
r13442 | vlefevre | 2019-02-04 13:39:17 +0000 (Mon, 04 Feb 2019) | 2 lines
Changed paths:
   M /trunk/doc/README.dev
   M /trunk/tools/mpfrlint

[doc/README.dev] Improved description of MPFR_ERRDIVZERO.
[tools/mpfrlint] Added a comment about division by zero.
------------------------------------------------------------------------
r13441 | vlefevre | 2019-02-04 13:23:37 +0000 (Mon, 04 Feb 2019) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Check that native FP division by zero is not used.
------------------------------------------------------------------------
r13429 | vlefevre | 2019-01-31 15:09:00 +0000 (Thu, 31 Jan 2019) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

[src/Makefile.am] In check-exported-symbols, replaced grep by $(GREP)
as usual and like in check-gmp-symbols.
------------------------------------------------------------------------
r13423 | vlefevre | 2019-01-30 09:49:35 +0000 (Wed, 30 Jan 2019) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Updated comment about default options in CFLAGS for GCC.
------------------------------------------------------------------------
r13421 | vlefevre | 2019-01-30 09:19:01 +0000 (Wed, 30 Jan 2019) | 7 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/NEWS
   M /trunk/configure.ac

Update about CC / CFLAGS settings from GMP (__GMP_CC / __GMP_CFLAGS).
  * configure.ac: remove -pedantic unconditionally; since r7044, it was
    removed only when logging was enabled, as at that time only logging
    was using C extensions.
  * NEWS: added a line about this change.
  * INSTALL: updated the note about CC / CFLAGS, removing the obsolete
    reference to GMP 4.3.0 at the same time.
------------------------------------------------------------------------
r13420 | vlefevre | 2019-01-28 01:31:22 +0000 (Mon, 28 Jan 2019) | 1 line
Changed paths:
   M /trunk/tools/announce-text

[tools/announce-text] Corrected subject for Release Candidate > 1.
------------------------------------------------------------------------
r13415 | vlefevre | 2019-01-25 14:31:46 +0000 (Fri, 25 Jan 2019) | 1 line
Changed paths:
   M /trunk/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC svn log -rHEAD:0 -v".
------------------------------------------------------------------------
r13414 | vlefevre | 2019-01-25 12:58:24 +0000 (Fri, 25 Jan 2019) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Update about shared caches.
------------------------------------------------------------------------
r13413 | vlefevre | 2019-01-25 12:55:31 +0000 (Fri, 25 Jan 2019) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] Added: "Shared caches: cleanup."
------------------------------------------------------------------------
r13412 | vlefevre | 2019-01-25 12:52:54 +0000 (Fri, 25 Jan 2019) | 4 lines
Changed paths:
   M /trunk/src/mpfr-thread.h

[src/mpfr-thread.h] Fixed the lock macros:
  * in case of failure, one must abort, otherwise this would generally
    be undefined behavior;
  * added missing "do {} while (0)" (currently not mandatory).
------------------------------------------------------------------------
r13411 | vlefevre | 2019-01-25 12:01:18 +0000 (Fri, 25 Jan 2019) | 2 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Updated a comment about MPFR_DECL_INIT_CACHE and
the shared cache.
------------------------------------------------------------------------
r13410 | vlefevre | 2019-01-25 11:48:40 +0000 (Fri, 25 Jan 2019) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Avoid a warning with the pthread_rwlock_t test,
as it is an error with -Werror.
------------------------------------------------------------------------
r13408 | vlefevre | 2019-01-25 00:52:54 +0000 (Fri, 25 Jan 2019) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Fixed another C++ compatibility issue detected by
the -Werror=c++-compat GCC option (it led the "long double" format
to be unknown).
------------------------------------------------------------------------
r13407 | vlefevre | 2019-01-24 23:21:20 +0000 (Thu, 24 Jan 2019) | 2 lines
Changed paths:
   M /trunk/tests/trint.c

[tests/trint.c] Fixed C++ compatibility issue (arithmetic on enum)
detected by the -Werror=c++-compat GCC option.
------------------------------------------------------------------------
r13406 | vlefevre | 2019-01-23 14:11:26 +0000 (Wed, 23 Jan 2019) | 3 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] By default (i.e. if CFLAGS is not already set), if
the compiler is GCC not in C++ mode, add the -Wc++-compat warning
since we expect the code to compile with a C++ compiler.
------------------------------------------------------------------------
r13401 | vlefevre | 2019-01-13 15:38:22 +0000 (Sun, 13 Jan 2019) | 1 line
Changed paths:
   M /trunk/tests/tcheck.c

[tests/tcheck.c] Corrected meaningless error message.
------------------------------------------------------------------------
r13397 | vlefevre | 2019-01-13 00:13:15 +0000 (Sun, 13 Jan 2019) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Minor correction for non-tex versions.
Thanks to Trevor Spiteri for the bug report.
------------------------------------------------------------------------
r13396 | vlefevre | 2019-01-09 14:12:12 +0000 (Wed, 09 Jan 2019) | 3 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

Moved the compatibility test of the configure options even earlier, from
acinclude.m4 to configure.ac, just after the code that defines them.
Also added an associated AC_MSG_CHECKING message for better clarity.
------------------------------------------------------------------------
r13395 | vlefevre | 2019-01-09 14:01:33 +0000 (Wed, 09 Jan 2019) | 1 line
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] Simplified a message.
------------------------------------------------------------------------
r13394 | vlefevre | 2019-01-09 13:58:07 +0000 (Wed, 09 Jan 2019) | 2 lines
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] When the shared cache is enabled, also output the
lock method (this information has been lost in r13032).
------------------------------------------------------------------------
r13393 | vlefevre | 2019-01-09 13:51:05 +0000 (Wed, 09 Jan 2019) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] When checking support for POSIX threads (pthread), also
check that pthread_rwlock_t is supported, as it is needed by MPFR and
conditionally defined in glibc's bits/pthreadtypes.h (via <pthread.h>).
------------------------------------------------------------------------
r13392 | vlefevre | 2019-01-09 12:56:20 +0000 (Wed, 09 Jan 2019) | 20 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.ac

Cleaned up configure code related to threading and the shared cache.
  * acinclude.m4:
      - detect incompatibilities between configure options at the
        beginning of MPFR_CONFIGS, forcing enable_thread_safe to
        "no" or "yes" when necessary, so that the subsequent code
        can rely on that;
      - check ISO C11 thread support and/or POSIX thread support
        only when necessary;
      - handle --enable-shared-cache early in MPFR_CONFIGS, because
        the use of POSIX threads (pthread) may need to change CC,
        CFLAGS, and LIBS (thus affecting other tests);
      - test $enable_shared_cache instead of $mpfr_want_shared_cache;
      - removed the now useless MPFR_CHECK_SHARED_CACHE function.
  * configure.ac: no longer set the mpfr_want_shared_cache variable,
    as enable_shared_cache (now used) already has the same usage.
Note: currently,
  ./configure --enable-shared-cache CFLAGS="-std=c99"
still succeeds and still makes the compilation fail. This seems to
be due to a limitation of AX_PTHREAD, which just tests linking, not
compilation.
------------------------------------------------------------------------
r13391 | vlefevre | 2019-01-09 11:38:46 +0000 (Wed, 09 Jan 2019) | 5 lines
Changed paths:
   M /trunk/acinclude.m4

[acinclude.m4] In MPFR_CHECK_SHARED_CACHE (used when the shared cache
was requested), also set CC="$PTHREAD_CC" as documented by ax_pthread
(autoconf-archive). This is not guaranteed to work, but according to
the ax_pthread.m4 source, in the cases where "$PTHREAD_CC" != "$CC",
not setting it will probably not work either.
------------------------------------------------------------------------
r13390 | vlefevre | 2019-01-09 10:20:54 +0000 (Wed, 09 Jan 2019) | 2 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Added a comment about the cache-related types, which
depend on the locking methods.
------------------------------------------------------------------------
r13385 | vlefevre | 2019-01-08 13:29:14 +0000 (Tue, 08 Jan 2019) | 2 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Updated comment about GCC bug 86554: now fixed in
the GCC trunk.
------------------------------------------------------------------------
r13383 | vlefevre | 2019-01-07 16:10:18 +0000 (Mon, 07 Jan 2019) | 2 lines
Changed paths:
   M /trunk/tests/Makefile.am

[tests/Makefile.am] Replaced "env -u DISPLAY" by "env DISPLAY=''" as
the -u option is not supported by NetBSD.
------------------------------------------------------------------------
r13380 | vlefevre | 2019-01-07 15:17:11 +0000 (Mon, 07 Jan 2019) | 4 lines
Changed paths:
   M /trunk/COPYING
   M /trunk/COPYING.LESSER

Updated files:
  * COPYING from https://www.gnu.org/licenses/gpl-3.0.txt
  * COPYING.LESSER from https://www.gnu.org/licenses/lgpl-3.0.txt
These are URL updates and cosmetic changes.
------------------------------------------------------------------------
r13378 | vlefevre | 2019-01-07 14:26:23 +0000 (Mon, 07 Jan 2019) | 4 lines
Changed paths:
   M /trunk/ChangeLog

ChangeLog update with "LC_ALL=en_US.UTF8 TZ=UTC0 svn log -rHEAD:0 -v".
Note: For r5400, this changes an incorrect update done via r13372 back
to the old log message, as the URL in this log message here describes
a change in one of the files.
------------------------------------------------------------------------
r13376 | vlefevre | 2019-01-07 14:05:06 +0000 (Mon, 07 Jan 2019) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Updated some URL's (http → https).
------------------------------------------------------------------------
r13374 | vlefevre | 2019-01-07 13:56:16 +0000 (Mon, 07 Jan 2019) | 1 line
Changed paths:
   M /trunk/doc/texinfo.tex

[doc/texinfo.tex] Update to 2018-02-12.17 with "autoreconf -i -f".
------------------------------------------------------------------------
r13372 | vlefevre | 2019-01-07 13:49:57 +0000 (Mon, 07 Jan 2019) | 3 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/COPYING
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/NEWS
   M /trunk/README
   M /trunk/TODO
   M /trunk/acinclude.m4
   M /trunk/configure.ac
   M /trunk/doc/FAQ.html
   M /trunk/doc/README.dev
   M /trunk/doc/faq.xsl
   M /trunk/doc/fdl.texi
   M /trunk/examples/can_round.c
   M /trunk/examples/divworst.c
   M /trunk/examples/rndo-add.c
   M /trunk/examples/sample.c
   M /trunk/examples/threads.c
   M /trunk/examples/version.c
   M /trunk/src/abort_prec_max.c
   M /trunk/src/acos.c
   M /trunk/src/acosh.c
   M /trunk/src/add.c
   M /trunk/src/add1.c
   M /trunk/src/add1sp.c
   M /trunk/src/add1sp1_extracted.c
   M /trunk/src/add_d.c
   M /trunk/src/add_ui.c
   M /trunk/src/agm.c
   M /trunk/src/ai.c
   M /trunk/src/amd/mparam.h
   M /trunk/src/arm/mparam.h
   M /trunk/src/asin.c
   M /trunk/src/asinh.c
   M /trunk/src/atan.c
   M /trunk/src/atan2.c
   M /trunk/src/atanh.c
   M /trunk/src/bernoulli.c
   M /trunk/src/beta.c
   M /trunk/src/buildopt.c
   M /trunk/src/cache.c
   M /trunk/src/cbrt.c
   M /trunk/src/check.c
   M /trunk/src/clear.c
   M /trunk/src/clears.c
   M /trunk/src/cmp.c
   M /trunk/src/cmp2.c
   M /trunk/src/cmp_abs.c
   M /trunk/src/cmp_d.c
   M /trunk/src/cmp_ld.c
   M /trunk/src/cmp_si.c
   M /trunk/src/cmp_ui.c
   M /trunk/src/comparisons.c
   M /trunk/src/const_catalan.c
   M /trunk/src/const_euler.c
   M /trunk/src/const_log2.c
   M /trunk/src/const_pi.c
   M /trunk/src/constant.c
   M /trunk/src/copysign.c
   M /trunk/src/cos.c
   M /trunk/src/cosh.c
   M /trunk/src/cot.c
   M /trunk/src/coth.c
   M /trunk/src/csc.c
   M /trunk/src/csch.c
   M /trunk/src/d_div.c
   M /trunk/src/d_sub.c
   M /trunk/src/digamma.c
   M /trunk/src/dim.c
   M /trunk/src/div.c
   M /trunk/src/div_2exp.c
   M /trunk/src/div_2si.c
   M /trunk/src/div_2ui.c
   M /trunk/src/div_d.c
   M /trunk/src/div_ui.c
   M /trunk/src/dot.c
   M /trunk/src/dump.c
   M /trunk/src/eint.c
   M /trunk/src/eq.c
   M /trunk/src/erandom.c
   M /trunk/src/erf.c
   M /trunk/src/erfc.c
   M /trunk/src/exceptions.c
   M /trunk/src/exp.c
   M /trunk/src/exp10.c
   M /trunk/src/exp2.c
   M /trunk/src/exp3.c
   M /trunk/src/exp_2.c
   M /trunk/src/expm1.c
   M /trunk/src/extract.c
   M /trunk/src/factorial.c
   M /trunk/src/fits_intmax.c
   M /trunk/src/fits_s.h
   M /trunk/src/fits_sint.c
   M /trunk/src/fits_slong.c
   M /trunk/src/fits_sshort.c
   M /trunk/src/fits_u.h
   M /trunk/src/fits_uint.c
   M /trunk/src/fits_uintmax.c
   M /trunk/src/fits_ulong.c
   M /trunk/src/fits_ushort.c
   M /trunk/src/fma.c
   M /trunk/src/fmma.c
   M /trunk/src/fms.c
   M /trunk/src/fpif.c
   M /trunk/src/frac.c
   M /trunk/src/free_cache.c
   M /trunk/src/frexp.c
   M /trunk/src/gamma.c
   M /trunk/src/gamma_inc.c
   M /trunk/src/gammaonethird.c
   M /trunk/src/gen_inverse.h
   M /trunk/src/generic/coverage/mparam.h
   M /trunk/src/generic/mparam.h
   M /trunk/src/get_d.c
   M /trunk/src/get_d128.c
   M /trunk/src/get_d64.c
   M /trunk/src/get_exp.c
   M /trunk/src/get_f.c
   M /trunk/src/get_float128.c
   M /trunk/src/get_flt.c
   M /trunk/src/get_ld.c
   M /trunk/src/get_q.c
   M /trunk/src/get_si.c
   M /trunk/src/get_sj.c
   M /trunk/src/get_str.c
   M /trunk/src/get_ui.c
   M /trunk/src/get_uj.c
   M /trunk/src/get_z.c
   M /trunk/src/get_z_exp.c
   M /trunk/src/gmp_op.c
   M /trunk/src/grandom.c
   M /trunk/src/hypot.c
   M /trunk/src/ieee_floats.h
   M /trunk/src/init.c
   M /trunk/src/init2.c
   M /trunk/src/inits.c
   M /trunk/src/inits2.c
   M /trunk/src/inp_str.c
   M /trunk/src/int_ceil_log2.c
   M /trunk/src/invert_limb.h
   M /trunk/src/invsqrt_limb.h
   M /trunk/src/isinf.c
   M /trunk/src/isinteger.c
   M /trunk/src/isnan.c
   M /trunk/src/isnum.c
   M /trunk/src/isqrt.c
   M /trunk/src/isregular.c
   M /trunk/src/iszero.c
   M /trunk/src/jn.c
   M /trunk/src/jyn_asympt.c
   M /trunk/src/li2.c
   M /trunk/src/lngamma.c
   M /trunk/src/log.c
   M /trunk/src/log10.c
   M /trunk/src/log1p.c
   M /trunk/src/log2.c
   M /trunk/src/log_ui.c
   M /trunk/src/logging.c
   M /trunk/src/min_prec.c
   M /trunk/src/minmax.c
   M /trunk/src/mips/mparam.h
   M /trunk/src/modf.c
   M /trunk/src/mp_clz_tab.c
   M /trunk/src/mparam_h.in
   M /trunk/src/mpf2mpfr.h
   M /trunk/src/mpfr-cvers.h
   M /trunk/src/mpfr-gmp.c
   M /trunk/src/mpfr-gmp.h
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr-intmax.h
   M /trunk/src/mpfr-longlong.h
   M /trunk/src/mpfr-mini-gmp.c
   M /trunk/src/mpfr-mini-gmp.h
   M /trunk/src/mpfr-sassert.h
   M /trunk/src/mpfr-thread.h
   M /trunk/src/mpfr.h
   M /trunk/src/mpn_exp.c
   M /trunk/src/mul.c
   M /trunk/src/mul_1_extracted.c
   M /trunk/src/mul_2exp.c
   M /trunk/src/mul_2si.c
   M /trunk/src/mul_2ui.c
   M /trunk/src/mul_d.c
   M /trunk/src/mul_ui.c
   M /trunk/src/mulders.c
   M /trunk/src/nbits_ulong.c
   M /trunk/src/neg.c
   M /trunk/src/next.c
   M /trunk/src/nrandom.c
   M /trunk/src/odd_p.c
   M /trunk/src/out_str.c
   M /trunk/src/pool.c
   M /trunk/src/pow.c
   M /trunk/src/pow_si.c
   M /trunk/src/pow_ui.c
   M /trunk/src/pow_z.c
   M /trunk/src/powerof2.c
   M /trunk/src/powerpc64/mparam.h
   M /trunk/src/print_raw.c
   M /trunk/src/print_rnd_mode.c
   M /trunk/src/printf.c
   M /trunk/src/random_deviate.c
   M /trunk/src/random_deviate.h
   M /trunk/src/rec_sqrt.c
   M /trunk/src/reldiff.c
   M /trunk/src/rem1.c
   M /trunk/src/rint.c
   M /trunk/src/rndna.c
   M /trunk/src/root.c
   M /trunk/src/round_near_x.c
   M /trunk/src/round_p.c
   M /trunk/src/round_prec.c
   M /trunk/src/round_raw_generic.c
   M /trunk/src/scale2.c
   M /trunk/src/sec.c
   M /trunk/src/sech.c
   M /trunk/src/set.c
   M /trunk/src/set_d.c
   M /trunk/src/set_d128.c
   M /trunk/src/set_d64.c
   M /trunk/src/set_dfl_prec.c
   M /trunk/src/set_exp.c
   M /trunk/src/set_f.c
   M /trunk/src/set_float128.c
   M /trunk/src/set_flt.c
   M /trunk/src/set_inf.c
   M /trunk/src/set_ld.c
   M /trunk/src/set_nan.c
   M /trunk/src/set_prc_raw.c
   M /trunk/src/set_prec.c
   M /trunk/src/set_q.c
   M /trunk/src/set_rnd.c
   M /trunk/src/set_si.c
   M /trunk/src/set_si_2exp.c
   M /trunk/src/set_sj.c
   M /trunk/src/set_str.c
   M /trunk/src/set_str_raw.c
   M /trunk/src/set_ui.c
   M /trunk/src/set_ui_2exp.c
   M /trunk/src/set_uj.c
   M /trunk/src/set_z.c
   M /trunk/src/set_z_exp.c
   M /trunk/src/set_zero.c
   M /trunk/src/setmax.c
   M /trunk/src/setmin.c
   M /trunk/src/setsign.c
   M /trunk/src/sgn.c
   M /trunk/src/si_op.c
   M /trunk/src/signbit.c
   M /trunk/src/sin.c
   M /trunk/src/sin_cos.c
   M /trunk/src/sinh.c
   M /trunk/src/sinh_cosh.c
   M /trunk/src/sparc64/mparam.h
   M /trunk/src/sqr.c
   M /trunk/src/sqrt.c
   M /trunk/src/sqrt_ui.c
   M /trunk/src/stack_interface.c
   M /trunk/src/strtofr.c
   M /trunk/src/sub.c
   M /trunk/src/sub1.c
   M /trunk/src/sub1sp.c
   M /trunk/src/sub_d.c
   M /trunk/src/sub_ui.c
   M /trunk/src/subnormal.c
   M /trunk/src/sum.c
   M /trunk/src/swap.c
   M /trunk/src/tan.c
   M /trunk/src/tanh.c
   M /trunk/src/total_order.c
   M /trunk/src/ubf.c
   M /trunk/src/uceil_exp2.c
   M /trunk/src/uceil_log2.c
   M /trunk/src/ufloor_log2.c
   M /trunk/src/ui_div.c
   M /trunk/src/ui_pow.c
   M /trunk/src/ui_pow_ui.c
   M /trunk/src/ui_sub.c
   M /trunk/src/urandom.c
   M /trunk/src/urandomb.c
   M /trunk/src/vasprintf.c
   M /trunk/src/version.c
   M /trunk/src/volatile.c
   M /trunk/src/x86/mparam.h
   M /trunk/src/x86_64/core2/mparam.h
   M /trunk/src/x86_64/mparam.h
   M /trunk/src/yn.c
   M /trunk/src/zeta.c
   M /trunk/src/zeta_ui.c
   M /trunk/tests/Makefile.am
   M /trunk/tests/cmp_str.c
   M /trunk/tests/data/digamma
   M /trunk/tests/data/li2
   M /trunk/tests/memory.c
   M /trunk/tests/mpf_compat.c
   M /trunk/tests/mpf_compat.h
   M /trunk/tests/mpfr-test.h
   M /trunk/tests/mpfr_compat.c
   M /trunk/tests/random2.c
   M /trunk/tests/reuse.c
   M /trunk/tests/rnd_mode.c
   M /trunk/tests/tabort_defalloc1.c
   M /trunk/tests/tabort_defalloc2.c
   M /trunk/tests/tabort_prec_max.c
   M /trunk/tests/tabs.c
   M /trunk/tests/tacos.c
   M /trunk/tests/tacosh.c
   M /trunk/tests/tadd.c
   M /trunk/tests/tadd1sp.c
   M /trunk/tests/tadd_d.c
   M /trunk/tests/tadd_ui.c
   M /trunk/tests/tagm.c
   M /trunk/tests/tai.c
   M /trunk/tests/talloc-cache.c
   M /trunk/tests/talloc.c
   M /trunk/tests/tasin.c
   M /trunk/tests/tasinh.c
   M /trunk/tests/tassert.c
   M /trunk/tests/tatan.c
   M /trunk/tests/tatanh.c
   M /trunk/tests/taway.c
   M /trunk/tests/tbeta.c
   M /trunk/tests/tbuildopt.c
   M /trunk/tests/tcan_round.c
   M /trunk/tests/tcbrt.c
   M /trunk/tests/tcheck.c
   M /trunk/tests/tcmp.c
   M /trunk/tests/tcmp2.c
   M /trunk/tests/tcmp_d.c
   M /trunk/tests/tcmp_ld.c
   M /trunk/tests/tcmp_ui.c
   M /trunk/tests/tcmpabs.c
   M /trunk/tests/tcomparisons.c
   M /trunk/tests/tconst_catalan.c
   M /trunk/tests/tconst_euler.c
   M /trunk/tests/tconst_log2.c
   M /trunk/tests/tconst_pi.c
   M /trunk/tests/tcopysign.c
   M /trunk/tests/tcos.c
   M /trunk/tests/tcosh.c
   M /trunk/tests/tcot.c
   M /trunk/tests/tcoth.c
   M /trunk/tests/tcsc.c
   M /trunk/tests/tcsch.c
   M /trunk/tests/td_div.c
   M /trunk/tests/td_sub.c
   M /trunk/tests/tdigamma.c
   M /trunk/tests/tdim.c
   M /trunk/tests/tdiv.c
   M /trunk/tests/tdiv_d.c
   M /trunk/tests/tdiv_ui.c
   M /trunk/tests/tdot.c
   M /trunk/tests/teint.c
   M /trunk/tests/teq.c
   M /trunk/tests/terandom.c
   M /trunk/tests/terandom_chisq.c
   M /trunk/tests/terf.c
   M /trunk/tests/tests.c
   M /trunk/tests/texceptions.c
   M /trunk/tests/texp.c
   M /trunk/tests/texp10.c
   M /trunk/tests/texp2.c
   M /trunk/tests/texpm1.c
   M /trunk/tests/tfactorial.c
   M /trunk/tests/tfits.c
   M /trunk/tests/tfma.c
   M /trunk/tests/tfmma.c
   M /trunk/tests/tfmod.c
   M /trunk/tests/tfms.c
   M /trunk/tests/tfpif.c
   M /trunk/tests/tfprintf.c
   M /trunk/tests/tfrac.c
   M /trunk/tests/tfrexp.c
   M /trunk/tests/tgamma.c
   M /trunk/tests/tgamma_inc.c
   M /trunk/tests/tgeneric.c
   M /trunk/tests/tgeneric_ui.c
   M /trunk/tests/tget_d.c
   M /trunk/tests/tget_d_2exp.c
   M /trunk/tests/tget_f.c
   M /trunk/tests/tget_flt.c
   M /trunk/tests/tget_ld_2exp.c
   M /trunk/tests/tget_q.c
   M /trunk/tests/tget_set_d128.c
   M /trunk/tests/tget_set_d64.c
   M /trunk/tests/tget_sj.c
   M /trunk/tests/tget_str.c
   M /trunk/tests/tget_z.c
   M /trunk/tests/tgmpop.c
   M /trunk/tests/tgrandom.c
   M /trunk/tests/thyperbolic.c
   M /trunk/tests/thypot.c
   M /trunk/tests/tinits.c
   M /trunk/tests/tinp_str.c
   M /trunk/tests/tinternals.c
   M /trunk/tests/tisnan.c
   M /trunk/tests/tisqrt.c
   M /trunk/tests/tj0.c
   M /trunk/tests/tj1.c
   M /trunk/tests/tjn.c
   M /trunk/tests/tl2b.c
   M /trunk/tests/tlgamma.c
   M /trunk/tests/tli2.c
   M /trunk/tests/tlngamma.c
   M /trunk/tests/tlog.c
   M /trunk/tests/tlog10.c
   M /trunk/tests/tlog1p.c
   M /trunk/tests/tlog2.c
   M /trunk/tests/tlog_ui.c
   M /trunk/tests/tmin_prec.c
   M /trunk/tests/tminmax.c
   M /trunk/tests/tmodf.c
   M /trunk/tests/tmul.c
   M /trunk/tests/tmul_2exp.c
   M /trunk/tests/tmul_d.c
   M /trunk/tests/tmul_ui.c
   M /trunk/tests/tnext.c
   M /trunk/tests/tnrandom.c
   M /trunk/tests/tnrandom_chisq.c
   M /trunk/tests/tout_str.c
   M /trunk/tests/toutimpl.c
   M /trunk/tests/tpow.c
   M /trunk/tests/tpow3.c
   M /trunk/tests/tpow_all.c
   M /trunk/tests/tpow_z.c
   M /trunk/tests/tprec_round.c
   M /trunk/tests/tprintf.c
   M /trunk/tests/trandom.c
   M /trunk/tests/trandom_deviate.c
   M /trunk/tests/trec_sqrt.c
   M /trunk/tests/tremquo.c
   M /trunk/tests/trint.c
   M /trunk/tests/trndna.c
   M /trunk/tests/troot.c
   M /trunk/tests/trootn_ui.c
   M /trunk/tests/tsec.c
   M /trunk/tests/tsech.c
   M /trunk/tests/tset.c
   M /trunk/tests/tset_d.c
   M /trunk/tests/tset_exp.c
   M /trunk/tests/tset_f.c
   M /trunk/tests/tset_float128.c
   M /trunk/tests/tset_ld.c
   M /trunk/tests/tset_q.c
   M /trunk/tests/tset_si.c
   M /trunk/tests/tset_sj.c
   M /trunk/tests/tset_str.c
   M /trunk/tests/tset_z.c
   M /trunk/tests/tset_z_exp.c
   M /trunk/tests/tsgn.c
   M /trunk/tests/tsi_op.c
   M /trunk/tests/tsin.c
   M /trunk/tests/tsin_cos.c
   M /trunk/tests/tsinh.c
   M /trunk/tests/tsinh_cosh.c
   M /trunk/tests/tsprintf.c
   M /trunk/tests/tsqr.c
   M /trunk/tests/tsqrt.c
   M /trunk/tests/tsqrt_ui.c
   M /trunk/tests/tstckintc.c
   M /trunk/tests/tstdint.c
   M /trunk/tests/tstrtofr.c
   M /trunk/tests/tsub.c
   M /trunk/tests/tsub1sp.c
   M /trunk/tests/tsub_d.c
   M /trunk/tests/tsub_ui.c
   M /trunk/tests/tsubnormal.c
   M /trunk/tests/tsum.c
   M /trunk/tests/tswap.c
   M /trunk/tests/ttan.c
   M /trunk/tests/ttanh.c
   M /trunk/tests/ttotal_order.c
   M /trunk/tests/ttrunc.c
   M /trunk/tests/tui_div.c
   M /trunk/tests/tui_pow.c
   M /trunk/tests/tui_sub.c
   M /trunk/tests/turandom.c
   M /trunk/tests/tvalist.c
   M /trunk/tests/tversion.c
   M /trunk/tests/ty0.c
   M /trunk/tests/ty1.c
   M /trunk/tests/tyn.c
   M /trunk/tests/tzeta.c
   M /trunk/tests/tzeta_ui.c
   M /trunk/tools/bench/benchtime.h
   M /trunk/tools/bench/mpfrbench.c
   M /trunk/tools/check_mparam.c
   M /trunk/tools/get_patches.sh
   M /trunk/tools/mbench/generate.c
   M /trunk/tools/mbench/mfv5-arprec.cc
   M /trunk/tools/mbench/mfv5-cln.cc
   M /trunk/tools/mbench/mfv5-crlibm.cc
   M /trunk/tools/mbench/mfv5-libc.cc
   M /trunk/tools/mbench/mfv5-lidia.cc
   M /trunk/tools/mbench/mfv5-mpf.cc
   M /trunk/tools/mbench/mfv5-mpfr.cc
   M /trunk/tools/mbench/mfv5-ntl.cc
   M /trunk/tools/mbench/mfv5-pari.cc
   M /trunk/tools/mbench/mfv5-void.cc
   M /trunk/tools/mbench/mfv5.cc
   M /trunk/tools/mbench/mfv5.h
   M /trunk/tools/mbench/mpfr-gfx.c
   M /trunk/tools/mbench/mpfr-v4.c
   M /trunk/tools/mbench/mpfr-v6.c
   M /trunk/tools/mbench/timp.h
   M /trunk/tools/timings-mpfr.c
   M /trunk/tune/bidimensional_sample.c
   M /trunk/tune/speed.c
   M /trunk/tune/tuneup.c

Updated the www.gnu.org URL's (http → https) on all the files with:
  perl -pi -e 's,http://www.gnu.org/,https://www.gnu.org/,g' **/*(.)
under zsh.
------------------------------------------------------------------------
r13365 | vlefevre | 2019-01-07 01:11:12 +0000 (Mon, 07 Jan 2019) | 3 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Updated comment about GCC bug 86554: the MPFR build
is still affected with the latest gcc-snapshot version (20190102-1)
when using --with-gmp-build=... together with --enable-assert.
------------------------------------------------------------------------
r13364 | vlefevre | 2019-01-04 13:49:39 +0000 (Fri, 04 Jan 2019) | 2 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Added a comment about GCC bug 86554: the MPFR build
seems no longer affected by recent gcc-snapshot versions.
------------------------------------------------------------------------
r13361 | vlefevre | 2019-01-01 21:17:19 +0000 (Tue, 01 Jan 2019) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13359 | vlefevre | 2019-01-01 20:56:06 +0000 (Tue, 01 Jan 2019) | 4 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/INSTALL
   M /trunk/Makefile.am
   M /trunk/NEWS
   M /trunk/README
   M /trunk/TODO
   M /trunk/acinclude.m4
   M /trunk/configure.ac
   M /trunk/doc/FAQ.html
   M /trunk/doc/Makefile.am
   M /trunk/doc/README.dev
   M /trunk/doc/check-typography
   M /trunk/doc/faq.xsl
   M /trunk/doc/mpfr.texi
   M /trunk/examples/can_round.c
   M /trunk/examples/divworst.c
   M /trunk/examples/rndo-add.c
   M /trunk/examples/sample.c
   M /trunk/examples/threads.c
   M /trunk/examples/version.c
   M /trunk/src/Makefile.am
   M /trunk/src/abort_prec_max.c
   M /trunk/src/acos.c
   M /trunk/src/acosh.c
   M /trunk/src/add.c
   M /trunk/src/add1.c
   M /trunk/src/add1sp.c
   M /trunk/src/add1sp1_extracted.c
   M /trunk/src/add_d.c
   M /trunk/src/add_ui.c
   M /trunk/src/agm.c
   M /trunk/src/ai.c
   M /trunk/src/amd/mparam.h
   M /trunk/src/arm/mparam.h
   M /trunk/src/asin.c
   M /trunk/src/asinh.c
   M /trunk/src/atan.c
   M /trunk/src/atan2.c
   M /trunk/src/atanh.c
   M /trunk/src/bernoulli.c
   M /trunk/src/beta.c
   M /trunk/src/buildopt.c
   M /trunk/src/cache.c
   M /trunk/src/cbrt.c
   M /trunk/src/check.c
   M /trunk/src/clear.c
   M /trunk/src/clears.c
   M /trunk/src/cmp.c
   M /trunk/src/cmp2.c
   M /trunk/src/cmp_abs.c
   M /trunk/src/cmp_d.c
   M /trunk/src/cmp_ld.c
   M /trunk/src/cmp_si.c
   M /trunk/src/cmp_ui.c
   M /trunk/src/comparisons.c
   M /trunk/src/const_catalan.c
   M /trunk/src/const_euler.c
   M /trunk/src/const_log2.c
   M /trunk/src/const_pi.c
   M /trunk/src/constant.c
   M /trunk/src/copysign.c
   M /trunk/src/cos.c
   M /trunk/src/cosh.c
   M /trunk/src/cot.c
   M /trunk/src/coth.c
   M /trunk/src/csc.c
   M /trunk/src/csch.c
   M /trunk/src/d_div.c
   M /trunk/src/d_sub.c
   M /trunk/src/digamma.c
   M /trunk/src/dim.c
   M /trunk/src/div.c
   M /trunk/src/div_2exp.c
   M /trunk/src/div_2si.c
   M /trunk/src/div_2ui.c
   M /trunk/src/div_d.c
   M /trunk/src/div_ui.c
   M /trunk/src/dot.c
   M /trunk/src/dump.c
   M /trunk/src/eint.c
   M /trunk/src/eq.c
   M /trunk/src/erandom.c
   M /trunk/src/erf.c
   M /trunk/src/erfc.c
   M /trunk/src/exceptions.c
   M /trunk/src/exp.c
   M /trunk/src/exp10.c
   M /trunk/src/exp2.c
   M /trunk/src/exp3.c
   M /trunk/src/exp_2.c
   M /trunk/src/expm1.c
   M /trunk/src/extract.c
   M /trunk/src/factorial.c
   M /trunk/src/fits_intmax.c
   M /trunk/src/fits_s.h
   M /trunk/src/fits_sint.c
   M /trunk/src/fits_slong.c
   M /trunk/src/fits_sshort.c
   M /trunk/src/fits_u.h
   M /trunk/src/fits_uint.c
   M /trunk/src/fits_uintmax.c
   M /trunk/src/fits_ulong.c
   M /trunk/src/fits_ushort.c
   M /trunk/src/fma.c
   M /trunk/src/fmma.c
   M /trunk/src/fms.c
   M /trunk/src/fpif.c
   M /trunk/src/frac.c
   M /trunk/src/free_cache.c
   M /trunk/src/frexp.c
   M /trunk/src/gamma.c
   M /trunk/src/gamma_inc.c
   M /trunk/src/gammaonethird.c
   M /trunk/src/gen_inverse.h
   M /trunk/src/generic/coverage/mparam.h
   M /trunk/src/generic/mparam.h
   M /trunk/src/get_d.c
   M /trunk/src/get_d128.c
   M /trunk/src/get_d64.c
   M /trunk/src/get_exp.c
   M /trunk/src/get_f.c
   M /trunk/src/get_float128.c
   M /trunk/src/get_flt.c
   M /trunk/src/get_ld.c
   M /trunk/src/get_q.c
   M /trunk/src/get_si.c
   M /trunk/src/get_sj.c
   M /trunk/src/get_str.c
   M /trunk/src/get_ui.c
   M /trunk/src/get_uj.c
   M /trunk/src/get_z.c
   M /trunk/src/get_z_exp.c
   M /trunk/src/gmp_op.c
   M /trunk/src/grandom.c
   M /trunk/src/hypot.c
   M /trunk/src/ieee_floats.h
   M /trunk/src/init.c
   M /trunk/src/init2.c
   M /trunk/src/inits.c
   M /trunk/src/inits2.c
   M /trunk/src/inp_str.c
   M /trunk/src/int_ceil_log2.c
   M /trunk/src/invert_limb.h
   M /trunk/src/invsqrt_limb.h
   M /trunk/src/isinf.c
   M /trunk/src/isinteger.c
   M /trunk/src/isnan.c
   M /trunk/src/isnum.c
   M /trunk/src/isqrt.c
   M /trunk/src/isregular.c
   M /trunk/src/iszero.c
   M /trunk/src/jn.c
   M /trunk/src/jyn_asympt.c
   M /trunk/src/li2.c
   M /trunk/src/lngamma.c
   M /trunk/src/log.c
   M /trunk/src/log10.c
   M /trunk/src/log1p.c
   M /trunk/src/log2.c
   M /trunk/src/log_ui.c
   M /trunk/src/logging.c
   M /trunk/src/min_prec.c
   M /trunk/src/minmax.c
   M /trunk/src/mips/mparam.h
   M /trunk/src/modf.c
   M /trunk/src/mp_clz_tab.c
   M /trunk/src/mparam_h.in
   M /trunk/src/mpf2mpfr.h
   M /trunk/src/mpfr-cvers.h
   M /trunk/src/mpfr-gmp.c
   M /trunk/src/mpfr-gmp.h
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr-intmax.h
   M /trunk/src/mpfr-longlong.h
   M /trunk/src/mpfr-mini-gmp.c
   M /trunk/src/mpfr-mini-gmp.h
   M /trunk/src/mpfr-sassert.h
   M /trunk/src/mpfr-thread.h
   M /trunk/src/mpfr.h
   M /trunk/src/mpn_exp.c
   M /trunk/src/mul.c
   M /trunk/src/mul_1_extracted.c
   M /trunk/src/mul_2exp.c
   M /trunk/src/mul_2si.c
   M /trunk/src/mul_2ui.c
   M /trunk/src/mul_d.c
   M /trunk/src/mul_ui.c
   M /trunk/src/mulders.c
   M /trunk/src/nbits_ulong.c
   M /trunk/src/neg.c
   M /trunk/src/next.c
   M /trunk/src/nrandom.c
   M /trunk/src/odd_p.c
   M /trunk/src/out_str.c
   M /trunk/src/pool.c
   M /trunk/src/pow.c
   M /trunk/src/pow_si.c
   M /trunk/src/pow_ui.c
   M /trunk/src/pow_z.c
   M /trunk/src/powerof2.c
   M /trunk/src/powerpc64/mparam.h
   M /trunk/src/print_raw.c
   M /trunk/src/print_rnd_mode.c
   M /trunk/src/printf.c
   M /trunk/src/random_deviate.c
   M /trunk/src/random_deviate.h
   M /trunk/src/rec_sqrt.c
   M /trunk/src/reldiff.c
   M /trunk/src/rem1.c
   M /trunk/src/rint.c
   M /trunk/src/rndna.c
   M /trunk/src/root.c
   M /trunk/src/round_near_x.c
   M /trunk/src/round_p.c
   M /trunk/src/round_prec.c
   M /trunk/src/round_raw_generic.c
   M /trunk/src/scale2.c
   M /trunk/src/sec.c
   M /trunk/src/sech.c
   M /trunk/src/set.c
   M /trunk/src/set_d.c
   M /trunk/src/set_d128.c
   M /trunk/src/set_d64.c
   M /trunk/src/set_dfl_prec.c
   M /trunk/src/set_exp.c
   M /trunk/src/set_f.c
   M /trunk/src/set_float128.c
   M /trunk/src/set_flt.c
   M /trunk/src/set_inf.c
   M /trunk/src/set_ld.c
   M /trunk/src/set_nan.c
   M /trunk/src/set_prc_raw.c
   M /trunk/src/set_prec.c
   M /trunk/src/set_q.c
   M /trunk/src/set_rnd.c
   M /trunk/src/set_si.c
   M /trunk/src/set_si_2exp.c
   M /trunk/src/set_sj.c
   M /trunk/src/set_str.c
   M /trunk/src/set_str_raw.c
   M /trunk/src/set_ui.c
   M /trunk/src/set_ui_2exp.c
   M /trunk/src/set_uj.c
   M /trunk/src/set_z.c
   M /trunk/src/set_z_exp.c
   M /trunk/src/set_zero.c
   M /trunk/src/setmax.c
   M /trunk/src/setmin.c
   M /trunk/src/setsign.c
   M /trunk/src/sgn.c
   M /trunk/src/si_op.c
   M /trunk/src/signbit.c
   M /trunk/src/sin.c
   M /trunk/src/sin_cos.c
   M /trunk/src/sinh.c
   M /trunk/src/sinh_cosh.c
   M /trunk/src/sparc64/mparam.h
   M /trunk/src/sqr.c
   M /trunk/src/sqrt.c
   M /trunk/src/sqrt_ui.c
   M /trunk/src/stack_interface.c
   M /trunk/src/strtofr.c
   M /trunk/src/sub.c
   M /trunk/src/sub1.c
   M /trunk/src/sub1sp.c
   M /trunk/src/sub_d.c
   M /trunk/src/sub_ui.c
   M /trunk/src/subnormal.c
   M /trunk/src/sum.c
   M /trunk/src/swap.c
   M /trunk/src/tan.c
   M /trunk/src/tanh.c
   M /trunk/src/total_order.c
   M /trunk/src/ubf.c
   M /trunk/src/uceil_exp2.c
   M /trunk/src/uceil_log2.c
   M /trunk/src/ufloor_log2.c
   M /trunk/src/ui_div.c
   M /trunk/src/ui_pow.c
   M /trunk/src/ui_pow_ui.c
   M /trunk/src/ui_sub.c
   M /trunk/src/urandom.c
   M /trunk/src/urandomb.c
   M /trunk/src/vasprintf.c
   M /trunk/src/version.c
   M /trunk/src/volatile.c
   M /trunk/src/x86/mparam.h
   M /trunk/src/x86_64/core2/mparam.h
   M /trunk/src/x86_64/mparam.h
   M /trunk/src/yn.c
   M /trunk/src/zeta.c
   M /trunk/src/zeta_ui.c
   M /trunk/tests/Makefile.am
   M /trunk/tests/cmp_str.c
   M /trunk/tests/data/digamma
   M /trunk/tests/data/li2
   M /trunk/tests/memory.c
   M /trunk/tests/mpf_compat.c
   M /trunk/tests/mpf_compat.h
   M /trunk/tests/mpfr-test.h
   M /trunk/tests/mpfr_compat.c
   M /trunk/tests/random2.c
   M /trunk/tests/reuse.c
   M /trunk/tests/rnd_mode.c
   M /trunk/tests/tabort_defalloc1.c
   M /trunk/tests/tabort_defalloc2.c
   M /trunk/tests/tabort_prec_max.c
   M /trunk/tests/tabs.c
   M /trunk/tests/tacos.c
   M /trunk/tests/tacosh.c
   M /trunk/tests/tadd.c
   M /trunk/tests/tadd1sp.c
   M /trunk/tests/tadd_d.c
   M /trunk/tests/tadd_ui.c
   M /trunk/tests/tagm.c
   M /trunk/tests/tai.c
   M /trunk/tests/talloc-cache.c
   M /trunk/tests/talloc.c
   M /trunk/tests/tasin.c
   M /trunk/tests/tasinh.c
   M /trunk/tests/tassert.c
   M /trunk/tests/tatan.c
   M /trunk/tests/tatanh.c
   M /trunk/tests/taway.c
   M /trunk/tests/tbeta.c
   M /trunk/tests/tbuildopt.c
   M /trunk/tests/tcan_round.c
   M /trunk/tests/tcbrt.c
   M /trunk/tests/tcheck.c
   M /trunk/tests/tcmp.c
   M /trunk/tests/tcmp2.c
   M /trunk/tests/tcmp_d.c
   M /trunk/tests/tcmp_ld.c
   M /trunk/tests/tcmp_ui.c
   M /trunk/tests/tcmpabs.c
   M /trunk/tests/tcomparisons.c
   M /trunk/tests/tconst_catalan.c
   M /trunk/tests/tconst_euler.c
   M /trunk/tests/tconst_log2.c
   M /trunk/tests/tconst_pi.c
   M /trunk/tests/tcopysign.c
   M /trunk/tests/tcos.c
   M /trunk/tests/tcosh.c
   M /trunk/tests/tcot.c
   M /trunk/tests/tcoth.c
   M /trunk/tests/tcsc.c
   M /trunk/tests/tcsch.c
   M /trunk/tests/td_div.c
   M /trunk/tests/td_sub.c
   M /trunk/tests/tdigamma.c
   M /trunk/tests/tdim.c
   M /trunk/tests/tdiv.c
   M /trunk/tests/tdiv_d.c
   M /trunk/tests/tdiv_ui.c
   M /trunk/tests/tdot.c
   M /trunk/tests/teint.c
   M /trunk/tests/teq.c
   M /trunk/tests/terandom.c
   M /trunk/tests/terandom_chisq.c
   M /trunk/tests/terf.c
   M /trunk/tests/tests.c
   M /trunk/tests/texceptions.c
   M /trunk/tests/texp.c
   M /trunk/tests/texp10.c
   M /trunk/tests/texp2.c
   M /trunk/tests/texpm1.c
   M /trunk/tests/tfactorial.c
   M /trunk/tests/tfits.c
   M /trunk/tests/tfma.c
   M /trunk/tests/tfmma.c
   M /trunk/tests/tfmod.c
   M /trunk/tests/tfms.c
   M /trunk/tests/tfpif.c
   M /trunk/tests/tfprintf.c
   M /trunk/tests/tfrac.c
   M /trunk/tests/tfrexp.c
   M /trunk/tests/tgamma.c
   M /trunk/tests/tgamma_inc.c
   M /trunk/tests/tgeneric.c
   M /trunk/tests/tgeneric_ui.c
   M /trunk/tests/tget_d.c
   M /trunk/tests/tget_d_2exp.c
   M /trunk/tests/tget_f.c
   M /trunk/tests/tget_flt.c
   M /trunk/tests/tget_ld_2exp.c
   M /trunk/tests/tget_q.c
   M /trunk/tests/tget_set_d128.c
   M /trunk/tests/tget_set_d64.c
   M /trunk/tests/tget_sj.c
   M /trunk/tests/tget_str.c
   M /trunk/tests/tget_z.c
   M /trunk/tests/tgmpop.c
   M /trunk/tests/tgrandom.c
   M /trunk/tests/thyperbolic.c
   M /trunk/tests/thypot.c
   M /trunk/tests/tinits.c
   M /trunk/tests/tinp_str.c
   M /trunk/tests/tinternals.c
   M /trunk/tests/tisnan.c
   M /trunk/tests/tisqrt.c
   M /trunk/tests/tj0.c
   M /trunk/tests/tj1.c
   M /trunk/tests/tjn.c
   M /trunk/tests/tl2b.c
   M /trunk/tests/tlgamma.c
   M /trunk/tests/tli2.c
   M /trunk/tests/tlngamma.c
   M /trunk/tests/tlog.c
   M /trunk/tests/tlog10.c
   M /trunk/tests/tlog1p.c
   M /trunk/tests/tlog2.c
   M /trunk/tests/tlog_ui.c
   M /trunk/tests/tmin_prec.c
   M /trunk/tests/tminmax.c
   M /trunk/tests/tmodf.c
   M /trunk/tests/tmul.c
   M /trunk/tests/tmul_2exp.c
   M /trunk/tests/tmul_d.c
   M /trunk/tests/tmul_ui.c
   M /trunk/tests/tnext.c
   M /trunk/tests/tnrandom.c
   M /trunk/tests/tnrandom_chisq.c
   M /trunk/tests/tout_str.c
   M /trunk/tests/toutimpl.c
   M /trunk/tests/tpow.c
   M /trunk/tests/tpow3.c
   M /trunk/tests/tpow_all.c
   M /trunk/tests/tpow_z.c
   M /trunk/tests/tprec_round.c
   M /trunk/tests/tprintf.c
   M /trunk/tests/trandom.c
   M /trunk/tests/trandom_deviate.c
   M /trunk/tests/trec_sqrt.c
   M /trunk/tests/tremquo.c
   M /trunk/tests/trint.c
   M /trunk/tests/trndna.c
   M /trunk/tests/troot.c
   M /trunk/tests/trootn_ui.c
   M /trunk/tests/tsec.c
   M /trunk/tests/tsech.c
   M /trunk/tests/tset.c
   M /trunk/tests/tset_d.c
   M /trunk/tests/tset_exp.c
   M /trunk/tests/tset_f.c
   M /trunk/tests/tset_float128.c
   M /trunk/tests/tset_ld.c
   M /trunk/tests/tset_q.c
   M /trunk/tests/tset_si.c
   M /trunk/tests/tset_sj.c
   M /trunk/tests/tset_str.c
   M /trunk/tests/tset_z.c
   M /trunk/tests/tset_z_exp.c
   M /trunk/tests/tsgn.c
   M /trunk/tests/tsi_op.c
   M /trunk/tests/tsin.c
   M /trunk/tests/tsin_cos.c
   M /trunk/tests/tsinh.c
   M /trunk/tests/tsinh_cosh.c
   M /trunk/tests/tsprintf.c
   M /trunk/tests/tsqr.c
   M /trunk/tests/tsqrt.c
   M /trunk/tests/tsqrt_ui.c
   M /trunk/tests/tstckintc.c
   M /trunk/tests/tstdint.c
   M /trunk/tests/tstrtofr.c
   M /trunk/tests/tsub.c
   M /trunk/tests/tsub1sp.c
   M /trunk/tests/tsub_d.c
   M /trunk/tests/tsub_ui.c
   M /trunk/tests/tsubnormal.c
   M /trunk/tests/tsum.c
   M /trunk/tests/tswap.c
   M /trunk/tests/ttan.c
   M /trunk/tests/ttanh.c
   M /trunk/tests/ttotal_order.c
   M /trunk/tests/ttrunc.c
   M /trunk/tests/tui_div.c
   M /trunk/tests/tui_pow.c
   M /trunk/tests/tui_sub.c
   M /trunk/tests/turandom.c
   M /trunk/tests/tvalist.c
   M /trunk/tests/tversion.c
   M /trunk/tests/ty0.c
   M /trunk/tests/ty1.c
   M /trunk/tests/tyn.c
   M /trunk/tests/tzeta.c
   M /trunk/tests/tzeta_ui.c
   M /trunk/tools/bench/Makefile.am
   M /trunk/tools/bench/benchtime.h
   M /trunk/tools/bench/mpfrbench.c
   M /trunk/tools/check_mparam.c
   M /trunk/tools/ck-clz_tab
   M /trunk/tools/ck-copyright-notice
   M /trunk/tools/ck-mparam
   M /trunk/tools/ck-news
   M /trunk/tools/ck-version-info
   M /trunk/tools/get_patches.sh
   M /trunk/tune/Makefile.am
   M /trunk/tune/bidimensional_sample.c
   M /trunk/tune/speed.c
   M /trunk/tune/tuneup.c

Copyright notice update: added 2019 with
  perl -pi -e 's/ (\d{4}-)?(2018)(?= Free Software)/
               " ".($1||"$2-").($2+1)/e' **/*(^/)
under zsh. Removed 2018 from the example in the doc/README.dev file.
------------------------------------------------------------------------
r13356 | vlefevre | 2018-12-31 03:36:15 +0000 (Mon, 31 Dec 2018) | 2 lines
Changed paths:
   M /trunk/tests/tfmma.c

[tests/tfmma.c] Added double_rounding test to trigger errors before
the fix in mpfr_set_1_2 (set.c r13347).
------------------------------------------------------------------------
r13355 | vlefevre | 2018-12-31 02:31:17 +0000 (Mon, 31 Dec 2018) | 1 line
Changed paths:
   M /trunk/src/set.c

[src/set.c] In mpfr_set_1_2, evaluate MPFR_PREC(s) just once.
------------------------------------------------------------------------
r13354 | vlefevre | 2018-12-31 02:19:23 +0000 (Mon, 31 Dec 2018) | 1 line
Changed paths:
   M /trunk/src/set.c

[src/set.c] Clarified the mpfr_set_1_2 description.
------------------------------------------------------------------------
r13353 | vlefevre | 2018-12-31 02:14:55 +0000 (Mon, 31 Dec 2018) | 4 lines
Changed paths:
   M /trunk/src/set.c

[src/set.c] For mpfr_set_1_2, corrected the comments and simplified the
generic algorithm (there is no need to distinguish the rounding modes,
except for the double-rounding test, and this simplification avoids the
non-portable inex | inex2).
------------------------------------------------------------------------
r13351 | vlefevre | 2018-12-20 13:49:07 +0000 (Thu, 20 Dec 2018) | 3 lines
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] Removed "#define GMP_LIMB_BITS 8": it is not used by
mini-gmp.h and yields a failure when building mini-gmp.c (which has
its own definition of GMP_LIMB_BITS, equivalent but not identical).
------------------------------------------------------------------------
r13350 | vlefevre | 2018-12-20 13:43:57 +0000 (Thu, 20 Dec 2018) | 3 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Support mini-gmp with reduced limb size, in the case
GMP_NUMB_BITS is not defined: guess GMP_NUMB_BITS from the size of
mp_limb_t instead of the size of unsigned long.
------------------------------------------------------------------------
r13349 | vlefevre | 2018-12-20 13:29:33 +0000 (Thu, 20 Dec 2018) | 2 lines
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] Correction to avoid a "conflicting types for 'mp_limb_t'"
error.
------------------------------------------------------------------------
r13348 | zimmerma | 2018-12-14 15:23:15 +0000 (Fri, 14 Dec 2018) | 3 lines
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] added note about using mini-gmp (development version) with
	       reduced limb size

------------------------------------------------------------------------
r13347 | zimmerma | 2018-12-14 14:39:48 +0000 (Fri, 14 Dec 2018) | 3 lines
Changed paths:
   M /trunk/src/set.c
   M /trunk/tests/tset.c

[src/set.c] fixed double-rounding bug in mpfr_set_1_2
[tests/tset.c] added corresponding tests

------------------------------------------------------------------------
r13346 | zimmerma | 2018-12-14 13:40:16 +0000 (Fri, 14 Dec 2018) | 2 lines
Changed paths:
   M /trunk/tests/tset.c

[tests/tset.c] added a test of test_set_1_2(), which currently fails

------------------------------------------------------------------------
r13345 | zimmerma | 2018-12-14 12:30:08 +0000 (Fri, 14 Dec 2018) | 2 lines
Changed paths:
   M /trunk/tests/tcan_round.c

[tests/tcan_round.c] disabled tests that don't agree with mpfr_can_round documentation

------------------------------------------------------------------------
r13344 | vlefevre | 2018-12-13 16:28:03 +0000 (Thu, 13 Dec 2018) | 1 line
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Updated a comment about ISO C vs POSIX for snprintf.
------------------------------------------------------------------------
r13343 | vlefevre | 2018-12-13 16:18:49 +0000 (Thu, 13 Dec 2018) | 1 line
Changed paths:
   M /trunk/tests/tsprintf.c

[tests/tsprintf.c] Updated a comment about ISO C vs POSIX for snprintf.
------------------------------------------------------------------------
r13342 | vlefevre | 2018-12-13 09:51:29 +0000 (Thu, 13 Dec 2018) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Added item: new functions mpfr_cmp_uj and mpfr_cmp_sj.
------------------------------------------------------------------------
r13341 | vlefevre | 2018-12-13 09:47:45 +0000 (Thu, 13 Dec 2018) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] Removed obsolete "check again coverage" from 2007.
------------------------------------------------------------------------
r13340 | zimmerma | 2018-12-13 09:15:46 +0000 (Thu, 13 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/sqr.c

[src/sqr.c] fixed same issue as in r13338 and r13339

------------------------------------------------------------------------
r13339 | zimmerma | 2018-12-13 09:01:38 +0000 (Thu, 13 Dec 2018) | 3 lines
Changed paths:
   M /trunk/src/mul.c

[src/mul.c] fixed bug in mpfr_mul() when sizeof(mp_limb_t) < sizeof(mpfr_exp_t)
	    (same issue as in r13338)

------------------------------------------------------------------------
r13338 | vlefevre | 2018-12-12 13:00:23 +0000 (Wed, 12 Dec 2018) | 5 lines
Changed paths:
   M /trunk/src/mul.c

[src/mul.c] For MPFR_WANT_ASSERT >= 2: minor changes in the code;
corrected a comment (even with mp_limb_t >= mpfr_exp_t, there was an
issue: the expression b1 - 1 + cc was computed in unsigned arithmetic,
then converted to mpfr_exp_t, with an implementation-defined result
when -1 was expected, i.e. with b1 = cc = 0).
------------------------------------------------------------------------
r13337 | vlefevre | 2018-12-12 12:30:25 +0000 (Wed, 12 Dec 2018) | 1 line
Changed paths:
   M /trunk/src/mul.c

[src/mul.c] Corrected a typo in a comment.
------------------------------------------------------------------------
r13336 | vlefevre | 2018-12-12 12:24:03 +0000 (Wed, 12 Dec 2018) | 1 line
Changed paths:
   M /trunk/src/mul.c

[src/mul.c] Fixed error message with MPFR_WANT_ASSERT >= 2.
------------------------------------------------------------------------
r13335 | vlefevre | 2018-12-11 17:51:23 +0000 (Tue, 11 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] For count_leading_zeros (MPFR_LONG_WITHIN_LIMB
not defined), no longer assume GMP_NUMB_BITS <= 32.
------------------------------------------------------------------------
r13334 | vlefevre | 2018-12-11 17:33:53 +0000 (Tue, 11 Dec 2018) | 3 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] Fixed count_leading_zeros (avoid undefined behavior
on shift counts, which must be nonnegative and smaller than the width
of the type of the shifted value).
------------------------------------------------------------------------
r13333 | zimmerma | 2018-12-11 17:01:47 +0000 (Tue, 11 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/mul.c

[src/mul.c] fixed reference routine mpfr_mul3() when sizeof(limb) < sizeof(exp)

------------------------------------------------------------------------
r13332 | zimmerma | 2018-12-11 15:39:46 +0000 (Tue, 11 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] fixed count_leading_zeros for mini-gmp with 32-bit limb

------------------------------------------------------------------------
r13331 | zimmerma | 2018-12-10 14:08:16 +0000 (Mon, 10 Dec 2018) | 2 lines
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] added remark about random functions

------------------------------------------------------------------------
r13329 | zimmerma | 2018-12-10 08:49:56 +0000 (Mon, 10 Dec 2018) | 3 lines
Changed paths:
   M /trunk/tests/tdiv.c

[tests/tdiv.c] fixed test_20151023 (was giving an error with micro-gmp-8
and GMP_CHECK_RANDOMIZE=1544431052619574)

------------------------------------------------------------------------
r13328 | vlefevre | 2018-12-10 00:44:18 +0000 (Mon, 10 Dec 2018) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Added a test for some avoidable use of gmp_printf.
------------------------------------------------------------------------
r13327 | vlefevre | 2018-12-07 17:58:36 +0000 (Fri, 07 Dec 2018) | 4 lines
Changed paths:
   M /trunk/tests/mpfr-test.h
   M /trunk/tests/tcan_round.c
   M /trunk/tests/tests.c

[tests]
  * mpfr-test.h, tests.c: added n_trace function to output a mpn.
  * tcan_round.c: use n_trace instead of gmp_printf ("%NX\n",...),
    which is not available with mini-gmp.
------------------------------------------------------------------------
r13326 | vlefevre | 2018-12-06 08:13:09 +0000 (Thu, 06 Dec 2018) | 1 line
Changed paths:
   M /trunk/tests/tcan_round.c

[tests/tcan_round.c] Corrected all the error messages for mini-gmp.
------------------------------------------------------------------------
r13325 | vlefevre | 2018-12-06 08:11:06 +0000 (Thu, 06 Dec 2018) | 1 line
Changed paths:
   M /trunk/tests/tcan_round.c

[tests/tcan_round.c] Corrected error message for mini-gmp.
------------------------------------------------------------------------
r13324 | vlefevre | 2018-12-05 20:01:26 +0000 (Wed, 05 Dec 2018) | 1 line
Changed paths:
   M /trunk/tests/tpow_z.c

[tests/tpow_z.c] Another fix and minor improvements.
------------------------------------------------------------------------
r13323 | vlefevre | 2018-12-05 19:57:36 +0000 (Wed, 05 Dec 2018) | 2 lines
Changed paths:
   M /trunk/tests/tpow_z.c

[tests/tpow_z.c] Fixed a test (midpoint case) that was failing
with micro-gmp-8 and GMP_CHECK_RANDOMIZE=1544033327230569.
------------------------------------------------------------------------
r13322 | vlefevre | 2018-12-05 17:43:28 +0000 (Wed, 05 Dec 2018) | 3 lines
Changed paths:
   M /trunk/tests/tpow_z.c

[tests/tpow_z.c] Fixed a test for MPFR_RNDF: do not check the ternary
value (a failure was occurring with --with-mini-gmp=.../micro-gmp/8
and GMP_CHECK_RANDOMIZE=1544025040809270).
------------------------------------------------------------------------
r13321 | vlefevre | 2018-12-05 17:41:33 +0000 (Wed, 05 Dec 2018) | 1 line
Changed paths:
   M /trunk/tests/tpow_z.c

[tests/tpow_z.c] Improved error message.
------------------------------------------------------------------------
r13320 | vlefevre | 2018-12-05 17:39:25 +0000 (Wed, 05 Dec 2018) | 1 line
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] Added missing "void" in function prototype.
------------------------------------------------------------------------
r13319 | vlefevre | 2018-12-05 11:42:02 +0000 (Wed, 05 Dec 2018) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] When building against mini-gmp, check the availability of
lrand48, in particular because it is not part of the ISO C standard.
------------------------------------------------------------------------
r13318 | zimmerma | 2018-12-05 09:26:09 +0000 (Wed, 05 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] put back unconditional assert from r13316 (removed by error)

------------------------------------------------------------------------
r13317 | zimmerma | 2018-12-05 09:23:00 +0000 (Wed, 05 Dec 2018) | 3 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] improved random_limb (the low bits of lrand48 are bad)
		      and fixed gmp_urandomm_ui

------------------------------------------------------------------------
r13316 | vlefevre | 2018-12-05 08:29:54 +0000 (Wed, 05 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] gmp_urandomm_ui: added a MPFR_ASSERTN
unconditionally, as n == 0 is always forbidden.
------------------------------------------------------------------------
r13315 | zimmerma | 2018-12-05 08:03:17 +0000 (Wed, 05 Dec 2018) | 4 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] the static assert introduced in r13313 makes the
		      compilation fail for 8-bit limbs, while the code
		      was valid for n <= 256 in that case

------------------------------------------------------------------------
r13314 | vlefevre | 2018-12-04 18:05:26 +0000 (Tue, 04 Dec 2018) | 1 line
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] Fixed types.
------------------------------------------------------------------------
r13313 | vlefevre | 2018-12-04 17:58:34 +0000 (Tue, 04 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] Added a static assertion to make sure that
the MPFR_ASSERTD added in r13312 is valid.
------------------------------------------------------------------------
r13312 | zimmerma | 2018-12-04 17:00:35 +0000 (Tue, 04 Dec 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] gmp_urandomm_ui did not generate uniform values

------------------------------------------------------------------------
r13311 | vlefevre | 2018-12-03 16:30:10 +0000 (Mon, 03 Dec 2018) | 1 line
Changed paths:
   M /trunk/src/set_d.c

[src/set_d.c] Improved comment.
------------------------------------------------------------------------
r13309 | vlefevre | 2018-11-29 01:26:10 +0000 (Thu, 29 Nov 2018) | 1 line
Changed paths:
   M /trunk/tests/Makefile.am

[tests/Makefile.am] About r13308, added references to the bugs.
------------------------------------------------------------------------
r13308 | vlefevre | 2018-11-29 01:24:39 +0000 (Thu, 29 Nov 2018) | 3 lines
Changed paths:
   M /trunk/tests/Makefile.am

[tests/Makefile.am] Unset DISPLAY as it is not needed and it can yield
error messages when running the tests with LOG_COMPILER=wine (for builds
with MinGW).
------------------------------------------------------------------------
r13307 | vlefevre | 2018-11-29 01:05:47 +0000 (Thu, 29 Nov 2018) | 2 lines
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] Updated a comment about an output issue with MinGW,
with the test run under Wine (which is really the cause of the issue).
------------------------------------------------------------------------
r13306 | vlefevre | 2018-11-28 15:13:12 +0000 (Wed, 28 Nov 2018) | 2 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] In case of failure of some particular test, output
the probable cause of this failure (GCC bug 86554) with a workaround.
------------------------------------------------------------------------
r13305 | vlefevre | 2018-11-27 17:39:11 +0000 (Tue, 27 Nov 2018) | 1 line
Changed paths:
   M /trunk/tests/tversion.c

[tests/tversion.c] Updated a comment about a printf issue with MinGW.
------------------------------------------------------------------------
r13304 | vlefevre | 2018-11-27 16:51:17 +0000 (Tue, 27 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Added a FIXME about the error analysis (info that was
part of the FIXME resolved in r13303 and inadvertently dropped).
------------------------------------------------------------------------
r13303 | vlefevre | 2018-11-27 15:15:13 +0000 (Tue, 27 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Resolved a FIXME; tstrtofr no longer fails due to
bug20181127 with 8-bit limbs (micro-gmp/8).
------------------------------------------------------------------------
r13302 | vlefevre | 2018-11-27 15:05:17 +0000 (Tue, 27 Nov 2018) | 2 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Added bug20181127 (test found with random_tests),
which fails with 8-bit limbs (micro-gmp/8).
------------------------------------------------------------------------
r13299 | vlefevre | 2018-11-27 11:47:39 +0000 (Tue, 27 Nov 2018) | 4 lines
Changed paths:
   M /trunk/src/mpfr-impl.h
   M /trunk/tests/tstrtofr.c

[src/mpfr-impl.h] Added a comment with a warning concerning the
  meaning of MPFR_EXP_FSPEC.
[tests/tstrtofr.c] Fixed a MPFR_EXP_FSPEC related bug in a test
  for _MPFR_EXP_FORMAT <= 2, e.g. with -D_MPFR_PREC_FORMAT=2.
------------------------------------------------------------------------
r13298 | vlefevre | 2018-11-27 11:30:56 +0000 (Tue, 27 Nov 2018) | 2 lines
Changed paths:
   M /trunk/tests/tdiv.c

[tests/tdiv.c] Fixed bad format string for an error message, detected
with -D_MPFR_PREC_FORMAT=2 (using -Werror...).
------------------------------------------------------------------------
r13296 | vlefevre | 2018-11-26 13:15:45 +0000 (Mon, 26 Nov 2018) | 2 lines
Changed paths:
   M /trunk/tests/tget_str.c
   M /trunk/tests/tset_str.c

[tests] Moved bug20180908() from tget_str.c to tset_str.c since it tests
mpfr_set_str() only. This test was introduced in r13164.
------------------------------------------------------------------------
r13295 | vlefevre | 2018-11-23 10:43:13 +0000 (Fri, 23 Nov 2018) | 1 line
Changed paths:
   M /trunk/TODO

[TODO] + More UBF functions.
------------------------------------------------------------------------
r13293 | vlefevre | 2018-11-23 10:33:33 +0000 (Fri, 23 Nov 2018) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13292 | vlefevre | 2018-11-23 09:32:39 +0000 (Fri, 23 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Changed some unsigned long to unsigned int.
------------------------------------------------------------------------
r13291 | vlefevre | 2018-11-23 09:22:30 +0000 (Fri, 23 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Some cleanup in parsed_string_to_mpfr. Avoid a potential
integer overflow in very high precision if mp_size_t < mpfr_prec_t.
------------------------------------------------------------------------
r13290 | vlefevre | 2018-11-22 22:20:51 +0000 (Thu, 22 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Updated FIXME, due to new tests added to
tests/tstrtofr.c in r13278-13279,13286-13288.
------------------------------------------------------------------------
r13289 | vlefevre | 2018-11-22 21:58:40 +0000 (Thu, 22 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/nbits_ulong.c

[src/nbits_ulong.c] Added missing initialization from r13269
when MPFR_LONG_WITHIN_LIMB is not defined.
------------------------------------------------------------------------
r13288 | vlefevre | 2018-11-22 21:52:00 +0000 (Thu, 22 Nov 2018) | 5 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Resolved the FIXME and fixed the issue related to
the old mpfr_get_str description (see r13283).
Note: with the later fix r13289, a test still fails with 8-bit limbs
(incorrect exponent, possibly corresponding to the FIXME just before
"exp = GMP_NUMB_BITS - count;" in src/strtofr.c).
------------------------------------------------------------------------
r13287 | vlefevre | 2018-11-22 16:29:01 +0000 (Thu, 22 Nov 2018) | 1 line
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Added comments, including a FIXME.
------------------------------------------------------------------------
r13286 | vlefevre | 2018-11-22 16:14:59 +0000 (Thu, 22 Nov 2018) | 2 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Resolved the FIXME for the random tests, and
increased the number of tests to trigger a failure.
------------------------------------------------------------------------
r13283 | vlefevre | 2018-11-22 15:29:37 +0000 (Thu, 22 Nov 2018) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/doc/mpfr.texi
   M /trunk/src/get_str.c

MPFR manual: corrected/completed the mpfr_get_str description in order
to follow the historical behavior and GMP's mpf_get_str function.
(Discussion in the Trier meeting.)
------------------------------------------------------------------------
r13282 | vlefevre | 2018-11-22 15:09:31 +0000 (Thu, 22 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/get_str.c

[src/get_str.c] Code style.
------------------------------------------------------------------------
r13281 | vlefevre | 2018-11-22 09:27:09 +0000 (Thu, 22 Nov 2018) | 1 line
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Update about issues with mixing signed/unsigned types.
------------------------------------------------------------------------
r13280 | vlefevre | 2018-11-22 09:01:58 +0000 (Thu, 22 Nov 2018) | 2 lines
Changed paths:
   M /trunk/doc/README.dev

[doc/README.dev] Added a note about the disallowed conversions between
function pointers and other kinds of pointers (including to void *).
------------------------------------------------------------------------
r13279 | vlefevre | 2018-11-20 16:51:12 +0000 (Tue, 20 Nov 2018) | 4 lines
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Added a FIXME, which explains the current failure.
But there is currently an inconsistency in mpfr_get_str, whose digits
are not specified:
  https://sympa.inria.fr/sympa/arc/mpfr/2018-11/msg00021.html
------------------------------------------------------------------------
r13278 | vlefevre | 2018-11-20 16:17:15 +0000 (Tue, 20 Nov 2018) | 1 line
Changed paths:
   M /trunk/tests/tstrtofr.c

[tests/tstrtofr.c] Added random tests, which currently fail.
------------------------------------------------------------------------
r13276 | vlefevre | 2018-11-19 15:23:59 +0000 (Mon, 19 Nov 2018) | 3 lines
Changed paths:
   M /trunk/src/round_prec.c

[src/round_prec.c] mpfr_can_round_raw: improved the code structure about
rnd1 and rnd2, making clear that they are not changed several times;
avoid the use of cc with 2 different meanings in the same code path.
------------------------------------------------------------------------
r13275 | zimmerma | 2018-11-17 09:47:41 +0000 (Sat, 17 Nov 2018) | 3 lines
Changed paths:
   M /trunk/src/round_prec.c

[src/round_prec.c] fixed bug in mpfr_can_round when rnd2=RNDF, rnd1 is a
		   directed rounding, and the input is exact

------------------------------------------------------------------------
r13274 | vlefevre | 2018-11-16 15:06:27 +0000 (Fri, 16 Nov 2018) | 5 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: updated a FIXME comment.
In short, the current tstrtofr.c tests seem to always be hard-to-round
cases. The consequence is that some parts of the code are run, but not
completely tested, because for these cases, some intermediate results,
potentially incorrect, are thrown out due to the next Ziv iteration!
------------------------------------------------------------------------
r13273 | vlefevre | 2018-11-16 14:48:33 +0000 (Fri, 16 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: minor changes.
------------------------------------------------------------------------
r13272 | vlefevre | 2018-11-16 14:31:59 +0000 (Fri, 16 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: added log messages.
------------------------------------------------------------------------
r13271 | vlefevre | 2018-11-16 13:23:29 +0000 (Fri, 16 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Minor change to use MPFR_ASSERTD.
------------------------------------------------------------------------
r13270 | vlefevre | 2018-11-16 13:15:57 +0000 (Fri, 16 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/int_ceil_log2.c
   M /trunk/src/mpfr-impl.h

[src/{int_ceil_log2.c,mpfr-impl.h}] Consistent postcondition for
MPFR_INT_CEIL_LOG2 and __gmpfr_int_ceil_log2 (result >= 0).
------------------------------------------------------------------------
r13269 | vlefevre | 2018-11-16 13:13:52 +0000 (Fri, 16 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/nbits_ulong.c

[src/nbits_ulong.c] Code refactoring. Added {pre,post}condition.
------------------------------------------------------------------------
r13268 | vlefevre | 2018-11-16 12:50:13 +0000 (Fri, 16 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: removed an incorrect cast.
------------------------------------------------------------------------
r13267 | vlefevre | 2018-11-16 12:17:36 +0000 (Fri, 16 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: updated a FIXME comment (again,
another issue).
------------------------------------------------------------------------
r13266 | vlefevre | 2018-11-16 12:09:24 +0000 (Fri, 16 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: updated a FIXME comment (there
is another issue to solve first).
------------------------------------------------------------------------
r13265 | vlefevre | 2018-11-16 11:48:20 +0000 (Fri, 16 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/amd/mparam.h
   M /trunk/src/arm/mparam.h
   M /trunk/src/generic/coverage/mparam.h
   M /trunk/src/mips/mparam.h
   M /trunk/src/powerpc64/mparam.h
   M /trunk/src/sparc64/mparam.h
   M /trunk/src/x86/mparam.h
   M /trunk/src/x86_64/core2/mparam.h
   M /trunk/src/x86_64/mparam.h

Removed trailing whitespace.
------------------------------------------------------------------------
r13264 | vlefevre | 2018-11-16 10:26:36 +0000 (Fri, 16 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: updated a comment (useless code
in this function or incomplete tests).
------------------------------------------------------------------------
r13263 | vlefevre | 2018-11-16 10:10:30 +0000 (Fri, 16 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-impl.h
   M /trunk/src/rndna.c

Avoid GCC's -Wcast-align warnings with 8-bit limbs (a correct alignment
is ensured by the code itself, and GCC cannot check just from a cast).
------------------------------------------------------------------------
r13262 | vlefevre | 2018-11-16 08:24:25 +0000 (Fri, 16 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: updated comments.
------------------------------------------------------------------------
r13261 | vlefevre | 2018-11-15 17:17:13 +0000 (Thu, 15 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: more code review, with minor
changes and corrections + a FIXME.
------------------------------------------------------------------------
r13260 | vlefevre | 2018-11-15 11:35:55 +0000 (Thu, 15 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Typo.
------------------------------------------------------------------------
r13259 | vlefevre | 2018-11-15 10:22:47 +0000 (Thu, 15 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Fixed an allocation bug for GMP_NUMB_BITS = 8.
------------------------------------------------------------------------
r13258 | vlefevre | 2018-11-15 10:13:22 +0000 (Thu, 15 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Updated a comment: the issue with mpn_set_str found
in 2013-12 (see r8722) was actually an error in the GMP manual.
------------------------------------------------------------------------
r13257 | vlefevre | 2018-11-15 10:02:17 +0000 (Thu, 15 Nov 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] parsed_string_to_mpfr: improved an assertion; comments.
------------------------------------------------------------------------
r13256 | zimmerma | 2018-11-15 09:43:43 +0000 (Thu, 15 Nov 2018) | 2 lines
Changed paths:
   M /trunk/tests/tcan_round.c

[tests/tcan_round.c] fixed some TODOs, which exposes a bug

------------------------------------------------------------------------
r13255 | vlefevre | 2018-11-15 09:33:02 +0000 (Thu, 15 Nov 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Near the beginning of parsed_string_to_mpfr: corrected
comments; added an assertion; minor change of a test.
------------------------------------------------------------------------
r13253 | zimmerma | 2018-11-10 08:25:31 +0000 (Sat, 10 Nov 2018) | 4 lines
Changed paths:
   M /trunk/src/mulders.c
   M /trunk/tune/tuneup.c

[src/mulders.c] fixed issue with --enable-gmp-internals
[tune/tuneup.c] likewise
(see https://sympa.inria.fr/sympa/arc/mpfr/2018-11/msg00015.html)

------------------------------------------------------------------------
r13251 | zimmerma | 2018-10-18 09:03:52 +0000 (Thu, 18 Oct 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-longlong.h

[src/mpfr-longlong.h] applied patch from https://sympa.inria.fr/sympa/arc/mpfr/2018-10/msg00010.html

------------------------------------------------------------------------
r13244 | vlefevre | 2018-10-07 10:36:45 +0000 (Sun, 07 Oct 2018) | 1 line
Changed paths:
   M /trunk/codespell.ignore

[codespell.ignore] Also ignore "ue" (codespell 1.14).
------------------------------------------------------------------------
r13237 | vlefevre | 2018-10-01 15:36:47 +0000 (Mon, 01 Oct 2018) | 6 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/src/Makefile.am

[configure.ac,src/Makefile.am] About the --with-mini-gmp support, since
there are some advantages with the new code, one will probably not go
back. Thus removed the references to the Automake 1.15 bug and to the
old code. Also removed the mini_gmp_path=. workaround needed with the
old code (even with Automake 1.16), which had been added in r13217.
Also slightly improved the setup for mini-gmp.
------------------------------------------------------------------------
r13236 | vlefevre | 2018-10-01 13:54:04 +0000 (Mon, 01 Oct 2018) | 1 line
Changed paths:
   M /trunk/doc/with-mini-gmp.patch

[doc/with-mini-gmp.patch] Updated comment.
------------------------------------------------------------------------
r13235 | vlefevre | 2018-10-01 13:51:10 +0000 (Mon, 01 Oct 2018) | 8 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/src/Makefile.am

[configure.ac,src/Makefile.am] Avoid a "make" failure due to a bug in
Automake 1.15 automatic dependency tracking: instead of using mini-gmp
directly in an external directory with a $(mini_gmp_path) variable in
src/Makefile.am, make the configure script add symbolic links to the
mini-gmp sources in the build directory, and use these symbolic links
for the MPFR build (as if they were plain files).
Tested under various conditions: static and shared; separate source and
build directories; changing the mini-gmp version without "make clean".
------------------------------------------------------------------------
r13233 | vlefevre | 2018-09-28 08:17:28 +0000 (Fri, 28 Sep 2018) | 6 lines
Changed paths:
   A /trunk/doc/with-mini-gmp.patch

Added doc/with-mini-gmp.patch file (for the developers):
Modifications to configure.ac and src/Makefile.am that had been done
for --with-mini-gmp support. This is kept for the reference, as changes
may be needed as a workaround to a bug fixed in GNU Automake 1.16, and
other future changes might break things (to remember what was working
at this time).
------------------------------------------------------------------------
r13230 | vlefevre | 2018-09-20 11:12:22 +0000 (Thu, 20 Sep 2018) | 1 line
Changed paths:
   M /trunk/doc/mini-gmp

[doc/mini-gmp] Update.
------------------------------------------------------------------------
r13229 | vlefevre | 2018-09-19 12:55:56 +0000 (Wed, 19 Sep 2018) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac

[Makefile.am] Distribute the doc/mini-gmp file.
[configure.ac] For --with-mini-gmp, say:
  "(experimental, please read doc/mini-gmp file)"
------------------------------------------------------------------------
r13228 | vlefevre | 2018-09-19 12:47:03 +0000 (Wed, 19 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

[src/Makefile.am] Added nodist_ for mini-gmp.{c,h} so that these files
(not part of MPFR) are not put in the tarballs by "make dist".
------------------------------------------------------------------------
r13227 | vlefevre | 2018-09-19 12:17:20 +0000 (Wed, 19 Sep 2018) | 4 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.ac
   M /trunk/doc/mini-gmp

Removed --enable-mini-gmp configure option.
  * NEWS: say that it is replaced by --with-mini-gmp.
  * configure.ac: --enable-mini-gmp removed.
  * doc/mini-gmp: update.
------------------------------------------------------------------------
r13226 | vlefevre | 2018-09-19 11:50:17 +0000 (Wed, 19 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] Missing #else (from r13156).
------------------------------------------------------------------------
r13225 | vlefevre | 2018-09-19 11:36:03 +0000 (Wed, 19 Sep 2018) | 5 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] When using --with-mini-gmp, define GMP_NUMB_BITS if this
macro is not already defined in mini-gmp.h (this is done a bit like
with --enable-mini-gmp, but the handling in this option is buggy as
GMP_NUMB_BITS is defined with AC_DEFINE_UNQUOTED unconditionally,
though is most cases the contents of the macros are the same).
------------------------------------------------------------------------
r13224 | vlefevre | 2018-09-19 10:59:02 +0000 (Wed, 19 Sep 2018) | 3 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Do not split "Setup GMP detection". When building
MPFR against mini-gmp, do not run any "Setup GMP detection" test
(in particular, no longer check gmp.h, as it is useless).
------------------------------------------------------------------------
r13223 | vlefevre | 2018-09-19 10:44:08 +0000 (Wed, 19 Sep 2018) | 4 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.h

[src/mpfr-mini-gmp.h] Removed incorrect GMP_NUMB_BITS macro definition,
and this macro needs to be usable in preprocessor tests, and sizeof and
types are not available at this level. GMP_NUMB_BITS must be defined by
mini-gmp.h, by the configure script, or by the user.
------------------------------------------------------------------------
r13222 | vlefevre | 2018-09-19 00:21:16 +0000 (Wed, 19 Sep 2018) | 1 line
Changed paths:
   M /trunk/tools/mpfrlint

[tools/mpfrlint] Update due to r13221.
------------------------------------------------------------------------
r13221 | vlefevre | 2018-09-18 13:59:54 +0000 (Tue, 18 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/Makefile.am

[tests/Makefile.am] Run tversion at the beginning of the tests,
then show its output and svnversion's output too.
------------------------------------------------------------------------
r13220 | vlefevre | 2018-09-18 08:10:40 +0000 (Tue, 18 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.h

[src/mpfr-mini-gmp.h] Added a FIXME (failure with a mini-gmp that
does not define GMP_NUMB_BITS, such as the official one).
------------------------------------------------------------------------
r13219 | vlefevre | 2018-09-18 01:47:06 +0000 (Tue, 18 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/random2.c

[tests/random2.c] Avoid undefined behavior on shift count.
------------------------------------------------------------------------
r13218 | vlefevre | 2018-09-18 01:45:39 +0000 (Tue, 18 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Fixed MPFR_LIMB_MASK() macro.
------------------------------------------------------------------------
r13217 | vlefevre | 2018-09-18 01:17:52 +0000 (Tue, 18 Sep 2018) | 2 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Avoid a configure failure with automatic dependency
tracking when --with-mini-gmp is not used (bug in Automake?).
------------------------------------------------------------------------
r13216 | vlefevre | 2018-09-18 00:00:24 +0000 (Tue, 18 Sep 2018) | 1 line
Changed paths:
   M /trunk/NEWS

[NEWS] + Mini-gmp support via the --with-mini-gmp configure option.
------------------------------------------------------------------------
r13214 | vlefevre | 2018-09-17 23:55:55 +0000 (Mon, 17 Sep 2018) | 2 lines
Changed paths:
   M /trunk
   M /trunk/configure.ac
   M /trunk/doc/mini-gmp
   M /trunk/src/Makefile.am
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr.h

Merged the with-mini-gmp branch into the trunk: new --with-mini-gmp
configure option to build MPFR against mini-gmp (instead of GMP).
------------------------------------------------------------------------
r13211 | vlefevre | 2018-09-17 15:01:51 +0000 (Mon, 17 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/mul_ui.c

[src/mul_ui.c] Better code organization (with the MPFR_RET at the right
place). Corrected indentation after #else.
------------------------------------------------------------------------
r13210 | zimmerma | 2018-09-17 14:40:01 +0000 (Mon, 17 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c
   M /trunk/src/mul_ui.c

[src/mpfr-mini-gmp.c] added #if 0 ... #endif for mpz_dump (unused)
[src/mul_ui.c] fixed compiler warning for limb < long

------------------------------------------------------------------------
r13207 | vlefevre | 2018-09-17 10:08:51 +0000 (Mon, 17 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/random2.c

[tests/random2.c] Fix for 8-bit limb.
------------------------------------------------------------------------
r13205 | vlefevre | 2018-09-17 09:17:18 +0000 (Mon, 17 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c] Define only one buffer in test_version().
------------------------------------------------------------------------
r13204 | vlefevre | 2018-09-17 09:14:21 +0000 (Mon, 17 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/random2.c

[tests/random2.c] Improved code by using MPFR_LIMB_* macros.
------------------------------------------------------------------------
r13203 | vlefevre | 2018-09-17 09:04:58 +0000 (Mon, 17 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Improved MPFR_LIMB_* macros for mp_limb_t < int
(e.g. 16-bit or 8-bit limb), as in such a case, integer promotion
transforms mp_limb_t to int.
------------------------------------------------------------------------
r13202 | zimmerma | 2018-09-17 07:56:07 +0000 (Mon, 17 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c] fixed compiler warning

------------------------------------------------------------------------
r13200 | vlefevre | 2018-09-14 21:46:06 +0000 (Fri, 14 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/get_si.c

[src/get_si.c] Code refactoring/simplification like what has been
done for get_ui.c in r13185, fixing also an integer overflow when
MPFR_LONG_WITHIN_LIMB is not defined.
------------------------------------------------------------------------
r13199 | vlefevre | 2018-09-14 15:28:12 +0000 (Fri, 14 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/random2.c

[tests/random2.c] Fix for 16-bit limb.
------------------------------------------------------------------------
r13198 | vlefevre | 2018-09-14 15:19:38 +0000 (Fri, 14 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/add1.c

[src/add1.c] Fix for 16-bit limb.
------------------------------------------------------------------------
r13197 | vlefevre | 2018-09-14 15:04:09 +0000 (Fri, 14 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] Fixed bug in add_ssaaaa / sub_ddmmss from r13081.
------------------------------------------------------------------------
r13194 | vlefevre | 2018-09-14 13:03:24 +0000 (Fri, 14 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/Makefile.am

[src/Makefile.am] Moved a comment in a better place.
------------------------------------------------------------------------
r13191 | vlefevre | 2018-09-14 11:19:31 +0000 (Fri, 14 Sep 2018) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Typo.
------------------------------------------------------------------------
r13189 | vlefevre | 2018-09-14 11:13:50 +0000 (Fri, 14 Sep 2018) | 1 line
Changed paths:
   M /trunk/configure.ac

[configure.ac] Updated comments about configure options for mini-gmp.
------------------------------------------------------------------------
r13188 | zimmerma | 2018-09-13 16:27:28 +0000 (Thu, 13 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tsin.c

[tests/tsin.c] reduce REDUCE_EMAX with mini-gmp

------------------------------------------------------------------------
r13186 | vlefevre | 2018-09-13 13:03:53 +0000 (Thu, 13 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/get_ui.c

[src/get_ui.c] Added assertions.
------------------------------------------------------------------------
r13185 | vlefevre | 2018-09-13 13:01:05 +0000 (Thu, 13 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/get_ui.c

[src/get_ui.c] Code refactoring/simplification.
------------------------------------------------------------------------
r13184 | vlefevre | 2018-09-13 11:04:50 +0000 (Thu, 13 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/sin_cos.c

[src/sin_cos.c] Added assertions protecting against buffer overflow.
------------------------------------------------------------------------
r13183 | zimmerma | 2018-09-13 08:46:01 +0000 (Thu, 13 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/sin_cos.c

[src/sin_cos.c] fix for small limb size

------------------------------------------------------------------------
r13182 | vlefevre | 2018-09-12 14:32:42 +0000 (Wed, 12 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.h

[src/mpfr-mini-gmp.h] Fix: Since gmp_version is not defined in mini-gmp,
we must not declare it (otherwise one would get a link failure instead
of a compilation failure if gmp_version is used by mistake).
------------------------------------------------------------------------
r13181 | vlefevre | 2018-09-12 14:28:03 +0000 (Wed, 12 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c] Improved change in r13179 for mini-gmp.
------------------------------------------------------------------------
r13180 | vlefevre | 2018-09-12 13:39:57 +0000 (Wed, 12 Sep 2018) | 3 lines
Changed paths:
   M /trunk/configure.ac

[configure.ac] Do not check for CC and CFLAGS in gmp.h if mini-gmp is
used, i.e. if --enable-mini-gmp (current option) or --with-mini-gmp
(future option) is given.
------------------------------------------------------------------------
r13179 | zimmerma | 2018-09-12 13:32:33 +0000 (Wed, 12 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tests.c

[tests/tests.c] libgmp is not defined with mini-gmp (issue found with -O0)

------------------------------------------------------------------------
r13178 | vlefevre | 2018-09-12 12:48:50 +0000 (Wed, 12 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.h

[src/mpfr-mini-gmp.h] Removed #include lines as mpfr-mini-gmp.h is
included only in mpfr-impl.h, which already does these #include's.
------------------------------------------------------------------------
r13177 | vlefevre | 2018-09-12 12:21:53 +0000 (Wed, 12 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Check that MPFR_HAVE_GMP_IMPL and MPFR_USE_MINI_GMP
are not both defined.
------------------------------------------------------------------------
r13176 | vlefevre | 2018-09-12 12:19:21 +0000 (Wed, 12 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] Removed #include "mpfr-mini-gmp.h" as this include
is already done in mpfr-impl.h (in both cases, when MPFR_USE_MINI_GMP is
defined).
------------------------------------------------------------------------
r13175 | vlefevre | 2018-09-12 12:11:04 +0000 (Wed, 12 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/rec_sqrt.c

[src/rec_sqrt.c] Replaced "if (GMP_NUMB_BITS >= 16)" by a preprocessor
test "#if GMP_NUMB_BITS >= 16" like earlier. Use static assertions.
------------------------------------------------------------------------
r13174 | vlefevre | 2018-09-12 10:43:22 +0000 (Wed, 12 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/rec_sqrt.c

[src/rec_sqrt.c] Fixed types for 8-bit limb. Removed useless casts.
------------------------------------------------------------------------
r13173 | vlefevre | 2018-09-12 10:26:45 +0000 (Wed, 12 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/rec_sqrt.c

[src/rec_sqrt.c] Fixed a type from r13172 (int was obviously too short
and was yielding a segmentation fault).
------------------------------------------------------------------------
r13172 | zimmerma | 2018-09-11 20:59:57 +0000 (Tue, 11 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/rec_sqrt.c

[src/rec_sqrt.c] fixed for 8-bit limb

------------------------------------------------------------------------
r13171 | zimmerma | 2018-09-11 12:01:25 +0000 (Tue, 11 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tcan_round.c

[tests/tcan_round.c] fixed test for small value of GMP_NUMB_BITS

------------------------------------------------------------------------
r13170 | zimmerma | 2018-09-11 10:45:39 +0000 (Tue, 11 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] fixed r13168: in case exact=0, mpn_rshift was not done

------------------------------------------------------------------------
r13169 | zimmerma | 2018-09-11 09:37:07 +0000 (Tue, 11 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tsqrt.c

[tests/tsqrt.c] modified test_sqrt1n() so that it passes with 8-bit limbs

------------------------------------------------------------------------
r13168 | vlefevre | 2018-09-11 09:00:21 +0000 (Tue, 11 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] Replaced "exact &=" by "exact = exact &&" as usual.
------------------------------------------------------------------------
r13167 | zimmerma | 2018-09-11 08:49:53 +0000 (Tue, 11 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] fix for 8-bit limb

------------------------------------------------------------------------
r13166 | zimmerma | 2018-09-11 07:39:16 +0000 (Tue, 11 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] added comment

------------------------------------------------------------------------
r13165 | vlefevre | 2018-09-10 23:50:38 +0000 (Mon, 10 Sep 2018) | 1 line
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r13164 | zimmerma | 2018-09-10 19:17:57 +0000 (Mon, 10 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/strtofr.c
   M /trunk/tests/tget_str.c

[src/strtofr.c] fix from r13163 was incorrect
[tests/tget_str.c] added a testcase, and fixed an error message

------------------------------------------------------------------------
r13163 | zimmerma | 2018-09-08 17:00:40 +0000 (Sat, 08 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/strtofr.c

[src/strtofr.c] resolved a FIXME

------------------------------------------------------------------------
r13162 | zimmerma | 2018-09-08 14:02:13 +0000 (Sat, 08 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tdiv_ui.c

[tests/tdiv_ui.c] fixed corner_cases() test

------------------------------------------------------------------------
r13161 | zimmerma | 2018-09-08 11:39:54 +0000 (Sat, 08 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/int_ceil_log2.c

[src/int_ceil_log2.c] fixed __gmpfr_int_ceil_log2 for limb < long

------------------------------------------------------------------------
r13160 | zimmerma | 2018-09-07 20:26:15 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/random2.c

[tests/random2.c] fixed mpfr_random2 for GMP_NUMB_BITS <> 64

------------------------------------------------------------------------
r13159 | zimmerma | 2018-09-07 19:16:34 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c

[src/mpfr-mini-gmp.c] fixed another compiler warning

------------------------------------------------------------------------
r13158 | zimmerma | 2018-09-07 19:14:29 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/get_ui.c

[src/get_ui.c] fixed compiler warning

------------------------------------------------------------------------
r13157 | zimmerma | 2018-09-07 17:12:46 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/rec_sqrt.c
   M /trunk/src/set_d.c

some fixes for 8-bit limb support

------------------------------------------------------------------------
r13156 | zimmerma | 2018-09-07 15:17:37 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/constant.c
   M /trunk/src/get_d64.c
   M /trunk/src/get_ld.c
   M /trunk/src/get_str.c
   M /trunk/src/mpfr-mini-gmp.c
   M /trunk/src/mpfr-mini-gmp.h
   M /trunk/src/rec_sqrt.c
   M /trunk/src/set_d.c
   M /trunk/src/set_d64.c
   M /trunk/src/set_ld.c

adapt to 8-bit limbs (work in progress)

------------------------------------------------------------------------
r13155 | zimmerma | 2018-09-07 11:59:57 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tl2b.c

[tests/tl2b.c] extend to 8-bit limb

------------------------------------------------------------------------
r13154 | zimmerma | 2018-09-07 11:49:13 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/mpfr-gmp.h

[src/mpfr-gmp.h] fix for 8-bit limb

------------------------------------------------------------------------
r13153 | vlefevre | 2018-09-07 09:23:57 +0000 (Fri, 07 Sep 2018) | 2 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] Added @tie{} (normal non-breakable space) at various
places to avoid unwanted line breaking.
------------------------------------------------------------------------
r13152 | vlefevre | 2018-09-07 08:45:54 +0000 (Fri, 07 Sep 2018) | 4 lines
Changed paths:
   M /trunk/doc/mpfr.texi

[doc/mpfr.texi] mpfr_rootn_ui, mpfr_root: changed k to n in order to
match IEEE 754-2008. Also improved the description of mpfr_rootn_ui,
mentioning the P754/D2.41 draft of the next IEEE 754 standard because
IEEE 754-2008 is incomplete.
------------------------------------------------------------------------
r13151 | vlefevre | 2018-09-06 10:44:48 +0000 (Thu, 06 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/tdiv.c

[tests/tdiv.c] !mpfr_equal_p is better than mpfr_cmp.
------------------------------------------------------------------------
r13150 | zimmerma | 2018-09-06 07:56:44 +0000 (Thu, 06 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/rint.c

[src/rint.c] fixed bug with 16-bit limb
             (found by trint with GMP_CHECK_RANDOMIZE=1536206745598891)

------------------------------------------------------------------------
r13149 | zimmerma | 2018-09-06 07:33:45 +0000 (Thu, 06 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tdiv.c

[tests/tdiv.c] fixed test_20151023()

------------------------------------------------------------------------
r13148 | vlefevre | 2018-09-06 07:15:25 +0000 (Thu, 06 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/get_d64.c
   M /trunk/src/mpfr-impl.h
   M /trunk/src/mpfr-mini-gmp.c
   M /trunk/src/ui_div.c

Removed trailing whitespace.
------------------------------------------------------------------------
r13147 | vlefevre | 2018-09-06 06:46:40 +0000 (Thu, 06 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/get_ld.c

[src/get_ld.c] Removed incorrect and useless assertions (manl
has exactly 32 bits, thus a shift count of 32 bits is invalid,
but also useless).
------------------------------------------------------------------------
r13146 | zimmerma | 2018-09-05 16:17:58 +0000 (Wed, 05 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/get_ld.c

[src/get_ld.c] fixed (hopefully definitively) for 16-bit limb

------------------------------------------------------------------------
r13145 | vlefevre | 2018-09-05 15:53:50 +0000 (Wed, 05 Sep 2018) | 4 lines
Changed paths:
   M /trunk/src/set_d64.c

[src/set_d64.c] 2 fixes concerning rp[]:
  * If GMP_NUMB_BITS >= 64, there is a shift of 32 bits, thus one
    uses mp_limb_t (> 32 bits) instead of unsigned int.
  * Otherwise use unsigned long as an unsigned int might be on 16 bits.
------------------------------------------------------------------------
r13144 | vlefevre | 2018-09-05 15:26:46 +0000 (Wed, 05 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/mpfr-impl.h

[src/mpfr-impl.h] Indentation.
------------------------------------------------------------------------
r13143 | vlefevre | 2018-09-05 15:23:00 +0000 (Wed, 05 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/Makefile.am
   M /trunk/src/exp_2.c
   A /trunk/src/nbits_ulong.c

[src] Moved mpfr_nbits_ulong to its own file "nbits_ulong.c".
------------------------------------------------------------------------
r13142 | vlefevre | 2018-09-05 15:17:56 +0000 (Wed, 05 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/pow_si.c

[src/pow_si.c] MPFR_NEED_LONGLONG_H is still needed.
------------------------------------------------------------------------
r13141 | vlefevre | 2018-09-05 14:56:48 +0000 (Wed, 05 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/tget_set_d64.c

[tests/tget_set_d64.c] Removed xxx suffix added in r13139 (by mistake?).
------------------------------------------------------------------------
r13140 | zimmerma | 2018-09-05 14:30:57 +0000 (Wed, 05 Sep 2018) | 4 lines
Changed paths:
   M /trunk/src/exp_2.c
   M /trunk/src/mpfr-impl.h
   M /trunk/src/pow_si.c

[src/exp_2.c] export (internally) nbits_ulong (renamed to mpfr_nbits_ulong)
[src/mpfr-impl.h] added prototype for mpfr_nbits_ulong
[src/pow_si.c] fixed for 16-bit limb

------------------------------------------------------------------------
r13139 | zimmerma | 2018-09-05 13:18:11 +0000 (Wed, 05 Sep 2018) | 4 lines
Changed paths:
   M /trunk/src/get_d64.c
   M /trunk/src/set_d64.c
   M /trunk/tests/tget_set_d64.c

[src/get_d64.c] fixed for 16-bit limb
[src/set_d64.c] likewise
[tests/tget_set_d64.c] improved error message

------------------------------------------------------------------------
r13137 | vlefevre | 2018-09-05 11:52:06 +0000 (Wed, 05 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/get_ld.c

[src/get_ld.c] In the case GMP_NUMB_BITS == 16, cast to unsigned long
instead of unsigned int since shift counts can be up to 16 and an int
might be on 16 bits only.
------------------------------------------------------------------------
r13136 | zimmerma | 2018-09-05 10:36:30 +0000 (Wed, 05 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/get_ld.c

[src/get_ld.c] when denorm=16, a 32-bit shift on an unsigned int is undefined

------------------------------------------------------------------------
r13135 | zimmerma | 2018-09-05 10:20:36 +0000 (Wed, 05 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/exp_2.c
   M /trunk/tests/texp.c

[src/exp_2.c] fix for 16-bit limb
[tests/texp.c] improve error message

------------------------------------------------------------------------
r13134 | zimmerma | 2018-09-05 08:25:33 +0000 (Wed, 05 Sep 2018) | 3 lines
Changed paths:
   M /trunk/src/mpfr-mini-gmp.c
   M /trunk/tests/terandom_chisq.c

[src/mpfr-mini-gmp.c] fixed gmp_urandomb_ui for 16-bit limb, added mpz_dump
[tests/terandom_chisq.c] more details in case of error

------------------------------------------------------------------------
r13133 | zimmerma | 2018-09-05 07:11:49 +0000 (Wed, 05 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/random_deviate.c

[src/random_deviate.c] fixed typo

------------------------------------------------------------------------
r13132 | vlefevre | 2018-09-04 17:29:15 +0000 (Tue, 04 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/tset_z_exp.c

[tests/tset_z_exp.c] Avoid a GCC bug.
------------------------------------------------------------------------
r13131 | vlefevre | 2018-09-04 16:41:18 +0000 (Tue, 04 Sep 2018) | 1 line
Changed paths:
   M /trunk/tests/tset_z_exp.c

[tests/tset_z_exp.c] Attempt to fix randexp, but GCC complains.
------------------------------------------------------------------------
r13130 | vlefevre | 2018-09-04 16:06:38 +0000 (Tue, 04 Sep 2018) | 1 line
Changed paths:
   M /trunk/src/mpn_exp.c

[src/mpn_exp.c] Avoid useless "while" in nbits_mpfr_exp_t.
------------------------------------------------------------------------
r13129 | zimmerma | 2018-09-04 15:27:36 +0000 (Tue, 04 Sep 2018) | 3 lines
Changed paths:
   M /trunk/tests/tget_ld_2exp.c
   M /trunk/tests/tset_ld.c

[tests/tset_ld.c] give more digits in case of error
[tests/tget_ld_2exp.c] added one test (currently fails for 16-bit limb)

------------------------------------------------------------------------
r13128 | zimmerma | 2018-09-04 15:20:19 +0000 (Tue, 04 Sep 2018) | 2 lines
Changed paths:
   M /trunk/src/set_ld.c

[src/set_ld.c] partial fix for 16-bit limb (typo + nice bug!)

------------------------------------------------------------------------
r13127 | zimmerma | 2018-09-04 14:50:57 +0000 (Tue, 04 Sep 2018) | 2 lines
Changed paths:
   M /trunk/tests/tset_z_exp.c

[tests/tset_z_exp.c] fixed infinite loop in test code for limb < mpfr_exp_t

------------------------------------------------------------------------
